/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_SERVICE CONSTANT xxas_com_service_repository.service_name%TYPE
                       := 'PersonHomePage';
                       
BEGIN
      
  xxas_com_sr_pkg.set_rest_service
    (p_service_name       => l_SERVICE
    ,p_description        => 'Person home page'
    ,p_consumes           => 'application/xml'
    ,p_produces           => 'application/xml'
    ,p_path               => 'person-home-page'
    );
   
  xxas_com_sr_pkg.set_rest_method
    (p_service_name       => l_SERVICE
    ,p_method_name        => 'GetPersonHomePage'
    ,p_description        => 'Get the person home page'
    ,p_methods            => 'GET'
    ,p_remove_root_ele    => true
    ,p_sql                =>
      q'[        
        SELECT xxas_emp_menu_pkg.get_page_xml
                 (xxas_emp_menu_pkg.get_person_home_page({requestParam.id})
                ,decode
                  ({requestParam.id}, fnd_global.employee_id, null
                  ,{requestParam.id})
                ,{requestParam.view})
               "data"
        FROM dual
      ]'
    );
    
END;
/
COMMIT;
EXIT;
