/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/backup-code.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/backup-code.xml',
'<View title="{message.XXAS_2FA_BACKUP_PAGE_TITLE}" defaultFormHandler="xxas_com_2fa_pkg.submit_backup_code" showSubmit="true" submitLabel="{message.XXAS_2FA_BACKUP_SUBMIT_LABEL}" >
  <EditFields>
    <TextInput id="DESCRIPTION_MSG1" label="{message.XXAS_2FA_BACKUP_PAGE_DESC1}" enabled="false"/>
    <TextInput id="DESCRIPTION_MSG2" label="{message.XXAS_2FA_BACKUP_PAGE_DESC2}" enabled="false"/>   
    <TextInput id="BACKUP_CODE" label="{message.XXAS_2FA_BACKUP_LABEL}" enabled="false" visible="true"/> 
  </EditFields>
</View>
' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/backup-code.xml');
END;
/
COMMIT;
EXIT;