/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_absence_management_v 
AS
SELECT paa.absence_attendance_id
,      paa.object_version_number
,      paa.business_group_id
,      paa.absence_attendance_type_id            absence_type_id
,      paat.name                                 absence_type
,      paat.absence_category                     absence_category_code
,      fcl.meaning                               absence_category
,      paa.abs_attendance_reason_id
,      (SELECT rea.meaning     
        FROM   per_abs_attendance_reasons paar
        ,      hr_lookups                 rea
        WHERE  paa.abs_attendance_reason_id   = paar.abs_attendance_reason_id
        AND    paar.name                      = rea.lookup_code
        AND    rea.lookup_type                = 'ABSENCE_REASON') absence_reason 
,      paa.person_id 
,      paa.authorising_person_id
,      paa.replacement_person_id
,      paa.period_of_incapacity_id
,      paa.absence_days
,      paa.absence_hours
,      paa.date_end
,      paa.date_notification
,      paa.date_projected_end
,      paa.date_projected_start
,      paa.date_start
,      paa.occurrence
,      paa.ssp1_issued 
,      paa.time_end
,      paa.time_projected_end
,      paa.time_projected_start
,      paa.time_start
,      paa.attribute_category
,      paa.attribute1
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE1'
         ,paa.attribute1)                        attribute1_meaning 
,      paa.attribute2
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE2'
         ,paa.attribute2)                        attribute2_meaning 
,      paa.attribute3
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE3'
         ,paa.attribute3)                        attribute3_meaning 
,      paa.attribute4
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE4'
         ,paa.attribute4)                        attribute4_meaning 
,      paa.attribute5
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE5'
         ,paa.attribute5)                        attribute5_meaning 
,      paa.attribute6
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE6'
         ,paa.attribute6)                        attribute6_meaning 
,      paa.attribute7
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE7'
         ,paa.attribute7)                        attribute7_meaning 
,      paa.attribute8
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE8'
         ,paa.attribute8)                        attribute8_meaning 
,      paa.attribute9
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE9'
         ,paa.attribute9)                        attribute9_meaning 
,      paa.attribute10
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE10'
         ,paa.attribute10)                      attribute10_meaning 
,      paa.attribute11
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE11'
         ,paa.attribute11)                      attribute11_meaning 
,      paa.attribute12
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE12'
         ,paa.attribute12)                       attribute12_meaning 
,      paa.attribute13
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE13'
         ,paa.attribute13)                       attribute13_meaning 
,      paa.attribute14
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE14'
         ,paa.attribute14)                       attribute14_meaning 
,      paa.attribute15
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE15'
         ,paa.attribute15)                       attribute15_meaning 
,      paa.attribute16
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE16'
         ,paa.attribute16)                       attribute16_meaning 
,      paa.attribute17
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE17'
         ,paa.attribute17)                       attribute17_meaning 
,      paa.attribute18
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE18'
         ,paa.attribute18)                       attribute18_meaning 
,      paa.attribute19
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE19'
         ,paa.attribute19)                       attribute19_meaning 
,      paa.attribute20
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,paa.attribute_category
         ,'ATTRIBUTE20'
         ,paa.attribute20)                       attribute20_meaning 
,      paa.last_update_date
,      paa.last_updated_by
,      paa.last_update_login
,      paa.created_by
,      paa.creation_date
,      paa.maternity_id
,      paa.sickness_start_date
,      paa.sickness_end_date
,      paa.pregnancy_related_illness 
,      paa.reason_for_notification_delay 
,      paa.accept_late_notification_flag
,      paa.linked_absence_id
,      paa.abs_information_category
,      paa.abs_information1
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION1'
         ,paa.abs_information1)                  abs_information1_meaning 
,      paa.abs_information2
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION2'
         ,paa.abs_information2)                  abs_information2_meaning
,      paa.abs_information3
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION3'
         ,paa.abs_information3)                  abs_information3_meaning
,      paa.abs_information4
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION4'
         ,paa.abs_information4)                  abs_information4_meaning
,      paa.abs_information5
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION5'
         ,paa.abs_information5)                  abs_information5_meaning
,      paa.abs_information6
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION6'
         ,paa.abs_information6)                  abs_information6_meaning
,      paa.abs_information7
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION7'
         ,paa.abs_information7)                  abs_information7_meaning
,      paa.abs_information8
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION8'
         ,paa.abs_information8)                  abs_information8_meaning
,      paa.abs_information9
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION9'
         ,paa.abs_information9)                  abs_information9_meaning
,      paa.abs_information10
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION10'
         ,paa.abs_information10)                 abs_information10_meaning
,      paa.abs_information11
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION11'
         ,paa.abs_information11)                 abs_information11_meaning
,      paa.abs_information12
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION12'
         ,paa.abs_information12)                 abs_information12_meaning
,      paa.abs_information13
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION13'
         ,paa.abs_information13)                 abs_information13_meaning
,      paa.abs_information14
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION14'
         ,paa.abs_information14)                 abs_information14_meaning
,      paa.abs_information15
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION15'
         ,paa.abs_information15)                 abs_information15_meaning
,      paa.abs_information16
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION16'
         ,paa.abs_information16)                 abs_information16_meaning
,      paa.abs_information17
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION17'
         ,paa.abs_information17)                 abs_information17_meaning
,      paa.abs_information18
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION18'
         ,paa.abs_information18)                 abs_information18_meaning
,      paa.abs_information19
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION19'
         ,paa.abs_information19)                 abs_information19_meaning
,      paa.abs_information20
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION20'
         ,paa.abs_information20)                 abs_information20_meaning
,      paa.abs_information21
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION21'
         ,paa.abs_information21)                 abs_information21_meaning
,      paa.abs_information22
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION22'
         ,paa.abs_information22)                 abs_information22_meaning
,      paa.abs_information23
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION23'
         ,paa.abs_information23)                 abs_information23_meaning
,      paa.abs_information24
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION24'
         ,paa.abs_information24)                 abs_information24_meaning
,      paa.abs_information25
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION25'
         ,paa.abs_information25)                 abs_information25_meaning
,      paa.abs_information26
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION26'
         ,paa.abs_information26)                 abs_information26_meaning
,      paa.abs_information27
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION27'
         ,paa.abs_information27)                 abs_information27_meaning
,      paa.abs_information28
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION28'
         ,paa.abs_information28)                 abs_information28_meaning
,      paa.abs_information29
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION29'
         ,paa.abs_information29)                 abs_information29_meaning
,      paa.abs_information30
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,paa.abs_information_category
         ,'ABS_INFORMATION30'
         ,paa.abs_information30)                 abs_information30_meaning
,      paa.batch_id
,      xxas_util_pkg.long_to_varchar2
           ('PER_ABSENCE_ATTENDANCES'
		   ,'COMMENTS' 
		   , paa.rowid)                          comments    
,      paa.absence_case_id
,      paa.approval_status
,      paa.confirmed_until
,      paa.source
,      paa.advance_pay
,      pend.transaction_id
,      pend.transaction_step_id
,      pend.transaction_type
,      pend.hr_api_status_code
,      pend.workflow_status_code
,      xxas_selfservice_workflow_pkg.decode_status(pend.workflow_status_code) workflow_status_meaning   
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'ObjectVersionNumber', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.object_version_number)
       END                                       object_version_number_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'BusinessGroupId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.business_group_id)
       END                                       business_group_id_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsenceAttendanceId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.absence_attendance_id)
       END                                       absence_attendance_id_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsenceAttendanceTypeId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.absence_attendance_type_id)
       END                                       absence_type_id_p
,      (SELECT paat.name
        FROM   per_abs_attendance_types_vl paat
        WHERE  nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsenceAttendanceTypeId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                  ,paa.absence_attendance_type_id) = absence_attendance_type_id) absence_type_p
,      (SELECT paat.absence_category
        FROM   per_abs_attendance_types_vl paat
        WHERE  nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsenceAttendanceTypeId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                  ,paa.absence_attendance_type_id) = absence_attendance_type_id) absence_category_code_p
,      (SELECT fcl.meaning
        FROM   per_abs_attendance_types_vl paat
              ,hr_lookups fcl
        WHERE  nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsenceAttendanceTypeId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                  ,paa.absence_attendance_type_id) = absence_attendance_type_id
        AND    paat.absence_category    = fcl.lookup_code(+)
        AND    fcl.lookup_type(+)       = 'ABSENCE_CATEGORY') absence_category_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsAttendanceReasonId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.abs_attendance_reason_id)
       END                                       abs_attendance_reason_id_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN (SELECT rea.meaning     
                  FROM   per_abs_attendance_reasons paar
                  ,      hr_lookups                 rea
                  WHERE  paar.abs_attendance_reason_id = nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsAttendanceReasonId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                                                            ,paa.abs_attendance_reason_id)
                  AND    paar.name                     = rea.lookup_code
                  AND    rea.lookup_type               = 'ABSENCE_REASON')
       END                                       abs_attendance_reason_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsenceDays', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.absence_days)
       END                                       absence_days_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl((xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsenceHours', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.absence_hours)
       END                                       absence_hours_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(fnd_date.canonical_to_date(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'DateEnd', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.date_end)
       END                                       date_end_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(to_date(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'DateNotification', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),'YYYY-MM-DD HH24:MI:SS".0"')
                    ,paa.date_notification)
       END                                       date_notification_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(fnd_date.canonical_to_date(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'DateProjectedEnd', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.date_projected_end)
       END                                       date_projected_end_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(fnd_date.canonical_to_date(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'DateProjectedStart', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.date_projected_start)
       END                                       date_projected_start_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(fnd_date.canonical_to_date(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'DateStart', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.date_start)
       END                                       date_start_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'TimeEnd', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.time_end)
       END                                       time_end_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'TimeProjectedEnd', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.time_projected_end)
       END                                       time_projected_end_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'TimeProjectedStart', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.time_projected_start)
       END                                       time_projected_start_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'TimeStart', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.time_start)
       END                                       time_start_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(to_number(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'ReplacementPersonId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
                    ,paa.replacement_person_id)
       END                                       replacement_person_id_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute_category)
       END                                       attribute_category_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute1', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute1)
       END                                       attribute1_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE1'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute1', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute1))
       END                                       attribute1_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute2', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute2)
       END                                       attribute2_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE2'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute2', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute2))
       END                                       attribute2_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute3', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute3)
       END                                       attribute3_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE3'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute3', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute3))
       END                                       attribute3_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute4', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute4)
       END                                       attribute4_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE4'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute4', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute4))
       END                                       attribute4_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute5', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute5)
       END                                       attribute5_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE5'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute5', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute5))
       END                                       attribute5_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute6', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute6)
       END                                       attribute6_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE6'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute6', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute6))
       END                                       attribute6_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute7', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute7)
       END                                       attribute7_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE7'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute7', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute7))
       END                                       attribute7_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute8', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute8)
       END                                       attribute8_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE8'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute8', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute8))
       END                                       attribute8_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute9', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute9)
       END                                       attribute9_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE9'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute9', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute9))
       END                                       attribute9_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute10', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute10)
       END                                       attribute10_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE10'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute10', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute10))
       END                                       attribute10_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute11', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute11)
       END                                       attribute11_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE11'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute11', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute11))
       END                                       attribute11_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute12', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute12)
       END                                       attribute12_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE12'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute12', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute12))
       END                                       attribute12_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute13', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute13)
       END                                       attribute13_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE13'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute13', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute13))
       END                                       attribute13_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute14', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute14)
       END                                       attribute14_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE14'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute14', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute14))
       END                                       attribute14_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute15', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute15)
       END                                       attribute15_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE15'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute15', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute15))
       END                                       attribute15_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute16', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute16)
       END                                       attribute16_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE16'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute16', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute16))
       END                                       attribute16_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute17', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute17)
       END                                       attribute17_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE17'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute17', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute17))
       END                                       attribute17_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute18', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute18)
       END                                       attribute18_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE18'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute18', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute18))
       END                                       attribute18_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute19', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute19)
       END                                       attribute19_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE19'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute19', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute19))
       END                                       attribute19_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute20', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute20)
       END                                       attribute20_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABSENCE_ATTENDANCES'
                   ,paa.attribute_category
                   ,'ATTRIBUTE20'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Attribute20', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.attribute20))
       END                                       attribute20_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information_category)
       END                                       abs_information_category_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation1', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information1)
       END                                       abs_information1_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION1'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation1', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information1))
       END                                       abs_information1_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation2', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information2)
       END                                       abs_information2_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION2'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation2', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information2))
       END                                       abs_information2_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation3', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information3)
       END                                       abs_information3_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION3'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation3', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information3))
       END                                       abs_information3_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation4', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information4)
       END                                       abs_information4_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION4'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation4', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information4))
       END                                       abs_information4_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation5', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information5)
       END                                       abs_information5_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION5'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation5', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information5))
       END                                       abs_information5_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation6', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information6)
       END                                       abs_information6_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION6'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation6', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information6))
       END                                       abs_information6_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation7', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information7)
       END                                       abs_information7_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION7'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation7', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information7))
       END                                       abs_information7_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation8', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information8)
       END                                       abs_information8_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION8'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation8', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information8))
       END                                       abs_information8_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation9', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information9)
       END                                       abs_information9_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION9'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation9', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information9))
       END                                       abs_information9_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation10', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information10)
       END                                       abs_information10_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION10'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation10', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information10))
       END                                       abs_information10_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation11', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information11)
       END                                       abs_information11_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION11'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation11', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information11))
       END                                       abs_information11_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation12', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information12)
       END                                       abs_information12_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION12'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation12', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information12))
       END                                       abs_information12_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation13', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information13)
       END                                       abs_information13_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION13'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation13', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information13))
       END                                       abs_information13_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation14', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information14)
       END                                       abs_information14_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION14'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation14', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information14))
       END                                       abs_information14_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation15', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information15)
       END                                       abs_information15_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION15'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation15', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information15))
       END                                       abs_information15_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation16', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information16)
       END                                       abs_information16_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION16'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation16', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information16))
       END                                       abs_information16_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation17', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information17)
       END                                       abs_information17_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION17'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation17', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information17))
       END                                       abs_information17_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation18', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information18)
       END                                       abs_information18_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION18'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation18', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information18))
       END                                       abs_information18_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation19', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information19)
       END                                       abs_information19_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION19'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation19', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information19))
       END                                       abs_information19_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation20', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information20)
       END                                       abs_information20_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION20'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation20', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information20))
       END                                       abs_information20_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation21', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information21)
       END                                       abs_information21_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION21'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation21', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information21))
       END                                       abs_information21_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation22', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information22)
       END                                       abs_information22_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION22'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation22', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information22))
       END                                       abs_information22_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation23', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information23)
       END                                       abs_information23_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION23'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation23', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information23))
       END                                       abs_information23_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation24', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information24)
       END                                       abs_information24_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION24'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation24', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information24))
       END                                       abs_information24_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation25', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information25)
       END                                       abs_information25_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION25'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation25', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information25))
       END                                       abs_information25_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation26', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information26)
       END                                       abs_information26_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION26'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation26', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information26))
       END                                       abs_information26_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation27', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information27)
       END                                       abs_information27_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION27'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation27', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information27))
       END                                       abs_information27_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation28', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information28)
       END                                       abs_information28_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION28'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation28', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information28))
       END                                       abs_information28_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation29', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information29)
       END                                       abs_information29_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION29'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation29', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information29))
       END                                       abs_information29_meaning_p 
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation30', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information30)
       END                                       abs_information30_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_ABS_DEVELOPER_DF'
                   ,paa.abs_information_category
                   ,'ABS_INFORMATION30'
                   ,nvl(xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'AbsInformation30', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),paa.abs_information30))
       END                                       abs_information30_meaning_p
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN xxas_xml_node_util_pkg.get_node_value(pend.transaction_id, 'Comments', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
       END                                       comments_p
,     'PER_ABSENCE_ATTENDANCES'                  attachment_entity
,      NVL2(pend.absence_attendance_id, to_char(pend.absence_attendance_id || '_' || pend.transaction_id), to_char(paa.absence_attendance_id)) attachment_pk1
,      'APPROVED_OR_UPDATE'                      action
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN pend.item_type
       END                                       item_type
,      CASE WHEN pend.transaction_id IS NOT NULL
            THEN pend.item_key
       END                                       item_key
FROM   per_absence_attendances      paa
,      per_abs_attendance_types_vl  paat
,      hr_lookups                   fcl
,      (SELECT paap.person_id
        ,      paap.absence_attendance_id
        ,      hats.api_name
        ,      hat.transaction_id
        ,      hats.transaction_step_id
        ,      decode(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAction', 'Transaction/TransCtx/CNode'), 'UpdateMode', 'UPDATE', 'CancelMode', 'DELETE', 'UPDATE') transaction_type
        ,      hat.status                                                 hr_api_status_code
        ,      xxas_selfservice_workflow_pkg.transcode_status(hat.status) workflow_status_code
        ,      hat.item_type
        ,      hat.item_key
        --,      paat1.name                                                 absence_type_p
        --,      paat1.absence_category                                     absence_category_code_p
        --,      fcl1.meaning                                               absence_category_p
        FROM   per_absence_attendances     paap
        ,      hr_api_transactions         hat
        ,      hr_api_transaction_steps    hats
        --,      per_abs_attendance_types_vl paat1
        --,      hr_lookups                  fcl1
        WHERE  paap.person_id           = hat.selected_person_id
        AND    hat.transaction_id       = hats.transaction_id
        AND    hat.status          NOT IN ('D', 'N', 'W', 'ACTIVE', 'AC')
        AND    hats.api_name            = 'HR_PERSON_ABSENCE_SWI.PROCESS_API'
        AND    paap.absence_attendance_id = to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAttendanceId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
        --AND    paat1.absence_attendance_type_id = xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAttendanceTypeId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
        ---AND    paat1.absence_category   = fcl1.lookup_code(+)
        --AND    fcl1.lookup_type(+)      = 'ABSENCE_CATEGORY'
        ) pend       
WHERE  paa.absence_attendance_type_id  = paat.absence_attendance_type_id
AND    paat.absence_category           = fcl.lookup_code(+)
AND    fcl.lookup_type(+)              = 'ABSENCE_CATEGORY'
AND   paa.person_id                    = pend.person_id(+)        
AND   paa.absence_attendance_id        = pend.absence_attendance_id(+)
UNION ALL
SELECT NULL                                      absence_attendance_id
,      NULL                                      object_version_number
,      NULL                                      business_group_id
,      NULL                                      absence_type_id
,      NULL                                      absence_type
,      NULL                                      absence_category_code
,      NULL                                      absence_category
,      NULL                                      abs_attendance_reason_id
,      NULL                                      absence_reason
,      hat.selected_person_id                    person_id
,      NULL                                      authorising_person_id
,      NULL                                      replacement_person_id
,      NULL                                      period_of_incapacity_id
,      NULL                                      absence_days
,      NULL                                      absence_hours
,      NULL                                      date_end
,      NULL                                      date_notification
,      NULL                                      date_projected_end
,      NULL                                      date_projected_start
,      NULL                                      date_start
,      NULL                                      occurrence
,      NULL                                      ssp1_issued 
,      NULL                                      time_end
,      NULL                                      time_projected_end
,      NULL                                      time_projected_start
,      NULL                                      time_start
,      NULL                                      attribute_category
,      NULL                                      attribute1
,      NULL                                      attribute1_meaning
,      NULL                                      attribute2
,      NULL                                      attribute2_meaning
,      NULL                                      attribute3
,      NULL                                      attribute3_meaning
,      NULL                                      attribute4
,      NULL                                      attribute4_meaning
,      NULL                                      attribute5
,      NULL                                      attribute5_meaning
,      NULL                                      attribute6
,      NULL                                      attribute6_meaning
,      NULL                                      attribute7
,      NULL                                      attribute7_meaning
,      NULL                                      attribute8
,      NULL                                      attribute8_meaning
,      NULL                                      attribute9
,      NULL                                      attribute9_meaning
,      NULL                                      attribute10
,      NULL                                      attribute10_meaning
,      NULL                                      attribute11
,      NULL                                      attribute11_meaning
,      NULL                                      attribute12
,      NULL                                      attribute12_meaning
,      NULL                                      attribute13
,      NULL                                      attribute13_meaning
,      NULL                                      attribute14
,      NULL                                      attribute14_meaning
,      NULL                                      attribute15
,      NULL                                      attribute15_meaning
,      NULL                                      attribute16
,      NULL                                      attribute16_meaning
,      NULL                                      attribute17
,      NULL                                      attribute17_meaning
,      NULL                                      attribute18
,      NULL                                      attribute18_meaning
,      NULL                                      attribute19
,      NULL                                      attribute19_meaning
,      NULL                                      attribute20
,      NULL                                      attribute20_meaning
,      NULL                                      last_update_date
,      NULL                                      last_updated_by
,      NULL                                      last_update_login
,      NULL                                      created_by
,      NULL                                      creation_date
,      NULL                                      maternity_id
,      NULL                                      sickness_start_date
,      NULL                                      sickness_end_date
,      NULL                                      pregnancy_related_illness 
,      NULL                                      reason_for_notification_delay 
,      NULL                                      accept_late_notification_flag
,      NULL                                      linked_absence_id
,      NULL                                      abs_information_category
,      NULL                                      abs_information1
,      NULL                                      abs_information1_meaning 
,      NULL                                      abs_information2
,      NULL                                      abs_information2_meaning 
,      NULL                                      abs_information3
,      NULL                                      abs_information3_meaning 
,      NULL                                      abs_information4
,      NULL                                      abs_information4_meaning 
,      NULL                                      abs_information5
,      NULL                                      abs_information5_meaning 
,      NULL                                      abs_information6
,      NULL                                      abs_information6_meaning 
,      NULL                                      abs_information7
,      NULL                                      abs_information7_meaning 
,      NULL                                      abs_information8
,      NULL                                      abs_information8_meaning 
,      NULL                                      abs_information9
,      NULL                                      abs_information9_meaning 
,      NULL                                      abs_information10
,      NULL                                      abs_information10_meaning 
,      NULL                                      abs_information11
,      NULL                                      abs_information11_meaning 
,      NULL                                      abs_information12
,      NULL                                      abs_information12_meaning 
,      NULL                                      abs_information13
,      NULL                                      abs_information13_meaning 
,      NULL                                      abs_information14
,      NULL                                      abs_information14_meaning 
,      NULL                                      abs_information15
,      NULL                                      abs_information15_meaning 
,      NULL                                      abs_information16
,      NULL                                      abs_information16_meaning 
,      NULL                                      abs_information17
,      NULL                                      abs_information17_meaning 
,      NULL                                      abs_information18
,      NULL                                      abs_information18_meaning 
,      NULL                                      abs_information19
,      NULL                                      abs_information19_meaning 
,      NULL                                      abs_information20
,      NULL                                      abs_information20_meaning 
,      NULL                                      abs_information21
,      NULL                                      abs_information21_meaning 
,      NULL                                      abs_information22
,      NULL                                      abs_information22_meaning 
,      NULL                                      abs_information23
,      NULL                                      abs_information23_meaning 
,      NULL                                      abs_information24
,      NULL                                      abs_information24_meaning 
,      NULL                                      abs_information25
,      NULL                                      abs_information25_meaning 
,      NULL                                      abs_information26
,      NULL                                      abs_information26_meaning 
,      NULL                                      abs_information27
,      NULL                                      abs_information27_meaning 
,      NULL                                      abs_information28
,      NULL                                      abs_information28_meaning 
,      NULL                                      abs_information29
,      NULL                                      abs_information29_meaning 
,      NULL                                      abs_information30
,      NULL                                      abs_information30_meaning 
,      NULL                                      batch_id
,      NULL                                      comments       
,      NULL                                      absence_case_id
,      NULL                                      approval_status
,      NULL                                      confirmed_until
,      NULL                                      source
,      NULL                                      advance_pay
,      hat.transaction_id
,      hats.transaction_step_id
,      decode(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAction', 'Transaction/TransCtx/CNode'), 'CreateMode', 'INSERT', 'UpdateMode', 'UPDATE', 'CancelMode', 'DELETE', 'INSERT')  transaction_type
,      hat.status                                hr_api_status_code
,      xxas_selfservice_workflow_pkg.transcode_status
         (hat.status)                            workflow_status_code
,      xxas_selfservice_workflow_pkg.decode_status
         (xxas_selfservice_workflow_pkg.transcode_status
         (hat.status))                           workflow_status_meaning   
,      to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'ObjectVersionNumber', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) object_version_number_p
,      to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'BusinessGroupId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) business_group_id_p
,      to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAttendanceId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) absence_attendance_id_p
,      to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAttendanceTypeId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) absence_type_id_p
,      (SELECT paat.name
        FROM   per_abs_attendance_types_vl paat
        WHERE  to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAttendanceTypeId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) = absence_attendance_type_id) absence_type_p
,      (SELECT paat.absence_category
        FROM   per_abs_attendance_types_vl paat
        WHERE  to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAttendanceTypeId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) = absence_attendance_type_id) absence_category_code_p
,      (SELECT fcl.meaning
        FROM   per_abs_attendance_types_vl paat
              ,hr_lookups fcl
        WHERE  to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAttendanceTypeId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) = absence_attendance_type_id
        AND    paat.absence_category    = fcl.lookup_code(+)
        AND    fcl.lookup_type(+)       = 'ABSENCE_CATEGORY') absence_category_p
,      to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsAttendanceReasonId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) abs_attendance_reason_id_p
,      (SELECT rea.meaning     
        FROM   per_abs_attendance_reasons paar
        ,      hr_lookups                 rea
        WHERE  paar.abs_attendance_reason_id = to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsAttendanceReasonId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
        AND    paar.name                     = rea.lookup_code
        AND    rea.lookup_type               = 'ABSENCE_REASON') abs_attendance_reason_p
,      to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceDays', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) absence_days_p
,      (xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceHours', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) absence_hours_p
,      fnd_date.canonical_to_date(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'DateEnd', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) date_end_p
,      to_date(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'DateNotification', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'),'YYYY-MM-DD HH24:MI:SS".0"') date_notification_p
,      fnd_date.canonical_to_date(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'DateProjectedEnd', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) date_projected_end_p
,      fnd_date.canonical_to_date(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'DateProjectedStart', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) date_projected_start_p
,      fnd_date.canonical_to_date(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'DateStart', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) date_start_p
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'TimeEnd', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') time_end_p
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'TimeProjectedEnd', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') time_projected_end_p
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'TimeProjectedStart', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') time_projected_start_p
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'TimeStart', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') time_start_p
,      to_number(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'ReplacementPersonId', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) replacement_person_id_p
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute_category_p
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute1', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute1_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE1'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute1', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')) attribute1_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute2', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute2_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE2'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute2', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                    attribute2_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute3', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute3_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE3'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute3', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                    attribute3_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute4', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute4_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE4'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute4', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                    attribute4_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute5', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute5_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE5'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute5', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                    attribute5_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute6', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute6_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE6'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute6', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                    attribute6_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute7', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute7_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE7'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute7', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                    attribute7_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute8', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute8_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE8'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute8', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                    attribute8_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute9', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute9_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE9'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute9', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                    attribute9_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute10', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute10_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE10'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute10', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute10_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute11', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute11_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE11'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute11', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute11_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute12', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute12_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE12'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute12', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute12_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute13', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute13_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE13'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute13', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute13_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute14', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute14_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE14'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute14', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute14_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute15', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute15_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE15'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute15', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute15_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute16', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute16_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE16'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute16', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute16_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute17', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute17_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE17'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute17', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute17_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute18', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute18_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE18'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute18', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute18_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute19', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute19_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE19'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute19', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute19_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute20', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') attribute20_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABSENCE_ATTENDANCES'
         ,NVL(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AttributeCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))
         ,'ATTRIBUTE20'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Attribute20', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))                   attribute20_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information_category_p
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation1', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information1_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION1'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation1', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))              abs_information1_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation2', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information2_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION2'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation2', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))              abs_information2_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation3', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information3_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION3'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation3', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))              abs_information3_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation4', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information4_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION4'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation4', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))              abs_information4_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation5', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information5_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION5'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation5', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))              abs_information5_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation6', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information6_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION6'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation6', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))              abs_information6_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation7', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information7_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION7'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation7', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))              abs_information7_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation8', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information8_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION8'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation8', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))              abs_information8_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation9', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information9_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION9'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation9', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))              abs_information9_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation10', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information10_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION10'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation10', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information10_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation11', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information11_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION11'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation11', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information11_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation12', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information12_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION12'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation12', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information12_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation13', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information13_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION13'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation13', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information13_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation14', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information14_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION14'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation14', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information14_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation15', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information15_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION15'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation15', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information15_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation16', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information16_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION16'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation16', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information16_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation17', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information17_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION17'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation17', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information17_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation18', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information18_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION18'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation18', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information18_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation19', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information19_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION19'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation19', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information19_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation20', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information20_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION20'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation20', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information20_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation21', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information21_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION21'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation21', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information21_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation22', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information22_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION22'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation22', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information22_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation23', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information23_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION23'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation23', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information23_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation24', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information24_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION24'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation24', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information24_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation25', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information25_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION25'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation25', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information25_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation26', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information26_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION26'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation26', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information26_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation27', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information27_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION27'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation27', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information27_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation28', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information28_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION28'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation28', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information28_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation29', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information29_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION29'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation29', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information29_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation30', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') abs_information30_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_ABS_DEVELOPER_DF'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformationCategory', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow')
         ,'ABS_INFORMATION30'
         ,xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsInformation30', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow'))             abs_information30_meaning_p 
,      xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'Comments', 'Transaction/TransCache/AM/TXN/EO/PerAbsenceAttendancesEORow') comments_p
,     'PER_ABSENCE_ATTENDANCES'                  attachment_entity
,      hat.transaction_ref_id||'_'||hat.transaction_id                        attachment_pk1
,      'INSERT'                                  action
,      hat.item_type
,      hat.item_key
FROM   hr_api_transactions         hat
,      hr_api_transaction_steps    hats
WHERE  hat.transaction_id       = hats.transaction_id
AND    hat.status          NOT IN ('D', 'N', 'W', 'ACTIVE', 'AC')
AND    hats.api_name            = 'HR_PERSON_ABSENCE_SWI.PROCESS_API'
AND    decode(xxas_xml_node_util_pkg.get_node_value(hat.transaction_id, 'AbsenceAction', 'Transaction/TransCtx/CNode'), 'CreateMode', 'INSERT') = 'INSERT';

BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_ABSENCE_MANAGEMENT_V'
   ,p_description            => 'Applaud Absence Management');
END;
/

COMMIT;
EXIT;

