/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/approver.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/approver.xml',
'<View objectType="XXAS_APPROVER" title="Approver" defaultFormHandler="xxas_selfservice_workflow_pkg">

  <CreateFields>
    <Hidden id="LINE_NUMBER"/>
    <Hidden id="ORIGSYS_ID"/>
    <Hidden id="ORIGSYS"/>
    <Hidden id="ROLE_NAME"/>
    <Hidden id="APPROVER_CATEGORY_ID"/>
    <Hidden id="APPROVER_CATEGORY"/>
    <Hidden id="APPROVER_ORDER_NUMBER"/>
    <Hidden id="APPROVER_GROUP_ID"/>
    <Hidden id="APPROVER_GROUP_NAME"/>
    <Hidden id="APPROVAL_STATUS_CODE"/>
    <Hidden id="APPROVAL_STATUS"/>
    <Hidden id="ADHOC_APPROVER_FLAG"/>
    <Hidden id="ALLOW_DELETE"/>
    <TextInput id="DISPLAY_NAME" label="Approver Name" visible="true" required="false" enabled="false"/>
    <Hidden id="IMAGE_URI"/>
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/approver.xml');
END;
/
COMMIT;
EXIT;
