/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/block-html.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/block-html.xml',
'<View submitLabel="{message.XXAS_RB_COM_SAVE}" title="HTML block" defaultFormHandler="xxas_block_pkg.post_block_update">

  <EditFields>

      <Hidden id="PAGE_OBJECT_HANDLER"/>
      <Hidden id="PAGE_OBJECT_ID_FORMAT"/>
      <Hidden id="IS_PAGE_COLUMN_LAYOUT"/>
      <Hidden id="PAGE_LAYOUT"/>
      <Hidden id="MENU_ID"/>
      <Hidden id="FUNCTION_ID"/>
      <Combolist id="BLOCK_TYPE" label="{message.XXAS_BK_BLOCK_TYPE}" listProvider="LOOKUP_TYPE:XXAS_BLOCK_TYPES" enabled="false"/>
      <TextInput id="PROMPT" label="{message.XXAS_BK_PROMPT}" required="false" maxChars="60"/>
      <TextInput id="DESCRIPTION" label="{message.XXAS_BK_DESCRIPTION}" required="false" maxChars="240"/>
      <Number id="ENTRY_SEQUENCE" label="{message.XXAS_BK_ENTRY_SEQUENCE}" required="true"/>
      <Poplist id="STAMP" label="{message.XXAS_BK_STAMP}" listProvider="LOOKUP_TYPE:YES_NO" showAsBoolean="true" value="N" positiveBooleanValue="Y" 
       description="Force this block&apos;s order to the top"/>
      <Poplist id="FULL_WIDTH" label="{message.XXAS_BK_FULL_WIDTH}" listProvider="LOOKUP_TYPE:YES_NO" showAsBoolean="true" value="N" positiveBooleanValue="Y" 
       description="Force the block to full-width so it spans its columns" hideIf="model.PAGE_LAYOUT.value != &apos;columns2&apos;"/>
      <Poplist id="BLOCK_SIZE" label="Block width" listProvider="VALUE_SET_NAME:XXAS_BLOCK_SIZE" 
       required="true" hideIf="model.PAGE_LAYOUT.value != &apos;columns3&apos;"/>
	  <Icon id="FUNCTION_ICON" label="{message.XXAS_BK_FUNCTION_ICON}" required="false" maxChars="30"/>
      <TextInput id="FUNCTION_NAME" label="{message.XXAS_BK_FUNCTION_NAME}" enabled="false"/>
      <Combolist id="TYPE_OF_SECURITY" label="{message.XXAS_BK_TYPE_OF_SECURITY}" listProvider="LOOKUP_TYPE:XXAS_BLOCK_SECURITY_TYPES" required="true" value="RD" 
       hideIf="!model.PAGE_OBJECT_ID_FORMAT.value"/>
      <Combolist id="OBJECT_ID" label="{message.XXAS_BK_OBJECT_ID}" listProvider="REST:objects?q={searchText}" longlist="true" required="true" 
       hideIf="!model.TYPE_OF_SECURITY.value || model.TYPE_OF_SECURITY.value.id == &apos;RO&apos;"/>
	    <Poplist id="RESTRICT_DEVICE" label="Restrict devices" showAsBoolean="true" listProvider="LOOKUP_TYPE:YES_NO" positiveBooleanValue="Y" />
      <Combolist id="RESTRICTIONS" label="Hide on" multipleSelection="true" listProvider="VALUE_SET_NAME:XXAS_DEVICE_RESTRICTIONS_VS" 
       hideIf="model.RESTRICT_DEVICE.value != &apos;Y&apos;"/>
      <Hidden id="RAW_HTML_MESSAGE"/>
      <Poplist id="SOURCE_TYPE" label="{message.XXAS_BK_SOURCE_TYPE}" listProvider="LOOKUP_TYPE:XXAS_BLOCK_HTML_SOURCE_TYPES" 
       required="true" value="SH"/>
      <TextArea id="RAW_HTML_TEXT" label="{message.XXAS_BK_RAW_HTML_TEXT}" maxChars="1800" required="true" 
       hideIf="model.SOURCE_TYPE.value.id != &apos;SH&apos;"/>
      <TextInput id="RAW_HTML_FUNCTION" label="{message.XXAS_BK_RAW_HTML_FUNCTION}" required="true" 
       hideIf="model.SOURCE_TYPE.value.id != &apos;DH&apos;"/>
      <TextInput id="URL" label="{message.XXAS_BK_HTML_URL}" required="true" hideIf="model.SOURCE_TYPE.value.id != &apos;SU&apos;"/>
      <TextInput id="URL_FUNCTION" label="{message.XXAS_BK_URL_FUNCTION}" required="true" 
       hideIf="model.SOURCE_TYPE.value.id != &apos;DU&apos;"/>
      <TextInput id="CSS_SELECTOR" label="{message.XXAS_BK_CSS_SELECTOR}" hideIf="model.SOURCE_TYPE.value.id != &apos;SU&apos; &amp;&amp; model.SOURCE_TYPE.value.id != &apos;DU&apos;" 
       description="Include the URL&apos;s HTML from the point determined by this selector"/>
      <Poplist id="REMOVE_INLINE_STYLES" label="{message.XXAS_BK_REMOVE_INLINE_STYLES}" showAsBoolean="true" 
       listProvider="LOOKUP_TYPE:YES_NO" positiveBooleanValue="Y" value="Y" 
       hideIf="model.SOURCE_TYPE.value.id != &apos;SU&apos; &amp;&amp; model.SOURCE_TYPE.value.id != &apos;DU&apos;"/>
      <Poplist id="SHOW_BORDER" label="{message.XXAS_BK_SHOW_BORDER}" showAsBoolean="true" listProvider="LOOKUP_TYPE:YES_NO" 
       positiveBooleanValue="Y" value="Y" hideIf="model.SOURCE_TYPE.value.id != &apos;SU&apos; &amp;&amp; model.SOURCE_TYPE.value.id != &apos;DU&apos;"/>

  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/block-html.xml'); 
END;
/
COMMIT;
EXIT;
