/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_block_html_v
AS
SELECT b.menu_id
      ,b.function_id
      ,b.function_name
      ,b.entry_sequence
      ,b.prompt
      ,b.object_id
      ,b.obj_name
	  ,decode(xxas_com_sec_pkg.get_parameter_value(b.function_parameters,'pHideIf'),null,'N','Y') RESTRICT_DEVICE
      ,(xxas_block_pkg.get_restrictions(b.function_parameters)) RESTRICTIONS
      ,upper(b.block_type) block_type
      ,b.description
      ,xxas_util_pkg.boolean_to_flag(xxas_com_sec_pkg.get_parameter_value(b.function_parameters,'pStamp')) stamp
      ,xxas_util_pkg.boolean_to_flag(xxas_com_sec_pkg.get_parameter_value(b.function_parameters,'pFullWidth')) full_width
      ,b.function_icon
      ,b.security_type type_of_security
      ,CASE WHEN xxas_com_sec_pkg.get_parameter_value
                   (b.function_parameters, 'pMessageName') IS NOT NULL
              OR xxas_com_sec_pkg.get_parameter_value
                   (b.function_parameters, 'pHtmlFunction') IS NOT NULL
            THEN
                 'EMBEDDED_HTML'
            ELSE
                 'EXTERNAL_URL'
       END embedded_or_external
      ,CASE WHEN xxas_com_sec_pkg.get_parameter_value
                   (b.function_parameters, 'pHtmlFunction') IS NOT NULL
            THEN 'DH'
            WHEN xxas_com_sec_pkg.get_parameter_value
                   (b.function_parameters, 'pMessageName') IS NOT NULL
            THEN 'SH'
            WHEN xxas_com_sec_pkg.get_parameter_value
                   (b.function_parameters, 'pSrcHref') IS NOT NULL
            THEN 'SU'
            WHEN xxas_com_sec_pkg.get_parameter_value
                   (b.function_parameters, 'pSrcHrefFunction') IS NOT NULL
            THEN 'DU'
            ELSE 'SH'
       END source_type
      ,xxas_com_sec_pkg.get_parameter_value
        (b.function_parameters, 'pMessageName') raw_html_message
      ,xxas_com_msg_pkg.get_string
         (xxas_com_sec_pkg.get_parameter_value
           (b.function_parameters, 'pMessageName')) raw_html_text
      ,xxas_com_sec_pkg.get_parameter_value
        (b.function_parameters, 'pHtmlFunction') raw_html_function
      ,xxas_com_sec_pkg.get_parameter_value
        (b.function_parameters, 'pSrcHref') url
      ,xxas_com_sec_pkg.get_parameter_value
        (b.function_parameters, 'pSrcHrefFunction') url_function
      ,xxas_com_sec_pkg.get_parameter_value
        (b.function_parameters, 'pSelector') css_selector
      ,CASE WHEN xxas_util_pkg.boolean_to_flag(xxas_com_sec_pkg.get_parameter_value(b.function_parameters, 'pShowAsEmbedded')) IS NOT NULL
              THEN xxas_util_pkg.boolean_to_flag(xxas_com_sec_pkg.get_parameter_value(b.function_parameters, 'pShowAsEmbedded'))
              WHEN xxas_com_sec_pkg.get_parameter_value
                     (b.function_parameters, 'pSrcHref') IS NOT NULL
                OR xxas_com_sec_pkg.get_parameter_value
                     (b.function_parameters, 'pSrcHrefFunction') IS NOT NULL
              THEN 'Y'
              ELSE 'N'
        END show_border
      ,CASE WHEN xxas_util_pkg.boolean_to_flag(xxas_com_sec_pkg.get_parameter_value(b.function_parameters, 'pCleanInlineStyles')) IS NOT NULL
              THEN xxas_util_pkg.boolean_to_flag(xxas_com_sec_pkg.get_parameter_value(b.function_parameters, 'pCleanInlineStyles'))
              WHEN xxas_com_sec_pkg.get_parameter_value
                     (b.function_parameters, 'pSrcHref') IS NOT NULL
                OR xxas_com_sec_pkg.get_parameter_value
                     (b.function_parameters, 'pSrcHrefFunction') IS NOT NULL
              THEN 'Y'
              ELSE 'N'
        END remove_inline_styles
      ,p.context_handler page_object_handler
      ,p.object_id_format page_object_id_format
      ,CASE WHEN p.layout = 'columns2'
            THEN 'Y'
            WHEN p.layout = 'columns3'
            THEN 'Y'
            ELSE 'N'
       END  is_page_column_layout
      ,p.layout page_layout
	  ,CASE WHEN p.layout = 'columns3' 
			THEN decode(xxas_com_sec_pkg.get_parameter_value(b.function_parameters,'pBlockSize'),'two-third','Two-third','full-width','Full width','One-third') 
			ELSE NULL
		END BLOCK_SIZE
      ,b.seeded_block_flag
FROM   xxas_blocks_v b
      ,xxas_pages_v p
WHERE  b.block_type = 'html'
AND    b.menu_id    = p.menu_id;

BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_BLOCK_HTML_V'
   ,p_description            => 'Applaud Block HTML');
END;
/

COMMIT;
EXIT;

