/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/block-list.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/block-list.xml',
'<View submitLabel="{message.XXAS_RB_COM_SAVE}" title="List block" defaultFormHandler="xxas_block_pkg.post_block_update">

  <EditFields>
   <Container>
    <Hidden id="MENU_ID"/>
    <Hidden id="FUNCTION_ID"/>
	  <Hidden id="PAGE_OBJECT_HANDLER"/>
    <Hidden id="PAGE_OBJECT_ID_FORMAT"/>
    <Hidden id="IS_PAGE_COLUMN_LAYOUT"/>
    <Hidden id="PAGE_LAYOUT"/>
    <Combolist id="BLOCK_TYPE" label="{message.XXAS_BK_BLOCK_TYPE}" listProvider="LOOKUP_TYPE:XXAS_BLOCK_TYPES" enabled="false"/>
    <TextInput id="PROMPT" label="{message.XXAS_BK_PROMPT}" required="false" maxChars="60"/>
    <Number id="ENTRY_SEQUENCE" label="{message.XXAS_BK_ENTRY_SEQUENCE}" required="true"/>
    <Poplist id="STAMP" label="{message.XXAS_BK_STAMP}" listProvider="LOOKUP_TYPE:YES_NO" showAsBoolean="true" value="N" positiveBooleanValue="Y" 
     description="Force this block&apos;s order to the top"/>
    <Poplist id="FULL_WIDTH" label="{message.XXAS_BK_FULL_WIDTH}" listProvider="LOOKUP_TYPE:YES_NO" showAsBoolean="true" value="N" positiveBooleanValue="Y" 
     description="Force the block to full-width so it spans its columns" hideIf="model.PAGE_LAYOUT.value != &apos;columns2&apos;"/>
    <Poplist id="BLOCK_SIZE" label="Block width" listProvider="VALUE_SET_NAME:XXAS_BLOCK_SIZE" 
       required="true" value="One-third" hideIf="model.PAGE_LAYOUT.value != &apos;columns3&apos;"/>
	 <Icon id="FUNCTION_ICON" label="{message.XXAS_BK_FUNCTION_ICON}" required="false" maxChars="30"/>
    <TextInput id="FUNCTION_NAME" label="{message.XXAS_BK_FUNCTION_NAME}" enabled="false"/>
    <Combolist id="TYPE_OF_SECURITY" label="{message.XXAS_BK_TYPE_OF_SECURITY}" listProvider="LOOKUP_TYPE:XXAS_BLOCK_SECURITY_TYPES" required="true" value="RD" 
     hideIf="!model.PAGE_OBJECT_ID_FORMAT.value"/>
    <Combolist id="OBJECT_ID" label="{message.XXAS_BK_OBJECT_ID}" listProvider="REST:objects?q={searchText}" longlist="true" required="true" 
     hideIf="!model.TYPE_OF_SECURITY.value || model.TYPE_OF_SECURITY.value.id == &apos;RO&apos;"/>
    <Poplist id="RESTRICT_DEVICE" label="Restrict devices" showAsBoolean="true" listProvider="LOOKUP_TYPE:YES_NO" positiveBooleanValue="Y" />
    <Combolist id="RESTRICTIONS" label="Hide on" multipleSelection="true" listProvider="VALUE_SET_NAME:XXAS_DEVICE_RESTRICTIONS_VS" 
     hideIf="model.RESTRICT_DEVICE.value != &apos;Y&apos;"/>	   
	  <TextInput id="REST_PROVIDER" label="{message.XXAS_BK_REST_PROVIDER}" required="true" prompt="Enter REST end-point"/>
    <Poplist id="SHOW_ROW_LAYOUT" label="{message.XXAS_BK_SHOW_ROW_LAYOUT}" listProvider="LOOKUP_TYPE:YES_NO" showAsBoolean="true" value="N" positiveBooleanValue="Y"/>
    <Poplist id="SHOW_GRID_LAYOUT" label="{message.XXAS_BK_SHOW_GRID_LAYOUT}" listProvider="LOOKUP_TYPE:YES_NO" showAsBoolean="true" value="Y" positiveBooleanValue="Y" />
    <Poplist id="SHOW_MINIGRID_LAYOUT" label="{message.XXAS_BK_SHOW_MINIGRID_LAYOUT}" listProvider="LOOKUP_TYPE:YES_NO" showAsBoolean="true" value="N" positiveBooleanValue="Y"/>
    <Poplist id="ITEM_LARGE_GRID" label="{message.XXAS_BK_SHOW_DOUBLE_GRID}" listProvider="LOOKUP_TYPE:YES_NO" showAsBoolean="true" value="N" positiveBooleanValue="Y" hideIf="model.SHOW_GRID_LAYOUT.value != &apos;Y&apos;"/>
    <TextInput id="LIST_DESC" label="List description" required="false" maxChars="240"/>
	  <Hidden id="NO_DATA_MESSAGE" label="No data message"/>
    <TextArea id="NO_DATA_TEXT" label="{message.XXAS_BK_NO_DATA_TEXT}" value="We could not find any information to show here." maxChars="1700" description="Supports HTML tags"/>
    <Hidden id="BULK_ACTION_MESSAGE" label="No data message"/>
    <TextInput id="BULK_ACTION_TEXT" label="{message.XXAS_BK_LIST_BULK_ACTION}" value="Choose one:" description="Only required if the data source might return item actions that support bulk action"/>
   </Container>
   
   <Container id="SEARCH_FILTER_SORT" label="Search, filters and sort">
      <Poplist id="SEARCH_FLAG" label="Include search" showAsBoolean="true" listProvider="LOOKUP_TYPE:YES_NO" positiveBooleanValue="Y"/>
      <Combolist id="SEARCH_DETAILS" label="Searchable fields" style="tags" longlist="true" multipleSelection="true" emptyValue="Separate by comma" hideIf="model.SEARCH_FILTER_SORT.SEARCH_FLAG.value != &apos;Y&apos;"/>
      <Poplist id="FILTER_FLAG" label="Include filters" showAsBoolean="true" listProvider="LOOKUP_TYPE:YES_NO" positiveBooleanValue="Y"/>
      <MultiRow id="FILTER_DETAILS" createAllowed="true" includeEmptyRow="true" xdbUri="/public/xxas/emp/view/list_filter.xml" hideIf="model.SEARCH_FILTER_SORT.FILTER_FLAG.value != &apos;Y&apos;" visible="true"/>
      <Poplist id="SORT_FLAG" label="Include sorts" showAsBoolean="true" listProvider="LOOKUP_TYPE:YES_NO" positiveBooleanValue="Y"/>
      <MultiRow id="SORT_DETAILS" createAllowed="true" includeEmptyRow="true" xdbUri="/public/xxas/emp/view/list_sort.xml" hideIf="model.SEARCH_FILTER_SORT.SORT_FLAG.value != &apos;Y&apos;" visible="true"/>
   </Container>
  
  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/block-list.xml');
END;
/
COMMIT;
EXIT;
