/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2018 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE PACKAGE BODY xxas_cico_rslt_cache_pkg AS 

--
-- Private Global Types and Constants
--
g_PACKAGE_NAME CONSTANT varchar2(30) := 'xxas_cico_rslt_cache_pkg';

-- ------------------------------------------------------------------------ *
-- Name    : missed_punch_function_name
-- ------------------------------------------------------------------------ *
FUNCTION missed_punch_function_name
  (p_slug IN varchar2) RETURN varchar2
  $IF DBMS_DB_VERSION.VER_LE_10 $THEN

  $ELSE
    RESULT_CACHE RELIES_ON (fnd_form_functions,fnd_form_functions_tl,fnd_menus,fnd_menus_tl,fnd_menu_entries,fnd_menu_entries_tl,fnd_objects,xxas_object_values)
  $END

IS

  CURSOR csr_block_function_name(cp_slug IN varchar2) IS 
  SELECT xbf.function_name 
  FROM   xxas_pages_v xpv
        ,xxas_block_form_v xbf 
  WHERE  xpv.slug like 'missed-punch'
  AND    xbf.menu_id = xpv.menu_id
  AND    xpv.published_flag = 'Y';

  c_method CONSTANT varchar2(30) := 'team_absence_function_id';
  l_function_name   xxas_block_form_v.function_name%TYPE;

BEGIN

  IF p_slug is not null THEN

    OPEN  csr_block_function_name(cp_slug => p_slug);
    FETCH csr_block_function_name INTO l_function_name;
    CLOSE csr_block_function_name;

  END IF;

  RETURN l_function_name;

END missed_punch_function_name;

END xxas_cico_rslt_cache_pkg;
/
COMMIT;
EXIT;
