/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  l_TABLE_NAME CONSTANT varchar2(30) := 'XXAS_COM_SERVICE_REPOSITORY';
  
BEGIN

  ad_dd.register_table
    (p_appl_short_name => xxas_util_pkg.app
    ,p_tab_name        => l_TABLE_NAME
    ,p_tab_type        => 'T');
    
  ad_dd.register_primary_key
    (p_appl_short_name => xxas_util_pkg.app
    ,p_key_name        => 'XXAS_COM_SERVICE_REPOSITORY_PK'
    ,p_tab_name        => l_TABLE_NAME
    ,p_description     => 'Applaud Service Repository'
    ,p_key_type        => 'S'
    ,p_audit_flag      => 'Y'
    ,p_enabled_flag    => 'Y');
    
  ad_dd.register_column
    (p_appl_short_name => xxas_util_pkg.app
    ,p_tab_name        => l_TABLE_NAME
    ,p_col_name        => 'SERVICE_NAME'
    ,p_col_seq         => 1
    ,p_col_type        => 'VARCHAR2'
    ,p_col_width       => '80'
    ,p_nullable        => 'N'
    ,p_translate       => 'N'
    ,p_precision       => null
    ,p_scale           => null);
    
  ad_dd.register_column
    (p_appl_short_name => xxas_util_pkg.app
    ,p_tab_name        => l_TABLE_NAME
    ,p_col_name        => 'ENABLED_FLAG'
    ,p_col_seq         => 2
    ,p_col_type        => 'VARCHAR2'
    ,p_col_width       => '30'
    ,p_nullable        => 'N'
    ,p_translate       => 'N'
    ,p_precision       => null
    ,p_scale           => null);
    
  ad_dd.register_primary_key_column
    (p_appl_short_name => xxas_util_pkg.app
    ,p_key_name        => 'XXAS_COM_SERVICE_REPOSITORY_PK'
    ,p_tab_name        => l_TABLE_NAME
    ,p_col_name        => 'SERVICE_NAME'
    ,p_col_sequence    => 1);
    
END;
/
COMMIT;
EXIT;
