/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN

  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_CONTACT_PHONE_NUMBERS_TBL FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;  
  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_CONTACT_PHONE_NUMBERS FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;

  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_CONTACT_ADDRESSES_TBL FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;  
  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_CONTACT_ADDRESSES FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;
  
  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_CONTACT_FULL_DETAIL_TBL FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;  
  BEGIN
    EXECUTE IMMEDIATE 'DROP TYPE XXAS_CONTACT_FULL_DETAIL FORCE';
  EXCEPTION
    WHEN e_obj_not_exists THEN
      NULL;
  END;  
END;
/


CREATE OR REPLACE TYPE XXAS_CONTACT_PHONE_NUMBERS AS OBJECT
  (phone_id                     NUMBER         
  ,object_version_number        NUMBER         
  ,date_from                    DATE           
  ,date_to                      DATE           
  ,phone_type                   VARCHAR2(30)   
  ,phone_type_meaning           VARCHAR2(4000) 
  ,phone_number                 VARCHAR2(60)   
  ,person_id                    NUMBER         
  ,per_person_id                NUMBER         
  ,attribute_category           VARCHAR2(30)   
  ,attribute1                   VARCHAR2(150)  
  ,attribute2                   VARCHAR2(150)  
  ,attribute3                   VARCHAR2(150)  
  ,attribute4                   VARCHAR2(150)  
  ,attribute5                   VARCHAR2(150)  
  ,attribute6                   VARCHAR2(150)  
  ,attribute7                   VARCHAR2(150)  
  ,attribute8                   VARCHAR2(150)  
  ,attribute9                   VARCHAR2(150)  
  ,attribute10                  VARCHAR2(150)  
  ,attribute11                  VARCHAR2(150)  
  ,attribute12                  VARCHAR2(150)  
  ,attribute13                  VARCHAR2(150)  
  ,attribute14                  VARCHAR2(150)  
  ,attribute15                  VARCHAR2(150)  
  ,attribute16                  VARCHAR2(150)  
  ,attribute17                  VARCHAR2(150)  
  ,attribute18                  VARCHAR2(150)  
  ,attribute19                  VARCHAR2(150)  
  ,attribute20                  VARCHAR2(150)  
  ,attribute21                  VARCHAR2(150)  
  ,attribute22                  VARCHAR2(150)  
  ,attribute23                  VARCHAR2(150)  
  ,attribute24                  VARCHAR2(150)  
  ,attribute25                  VARCHAR2(150)  
  ,attribute26                  VARCHAR2(150)  
  ,attribute27                  VARCHAR2(150)  
  ,attribute28                  VARCHAR2(150)  
  ,attribute29                  VARCHAR2(150)  
  ,attribute30                  VARCHAR2(150)  
  ,attribute1_meaning           VARCHAR2(4000) 
  ,attribute2_meaning           VARCHAR2(4000) 
  ,attribute3_meaning           VARCHAR2(4000) 
  ,attribute4_meaning           VARCHAR2(4000) 
  ,attribute5_meaning           VARCHAR2(4000) 
  ,attribute6_meaning           VARCHAR2(4000) 
  ,attribute7_meaning           VARCHAR2(4000) 
  ,attribute8_meaning           VARCHAR2(4000) 
  ,attribute9_meaning           VARCHAR2(4000) 
  ,attribute10_meaning          VARCHAR2(4000) 
  ,attribute11_meaning          VARCHAR2(4000) 
  ,attribute12_meaning          VARCHAR2(4000) 
  ,attribute13_meaning          VARCHAR2(4000) 
  ,attribute14_meaning          VARCHAR2(4000) 
  ,attribute15_meaning          VARCHAR2(4000) 
  ,attribute16_meaning          VARCHAR2(4000) 
  ,attribute17_meaning          VARCHAR2(4000) 
  ,attribute18_meaning          VARCHAR2(4000) 
  ,attribute19_meaning          VARCHAR2(4000) 
  ,attribute20_meaning          VARCHAR2(4000) 
  ,attribute21_meaning          VARCHAR2(4000) 
  ,attribute22_meaning          VARCHAR2(4000) 
  ,attribute23_meaning          VARCHAR2(4000) 
  ,attribute24_meaning          VARCHAR2(4000) 
  ,attribute25_meaning          VARCHAR2(4000) 
  ,attribute26_meaning          VARCHAR2(4000) 
  ,attribute27_meaning          VARCHAR2(4000) 
  ,attribute28_meaning          VARCHAR2(4000) 
  ,attribute29_meaning          VARCHAR2(4000) 
  ,attribute30_meaning          VARCHAR2(4000) 
  ,transaction_id               NUMBER(15)     
  ,transaction_step_id          NUMBER(15)     
  ,transaction_type             VARCHAR2(6)    
  ,hr_api_status_code           VARCHAR2(10)   
  ,workflow_status_code         VARCHAR2(4000) 
  ,workflow_status_meaning      VARCHAR2(4000) 
  ,object_version_number_p      NUMBER         
  ,date_from_p                  DATE           
  ,date_to_p                    DATE           
  ,attribute1_p                 VARCHAR2(4000) 
  ,phone_type_p                 VARCHAR2(4000) 
  ,phone_type_meaning_p         VARCHAR2(4000) 
  ,phone_number_p               VARCHAR2(4000) 
  ,attachment_entity            CHAR(17)       
  ,attachment_pk1               NUMBER(15)
  );
/
  
CREATE TYPE XXAS_CONTACT_PHONE_NUMBERS_TBL AS TABLE OF XXAS_CONTACT_PHONE_NUMBERS;
/


CREATE OR REPLACE TYPE XXAS_CONTACT_ADDRESSES AS OBJECT
  (person_id                        NUMBER         
  ,per_person_id                    NUMBER         
  ,address_id                       NUMBER         
  ,object_version_number            NUMBER         
  ,date_from                        DATE           
  ,date_to                          DATE           
  ,primary_flag                     VARCHAR2(30)   
  ,style                            VARCHAR2(30)   
  ,address_type                     VARCHAR2(30)   
  ,address_type_meaning             VARCHAR2(4000) 
  ,address_line1                    VARCHAR2(240)  
  ,address_line1_meaning            VARCHAR2(4000) 
  ,address_line2                    VARCHAR2(240)  
  ,address_line2_meaning            VARCHAR2(4000) 
  ,address_line3                    VARCHAR2(240)  
  ,address_line3_meaning            VARCHAR2(4000) 
  ,town_or_city                     VARCHAR2(30)   
  ,town_or_city_meaning             VARCHAR2(4000) 
  ,region_1                         VARCHAR2(120)  
  ,region_1_meaning                 VARCHAR2(4000) 
  ,region_2                         VARCHAR2(120)  
  ,region_2_meaning                 VARCHAR2(4000) 
  ,region_3                         VARCHAR2(120)  
  ,region_3_meaning                 VARCHAR2(4000) 
  ,postal_code                      VARCHAR2(30)   
  ,postal_code_meaning              VARCHAR2(4000) 
  ,country                          VARCHAR2(60)   
  ,country_meaning                  VARCHAR2(4000) 
  ,telephone_number_1               VARCHAR2(60)   
  ,telephone_number_1_meaning       VARCHAR2(4000) 
  ,telephone_number_2               VARCHAR2(60)   
  ,telephone_number_2_meaning       VARCHAR2(4000) 
  ,telephone_number_3               VARCHAR2(60)   
  ,telephone_number_3_meaning       VARCHAR2(4000) 
  ,latitude                         NUMBER         
  ,longtitude                       NUMBER         
  ,addr_attribute_category          VARCHAR2(30)   
  ,addr_attribute1                  VARCHAR2(150)  
  ,addr_attribute1_meaning          VARCHAR2(4000) 
  ,addr_attribute2                  VARCHAR2(150)  
  ,addr_attribute2_meaning          VARCHAR2(4000) 
  ,addr_attribute3                  VARCHAR2(150)  
  ,addr_attribute3_meaning          VARCHAR2(4000) 
  ,addr_attribute4                  VARCHAR2(150)  
  ,addr_attribute4_meaning          VARCHAR2(4000) 
  ,addr_attribute5                  VARCHAR2(150)  
  ,addr_attribute5_meaning          VARCHAR2(4000) 
  ,addr_attribute6                  VARCHAR2(150)  
  ,addr_attribute6_meaning          VARCHAR2(4000) 
  ,addr_attribute7                  VARCHAR2(150)  
  ,addr_attribute7_meaning          VARCHAR2(4000) 
  ,addr_attribute8                  VARCHAR2(150)  
  ,addr_attribute8_meaning          VARCHAR2(4000) 
  ,addr_attribute9                  VARCHAR2(150)  
  ,addr_attribute9_meaning          VARCHAR2(4000) 
  ,addr_attribute10                 VARCHAR2(150)  
  ,addr_attribute10_meaning         VARCHAR2(4000) 
  ,addr_attribute11                 VARCHAR2(150)  
  ,addr_attribute11_meaning         VARCHAR2(4000) 
  ,addr_attribute12                 VARCHAR2(150)  
  ,addr_attribute12_meaning         VARCHAR2(4000) 
  ,addr_attribute13                 VARCHAR2(150)  
  ,addr_attribute13_meaning         VARCHAR2(4000) 
  ,addr_attribute14                 VARCHAR2(150)  
  ,addr_attribute14_meaning         VARCHAR2(4000) 
  ,addr_attribute15                 VARCHAR2(150)  
  ,addr_attribute15_meaning         VARCHAR2(4000) 
  ,addr_attribute16                 VARCHAR2(150)  
  ,addr_attribute16_meaning         VARCHAR2(4000) 
  ,addr_attribute17                 VARCHAR2(150)  
  ,addr_attribute17_meaning         VARCHAR2(4000) 
  ,addr_attribute18                 VARCHAR2(150)  
  ,addr_attribute18_meaning         VARCHAR2(4000) 
  ,addr_attribute19                 VARCHAR2(150)  
  ,addr_attribute19_meaning         VARCHAR2(4000) 
  ,addr_attribute20                 VARCHAR2(150)  
  ,addr_attribute20_meaning         VARCHAR2(4000) 
  ,add_information13                VARCHAR2(150)  
  ,add_information13_meaning        VARCHAR2(4000) 
  ,add_information14                VARCHAR2(150)  
  ,add_information14_meaning        VARCHAR2(4000) 
  ,add_information15                VARCHAR2(150)  
  ,add_information15_meaning        VARCHAR2(4000) 
  ,add_information16                VARCHAR2(150)  
  ,add_information16_meaning        VARCHAR2(4000) 
  ,add_information17                VARCHAR2(150)  
  ,add_information17_meaning        VARCHAR2(4000) 
  ,add_information18                VARCHAR2(150)  
  ,add_information18_meaning        VARCHAR2(4000) 
  ,add_information19                VARCHAR2(150)  
  ,add_information19_meaning        VARCHAR2(4000) 
  ,add_information20                VARCHAR2(150)  
  ,add_information20_meaning        VARCHAR2(4000) 
  ,transaction_id                   NUMBER(15)     
  ,transaction_step_id              NUMBER(15)     
  ,transaction_type                 CHAR(6)        
  ,hr_api_status_code               VARCHAR2(10)   
  ,workflow_status_code             VARCHAR2(4000) 
  ,workflow_status_meaning          VARCHAR2(4000) 
  ,address_id_p                     NUMBER         
  ,object_version_number_p          NUMBER         
  ,date_from_p                      DATE           
  ,date_to_p                        DATE           
  ,primary_flag_p                   VARCHAR2(4000) 
  ,style_p                          VARCHAR2(4000) 
  ,address_type_p                   VARCHAR2(4000) 
  ,address_type_meaning_p           VARCHAR2(4000) 
  ,address_line1_p                  VARCHAR2(4000) 
  ,address_line1_meaning_p          VARCHAR2(4000) 
  ,address_line2_p                  VARCHAR2(4000) 
  ,address_line2_meaning_p          VARCHAR2(4000) 
  ,address_line3_p                  VARCHAR2(4000) 
  ,address_line3_meaning_p          VARCHAR2(4000) 
  ,region1_p                        VARCHAR2(4000) 
  ,region1_meaning_p                VARCHAR2(4000) 
  ,region2_p                        VARCHAR2(4000) 
  ,region2_meaning_p                VARCHAR2(4000) 
  ,region3_p                        VARCHAR2(4000) 
  ,region3_meaning_p                VARCHAR2(4000) 
  ,postal_code_p                    VARCHAR2(4000) 
  ,postal_code_meaning_p            VARCHAR2(4000) 
  ,country_code_p                   VARCHAR2(4000) 
  ,country_code_meaning_p           VARCHAR2(4000) 
  ,telephone_number1_p              VARCHAR2(4000) 
  ,telephone_number1_meaning_p      VARCHAR2(4000) 
  ,telephone_number2_p              VARCHAR2(4000) 
  ,telephone_number2_meaning_p      VARCHAR2(4000) 
  ,telephone_number3_p              VARCHAR2(4000) 
  ,telephone_number3_meaning_p      VARCHAR2(4000) 
  ,addr_attribute_category_p        VARCHAR2(4000) 
  ,addr_attribute1_p                VARCHAR2(4000) 
  ,addr_attribute1_meaning_p        VARCHAR2(4000) 
  ,addr_attribute2_p                VARCHAR2(4000) 
  ,addr_attribute2_meaning_p        VARCHAR2(4000) 
  ,addr_attribute3_p                VARCHAR2(4000) 
  ,addr_attribute3_meaning_p        VARCHAR2(4000) 
  ,addr_attribute4_p                VARCHAR2(4000) 
  ,addr_attribute4_meaning_p        VARCHAR2(4000) 
  ,addr_attribute5_p                VARCHAR2(4000) 
  ,addr_attribute5_meaning_p        VARCHAR2(4000) 
  ,addr_attribute6_p                VARCHAR2(4000) 
  ,addr_attribute6_meaning_p        VARCHAR2(4000) 
  ,addr_attribute7_p                VARCHAR2(4000) 
  ,addr_attribute7_meaning_p        VARCHAR2(4000) 
  ,addr_attribute8_p                VARCHAR2(4000) 
  ,addr_attribute8_meaning_p        VARCHAR2(4000) 
  ,addr_attribute9_p                VARCHAR2(4000) 
  ,addr_attribute9_meaning_p        VARCHAR2(4000) 
  ,addr_attribute10_p               VARCHAR2(4000) 
  ,addr_attribute10_meaning_p       VARCHAR2(4000) 
  ,addr_attribute11_p               VARCHAR2(4000) 
  ,addr_attribute11_meaning_p       VARCHAR2(4000) 
  ,addr_attribute12_p               VARCHAR2(4000) 
  ,addr_attribute12_meaning_p       VARCHAR2(4000) 
  ,addr_attribute13_p               VARCHAR2(4000) 
  ,addr_attribute13_meaning_p       VARCHAR2(4000) 
  ,addr_attribute14_p               VARCHAR2(4000) 
  ,addr_attribute14_meaning_p       VARCHAR2(4000) 
  ,addr_attribute15_p               VARCHAR2(4000) 
  ,addr_attribute15_meaning_p       VARCHAR2(4000) 
  ,addr_attribute16_p               VARCHAR2(4000) 
  ,addr_attribute16_meaning_p       VARCHAR2(4000) 
  ,addr_attribute17_p               VARCHAR2(4000) 
  ,addr_attribute17_meaning_p       VARCHAR2(4000) 
  ,addr_attribute18_p               VARCHAR2(4000) 
  ,addr_attribute18_meaning_p       VARCHAR2(4000) 
  ,addr_attribute19_p               VARCHAR2(4000) 
  ,addr_attribute19_meaning_p       VARCHAR2(4000) 
  ,addr_attribute20_p               VARCHAR2(4000) 
  ,addr_attribute20_meaning_p       VARCHAR2(4000) 
  ,add_information13_p              VARCHAR2(4000) 
  ,add_information13_meaning_p      VARCHAR2(4000) 
  ,add_information14_p              VARCHAR2(4000) 
  ,add_information14_meaning_p      VARCHAR2(4000) 
  ,add_information15_p              VARCHAR2(4000) 
  ,add_information15_meaning_p      VARCHAR2(4000) 
  ,add_information16_p              VARCHAR2(4000) 
  ,add_information16_meaning_p      VARCHAR2(4000) 
  ,add_information17_p              VARCHAR2(4000) 
  ,add_information17_meaning_p      VARCHAR2(4000) 
  ,add_information18_p              VARCHAR2(4000) 
  ,add_information18_meaning_p      VARCHAR2(4000) 
  ,add_information19_p              VARCHAR2(4000) 
  ,add_information19_meaning_p      VARCHAR2(4000) 
  ,add_information20_p              VARCHAR2(4000) 
  ,add_information20_meaning_p      VARCHAR2(4000) 
  ,attachment_entity                CHAR(17)       
  ,attachment_pk1                   NUMBER(15)  
  );
/
  
CREATE TYPE XXAS_CONTACT_ADDRESSES_TBL AS TABLE OF XXAS_CONTACT_ADDRESSES;
/

CREATE OR REPLACE TYPE XXAS_CONTACT_FULL_DETAIL AS OBJECT
  (PERSON_ID                           NUMBER         
  ,CONTACT_RELATIONSHIP_ID             NUMBER         
  ,OBJECT_VERSION_NUMBER               NUMBER         
  ,CONTACT_PERSON_ID                   NUMBER         
  ,CONTACT_TYPE                        VARCHAR2(30)   
  ,CONTACT_TYPE_MEANING                VARCHAR2(4000) 
  ,EMRG_CONTACT_FLAG                   VARCHAR2(1)    
  ,EMRG_CONTACT_FLAG_MEANING           VARCHAR2(4000) 
  ,EMRG_CONTACT_RELATIONSHIP_ID        NUMBER         
  ,EMRG_OBJECT_VERSION_NUMBER          NUMBER         
  ,EMRG_DATE_START                     DATE           
  ,EMRG_DATE_END                       DATE           
  ,PRIMARY_CONTACT_FLAG                VARCHAR2(30)   
  ,PRIMARY_CONTACT_FLAG_MEANING        VARCHAR2(4000) 
  ,THIRD_PARTY_PAY_FLAG                VARCHAR2(30)   
  ,BONDHOLDER_FLAG                     VARCHAR2(30)   
  ,DATE_START                          DATE           
  ,START_LIFE_REASON_ID                NUMBER         
  ,DATE_END                            DATE           
  ,END_LIFE_REASON_ID                  NUMBER         
  ,PERSONAL_FLAG                       VARCHAR2(30)   
  ,SEQUENCE_NUMBER                     NUMBER         
  ,DEPENDENT_FLAG                      VARCHAR2(30)   
  ,BENEFICIARY_FLAG                    VARCHAR2(30)   
  ,RLTD_PER_RSDS_W_DSGNTR_FLAG         VARCHAR2(30)   
  ,CONT_ATTRIBUTE_CATEGORY             VARCHAR2(30)   
  ,CONT_ATTRIBUTE1                     VARCHAR2(150)  
  ,CONT_ATTRIBUTE1_MEANING             VARCHAR2(4000) 
  ,CONT_ATTRIBUTE2                     VARCHAR2(150)  
  ,CONT_ATTRIBUTE2_MEANING             VARCHAR2(4000) 
  ,CONT_ATTRIBUTE3                     VARCHAR2(150)  
  ,CONT_ATTRIBUTE3_MEANING             VARCHAR2(4000) 
  ,CONT_ATTRIBUTE4                     VARCHAR2(150)  
  ,CONT_ATTRIBUTE4_MEANING             VARCHAR2(4000) 
  ,CONT_ATTRIBUTE5                     VARCHAR2(150)  
  ,CONT_ATTRIBUTE5_MEANING             VARCHAR2(4000) 
  ,CONT_ATTRIBUTE6                     VARCHAR2(150)  
  ,CONT_ATTRIBUTE6_MEANING             VARCHAR2(4000) 
  ,CONT_ATTRIBUTE7                     VARCHAR2(150)  
  ,CONT_ATTRIBUTE7_MEANING             VARCHAR2(4000) 
  ,CONT_ATTRIBUTE8                     VARCHAR2(150)  
  ,CONT_ATTRIBUTE8_MEANING             VARCHAR2(4000) 
  ,CONT_ATTRIBUTE9                     VARCHAR2(150)  
  ,CONT_ATTRIBUTE9_MEANING             VARCHAR2(4000) 
  ,CONT_ATTRIBUTE10                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE10_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE11                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE11_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE12                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE12_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE13                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE13_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE14                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE14_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE15                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE15_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE16                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE16_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE17                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE17_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE18                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE18_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE19                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE19_MEANING            VARCHAR2(4000) 
  ,CONT_ATTRIBUTE20                    VARCHAR2(150)  
  ,CONT_ATTRIBUTE20_MEANING            VARCHAR2(4000) 
  ,CONT_INFORMATION_CATEGORY           VARCHAR2(30)   
  ,CONT_INFORMATION1                   VARCHAR2(150)  
  ,CONT_INFORMATION1_MEANING           VARCHAR2(4000) 
  ,CONT_INFORMATION2                   VARCHAR2(150)  
  ,CONT_INFORMATION2_MEANING           VARCHAR2(4000) 
  ,CONT_INFORMATION3                   VARCHAR2(150)  
  ,CONT_INFORMATION3_MEANING           VARCHAR2(4000) 
  ,CONT_INFORMATION4                   VARCHAR2(150)  
  ,CONT_INFORMATION4_MEANING           VARCHAR2(4000) 
  ,CONT_INFORMATION5                   VARCHAR2(150)  
  ,CONT_INFORMATION5_MEANING           VARCHAR2(4000) 
  ,CONT_INFORMATION6                   VARCHAR2(150)  
  ,CONT_INFORMATION6_MEANING           VARCHAR2(4000) 
  ,CONT_INFORMATION7                   VARCHAR2(150)  
  ,CONT_INFORMATION7_MEANING           VARCHAR2(4000) 
  ,CONT_INFORMATION8                   VARCHAR2(150)  
  ,CONT_INFORMATION8_MEANING           VARCHAR2(4000) 
  ,CONT_INFORMATION9                   VARCHAR2(150)  
  ,CONT_INFORMATION9_MEANING           VARCHAR2(4000) 
  ,CONT_INFORMATION10                  VARCHAR2(150)  
  ,CONT_INFORMATION10_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION11                  VARCHAR2(150)  
  ,CONT_INFORMATION11_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION12                  VARCHAR2(150)  
  ,CONT_INFORMATION12_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION13                  VARCHAR2(150)  
  ,CONT_INFORMATION13_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION14                  VARCHAR2(150)  
  ,CONT_INFORMATION14_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION15                  VARCHAR2(150)  
  ,CONT_INFORMATION15_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION16                  VARCHAR2(150)  
  ,CONT_INFORMATION16_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION17                  VARCHAR2(150)  
  ,CONT_INFORMATION17_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION18                  VARCHAR2(150)  
  ,CONT_INFORMATION18_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION19                  VARCHAR2(150)  
  ,CONT_INFORMATION19_MEANING          VARCHAR2(4000) 
  ,CONT_INFORMATION20                  VARCHAR2(150)  
  ,CONT_INFORMATION20_MEANING          VARCHAR2(4000) 
  ,PER_OBJECT_VERSION_NUMBER           NUMBER         
  ,PERSON_TYPE_ID                      NUMBER         
  ,LAST_NAME                           VARCHAR2(150)  
  ,APPLICANT_NUMBER                    VARCHAR2(30)   
  ,DATE_EMPLOYEE_DATA_VERIFIED         DATE           
  ,DATE_OF_BIRTH                       DATE           
  ,EMAIL_ADDRESS                       VARCHAR2(240)  
  ,EMPLOYEE_NUMBER                     VARCHAR2(30)   
  ,NPW_NUMBER                          VARCHAR2(30)   
  ,EXPENSE_CHECK_SEND_TO_ADDRESS       VARCHAR2(30)   
  ,FIRST_NAME                          VARCHAR2(150)  
  ,KNOWN_AS                            VARCHAR2(80)   
  ,MARITAL_STATUS                      VARCHAR2(30)   
  ,MARITAL_STATUS_MEANING              VARCHAR2(4000) 
  ,MIDDLE_NAMES                        VARCHAR2(60)   
  ,NATIONALITY                         VARCHAR2(30)   
  ,NATIONAL_IDENTIFIER                 VARCHAR2(30)   
  ,PREVIOUS_LAST_NAME                  VARCHAR2(150)  
  ,REGISTERED_DISABLED_FLAG            VARCHAR2(30)   
  ,REGISTERED_DISABLED_MEANING         VARCHAR2(4000) 
  ,SEX                                 VARCHAR2(30)   
  ,SEX_MEANING                         VARCHAR2(4000) 
  ,TITLE                               VARCHAR2(30)   
  ,TITLE_MEANING                       VARCHAR2(4000) 
  ,VENDOR_ID                           NUMBER         
  ,WORK_TELEPHONE                      VARCHAR2(60)   
  ,ATTRIBUTE_CATEGORY                  VARCHAR2(30)   
  ,ATTRIBUTE1                          VARCHAR2(150)  
  ,ATTRIBUTE1_MEANING                  VARCHAR2(4000) 
  ,ATTRIBUTE2                          VARCHAR2(150)  
  ,ATTRIBUTE2_MEANING                  VARCHAR2(4000) 
  ,ATTRIBUTE3                          VARCHAR2(150)  
  ,ATTRIBUTE3_MEANING                  VARCHAR2(4000) 
  ,ATTRIBUTE4                          VARCHAR2(150)  
  ,ATTRIBUTE4_MEANING                  VARCHAR2(4000) 
  ,ATTRIBUTE5                          VARCHAR2(150)  
  ,ATTRIBUTE5_MEANING                  VARCHAR2(4000) 
  ,ATTRIBUTE6                          VARCHAR2(150)  
  ,ATTRIBUTE6_MEANING                  VARCHAR2(4000) 
  ,ATTRIBUTE7                          VARCHAR2(150)  
  ,ATTRIBUTE7_MEANING                  VARCHAR2(4000) 
  ,ATTRIBUTE8                          VARCHAR2(150)  
  ,ATTRIBUTE8_MEANING                  VARCHAR2(4000) 
  ,ATTRIBUTE9                          VARCHAR2(150)  
  ,ATTRIBUTE9_MEANING                  VARCHAR2(4000) 
  ,ATTRIBUTE10                         VARCHAR2(150)  
  ,ATTRIBUTE10_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE11                         VARCHAR2(150)  
  ,ATTRIBUTE11_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE12                         VARCHAR2(150)  
  ,ATTRIBUTE12_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE13                         VARCHAR2(150)  
  ,ATTRIBUTE13_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE14                         VARCHAR2(150)  
  ,ATTRIBUTE14_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE15                         VARCHAR2(150)  
  ,ATTRIBUTE15_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE16                         VARCHAR2(150)  
  ,ATTRIBUTE16_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE17                         VARCHAR2(150)  
  ,ATTRIBUTE17_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE18                         VARCHAR2(150)  
  ,ATTRIBUTE18_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE19                         VARCHAR2(150)  
  ,ATTRIBUTE19_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE20                         VARCHAR2(150)  
  ,ATTRIBUTE20_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE21                         VARCHAR2(150)  
  ,ATTRIBUTE21_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE22                         VARCHAR2(150)  
  ,ATTRIBUTE22_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE23                         VARCHAR2(150)  
  ,ATTRIBUTE23_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE24                         VARCHAR2(150)  
  ,ATTRIBUTE24_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE25                         VARCHAR2(150)  
  ,ATTRIBUTE25_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE26                         VARCHAR2(150)  
  ,ATTRIBUTE26_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE27                         VARCHAR2(150)  
  ,ATTRIBUTE27_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE28                         VARCHAR2(150)  
  ,ATTRIBUTE28_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE29                         VARCHAR2(150)  
  ,ATTRIBUTE29_MEANING                 VARCHAR2(4000) 
  ,ATTRIBUTE30                         VARCHAR2(150)  
  ,ATTRIBUTE30_MEANING                 VARCHAR2(4000) 
  ,PER_INFORMATION_CATEGORY            VARCHAR2(30)   
  ,PER_INFORMATION1                    VARCHAR2(150)  
  ,PER_INFORMATION1_MEANING            VARCHAR2(4000) 
  ,PER_INFORMATION2                    VARCHAR2(150)  
  ,PER_INFORMATION2_MEANING            VARCHAR2(4000) 
  ,PER_INFORMATION3                    VARCHAR2(150)  
  ,PER_INFORMATION3_MEANING            VARCHAR2(4000) 
  ,PER_INFORMATION4                    VARCHAR2(150)  
  ,PER_INFORMATION4_MEANING            VARCHAR2(4000) 
  ,PER_INFORMATION5                    VARCHAR2(150)  
  ,PER_INFORMATION5_MEANING            VARCHAR2(4000) 
  ,PER_INFORMATION6                    VARCHAR2(150)  
  ,PER_INFORMATION6_MEANING            VARCHAR2(4000) 
  ,PER_INFORMATION7                    VARCHAR2(150)  
  ,PER_INFORMATION7_MEANING            VARCHAR2(4000) 
  ,PER_INFORMATION8                    VARCHAR2(150)  
  ,PER_INFORMATION8_MEANING            VARCHAR2(4000) 
  ,PER_INFORMATION9                    VARCHAR2(150)  
  ,PER_INFORMATION9_MEANING            VARCHAR2(4000) 
  ,PER_INFORMATION10                   VARCHAR2(150)  
  ,PER_INFORMATION10_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION11                   VARCHAR2(150)  
  ,PER_INFORMATION11_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION12                   VARCHAR2(150)  
  ,PER_INFORMATION12_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION13                   VARCHAR2(150)  
  ,PER_INFORMATION13_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION14                   VARCHAR2(150)  
  ,PER_INFORMATION14_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION15                   VARCHAR2(150)  
  ,PER_INFORMATION15_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION16                   VARCHAR2(150)  
  ,PER_INFORMATION16_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION17                   VARCHAR2(150)  
  ,PER_INFORMATION17_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION18                   VARCHAR2(150)  
  ,PER_INFORMATION18_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION19                   VARCHAR2(150)  
  ,PER_INFORMATION19_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION20                   VARCHAR2(150)  
  ,PER_INFORMATION20_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION21                   VARCHAR2(150)  
  ,PER_INFORMATION21_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION22                   VARCHAR2(150)  
  ,PER_INFORMATION22_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION23                   VARCHAR2(150)  
  ,PER_INFORMATION23_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION24                   VARCHAR2(150)  
  ,PER_INFORMATION24_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION25                   VARCHAR2(150)  
  ,PER_INFORMATION25_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION26                   VARCHAR2(150)  
  ,PER_INFORMATION26_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION27                   VARCHAR2(150)  
  ,PER_INFORMATION27_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION28                   VARCHAR2(150)  
  ,PER_INFORMATION28_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION29                   VARCHAR2(150)  
  ,PER_INFORMATION29_MEANING           VARCHAR2(4000) 
  ,PER_INFORMATION30                   VARCHAR2(150)  
  ,PER_INFORMATION30_MEANING           VARCHAR2(4000) 
  ,DATE_OF_DEATH                       DATE           
  ,BACKGROUND_CHECK_STATUS             VARCHAR2(30)   
  ,BACKGROUND_DATE_CHECK               DATE           
  ,BLOOD_TYPE                          VARCHAR2(30)   
  ,CORRESPONDENCE_LANGUAGE             VARCHAR2(30)   
  ,FAST_PATH_EMPLOYEE                  VARCHAR2(30)   
  ,FTE_CAPACITY                        NUMBER         
  ,HOLD_APPLICANT_DATE_UNTIL           DATE           
  ,HONORS                              VARCHAR2(45)   
  ,INTERNAL_LOCATION                   VARCHAR2(45)   
  ,LAST_MEDICAL_TEST_BY                VARCHAR2(60)   
  ,LAST_MEDICAL_TEST_DATE              DATE           
  ,MAILSTOP                            VARCHAR2(45)   
  ,OFFICE_NUMBER                       VARCHAR2(45)   
  ,ON_MILITARY_SERVICE                 VARCHAR2(30)   
  ,PRE_NAME_ADJUNCT                    VARCHAR2(30)   
  ,PROJECTED_START_DATE                DATE           
  ,REHIRE_AUTHORIZOR                   VARCHAR2(60)   
  ,REHIRE_RECOMMENDATION               VARCHAR2(30)   
  ,RESUME_EXISTS                       VARCHAR2(30)   
  ,RESUME_LAST_UPDATED                 DATE           
  ,SECOND_PASSPORT_EXISTS              VARCHAR2(30)   
  ,STUDENT_STATUS                      VARCHAR2(30)   
  ,STUDENT_STATUS_MEANING              VARCHAR2(4000) 
  ,WORK_SCHEDULE                       VARCHAR2(30)   
  ,REHIRE_REASON                       VARCHAR2(60)   
  ,SUFFIX                              VARCHAR2(30)   
  ,BENEFIT_GROUP_ID                    NUMBER         
  ,RECEIPT_OF_DEATH_CERT_DATE          DATE           
  ,COORD_BEN_MED_PLN_NO                VARCHAR2(30)   
  ,COORD_BEN_NO_CVG_FLAG               VARCHAR2(30)   
  ,USES_TOBACCO_FLAG                   VARCHAR2(30)   
  ,DPDNT_ADOPTION_DATE                 DATE           
  ,DPDNT_VLNTRY_SVCE_FLAG              VARCHAR2(30)   
  ,ORIGINAL_DATE_OF_HIRE               DATE           
  ,TOWN_OF_BIRTH                       VARCHAR2(90)   
  ,REGION_OF_BIRTH                     VARCHAR2(90)   
  ,COUNTRY_OF_BIRTH                    VARCHAR2(90)   
  ,GLOBAL_PERSON_ID                    VARCHAR2(30)   
  ,BUSINESS_GROUP_ID                   NUMBER         
  ,FULL_NAME                           VARCHAR2(240)  
  ,FORMATTED_NAME                      VARCHAR2(4000) 
  ,COMMENT_ID                          NUMBER            
  ,PRIMARY_FLAG                        VARCHAR2(30)   
  ,ADDRESS_TYPE                        VARCHAR2(30)   
  ,DATE_FROM                           DATE           
  ,DATE_TO                             DATE           
  ,ADDRESS_LINE1                       VARCHAR2(240)  
  ,TRANSACTION_ID                      NUMBER(15)     
  ,TRANSACTION_STEP_ID                 NUMBER         
  ,TRANSACTION_TYPE                    CHAR(6)        
  ,HR_API_STATUS_CODE                  VARCHAR2(10)   
  ,WORKFLOW_STATUS_CODE                VARCHAR2(4000) 
  ,WORKFLOW_STATUS_MEANING             VARCHAR2(4000) 
  ,CONT_OBJECT_VERSION_NUMBER_P        NUMBER         
  ,CONTACT_TYPE_P                      VARCHAR2(4000) 
  ,CONTACT_TYPE_MEANING_P              VARCHAR2(4000) 
  ,EMRG_CONTACT_FLAG_P                 VARCHAR2(4000) 
  ,EMRG_CONTACT_FLAG_MEANING_P         VARCHAR2(4000) 
  ,PRIMARY_CONTACT_FLAG_P              VARCHAR2(4000) 
  ,PRIMARY_CONTACT_FLAG_MEANING_P      VARCHAR2(4000) 
  ,THIRD_PARTY_PAY_FLAG_P              VARCHAR2(4000) 
  ,BONDHOLDER_FLAG_P                   VARCHAR2(4000) 
  ,DATE_START_P                        DATE           
  ,START_LIFE_REASON_ID_P              NUMBER         
  ,DATE_END_P                          DATE           
  ,END_LIFE_REASON_ID_P                NUMBER         
  ,PERSONAL_FLAG_P                     VARCHAR2(4000) 
  ,SEQUENCE_NUMBER_P                   NUMBER         
  ,DEPENDENT_FLAG_P                    VARCHAR2(4000) 
  ,BENEFICIARY_FLAG_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE_CATEGORY_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE1_P                   VARCHAR2(4000) 
  ,CONT_ATTRIBUTE1_MEANING_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE2_P                   VARCHAR2(4000) 
  ,CONT_ATTRIBUTE2_MEANING_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE3_P                   VARCHAR2(4000) 
  ,CONT_ATTRIBUTE3_MEANING_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE4_P                   VARCHAR2(4000) 
  ,CONT_ATTRIBUTE4_MEANING_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE5_P                   VARCHAR2(4000) 
  ,CONT_ATTRIBUTE5_MEANING_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE6_P                   VARCHAR2(4000) 
  ,CONT_ATTRIBUTE6_MEANING_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE7_P                   VARCHAR2(4000) 
  ,CONT_ATTRIBUTE7_MEANING_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE8_P                   VARCHAR2(4000) 
  ,CONT_ATTRIBUTE8_MEANING_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE9_P                   VARCHAR2(4000) 
  ,CONT_ATTRIBUTE9_MEANING_P           VARCHAR2(4000) 
  ,CONT_ATTRIBUTE10_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE10_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE11_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE11_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE12_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE12_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE13_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE13_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE14_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE14_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE15_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE15_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE16_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE16_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE17_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE17_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE18_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE18_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE19_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE19_MEANING_P          VARCHAR2(4000) 
  ,CONT_ATTRIBUTE20_P                  VARCHAR2(4000) 
  ,CONT_ATTRIBUTE20_MEANING_P          VARCHAR2(4000) 
  ,CONT_INFORMATION_CATEGORY_P         VARCHAR2(4000)
  ,CONT_INFORMATION1_P                 VARCHAR2(4000) 
  ,CONT_INFORMATION1_MEANING_P         VARCHAR2(4000) 
  ,CONT_INFORMATION2_P                 VARCHAR2(4000) 
  ,CONT_INFORMATION2_MEANING_P         VARCHAR2(4000) 
  ,CONT_INFORMATION3_P                 VARCHAR2(4000) 
  ,CONT_INFORMATION3_MEANING_P         VARCHAR2(4000) 
  ,CONT_INFORMATION4_P                 VARCHAR2(4000) 
  ,CONT_INFORMATION4_MEANING_P         VARCHAR2(4000) 
  ,CONT_INFORMATION5_P                 VARCHAR2(4000) 
  ,CONT_INFORMATION5_MEANING_P         VARCHAR2(4000) 
  ,CONT_INFORMATION6_P                 VARCHAR2(4000) 
  ,CONT_INFORMATION6_MEANING_P         VARCHAR2(4000) 
  ,CONT_INFORMATION7_P                 VARCHAR2(4000) 
  ,CONT_INFORMATION7_MEANING_P         VARCHAR2(4000) 
  ,CONT_INFORMATION8_P                 VARCHAR2(4000) 
  ,CONT_INFORMATION8_MEANING_P         VARCHAR2(4000) 
  ,CONT_INFORMATION9_P                 VARCHAR2(4000) 
  ,CONT_INFORMATION9_MEANING_P         VARCHAR2(4000) 
  ,CONT_INFORMATION10_P                VARCHAR2(4000) 
  ,CONT_INFORMATION10_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION11_P                VARCHAR2(4000) 
  ,CONT_INFORMATION11_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION12_P                VARCHAR2(4000) 
  ,CONT_INFORMATION12_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION13_P                VARCHAR2(4000) 
  ,CONT_INFORMATION13_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION14_P                VARCHAR2(4000) 
  ,CONT_INFORMATION14_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION15_P                VARCHAR2(4000) 
  ,CONT_INFORMATION15_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION16_P                VARCHAR2(4000) 
  ,CONT_INFORMATION16_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION17_P                VARCHAR2(4000) 
  ,CONT_INFORMATION17_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION18_P                VARCHAR2(4000) 
  ,CONT_INFORMATION18_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION19_P                VARCHAR2(4000) 
  ,CONT_INFORMATION19_MEANING_P        VARCHAR2(4000) 
  ,CONT_INFORMATION20_P                VARCHAR2(4000) 
  ,CONT_INFORMATION20_MEANING_P        VARCHAR2(4000) 
  ,PER_OBJECT_VERSION_NUMBER_P         NUMBER         
  ,PERSON_TYPE_ID_P                    NUMBER         
  ,LAST_NAME_P                         VARCHAR2(4000) 
  ,APPLICANT_NUMBER_P                  VARCHAR2(4000) 
  ,DATE_EMPLOYEE_DATA_VERIFIED_P       DATE           
  ,DATE_OF_BIRTH_P                     DATE           
  ,EMAIL_ADDRESS_P                     VARCHAR2(4000) 
  ,EMPLOYEE_NUMBER_P                   VARCHAR2(4000) 
  ,NPW_NUMBER_P                        VARCHAR2(4000) 
  ,EXPENSE_CHECK_SEND_TO_ADDRES_P      VARCHAR2(4000) 
  ,FIRST_NAME_P                        VARCHAR2(4000) 
  ,KNOWN_AS_P                          VARCHAR2(4000) 
  ,MARITAL_STATUS_P                    VARCHAR2(4000) 
  ,MARITAL_STATUS_MEANING_P            VARCHAR2(4000) 
  ,MIDDLE_NAMES_P                      VARCHAR2(4000) 
  ,NATIONALITY_P                       VARCHAR2(4000) 
  ,NATIONAL_IDENTIFIER_P               VARCHAR2(4000) 
  ,PREVIOUS_LAST_NAME_P                VARCHAR2(4000) 
  ,REGISTERED_DISABLED_FLAG_P          VARCHAR2(4000) 
  ,REGISTERED_DISABLED_MEANING_P       VARCHAR2(4000) 
  ,SEX_P                               VARCHAR2(4000) 
  ,SEX_MEANING_P                       VARCHAR2(4000) 
  ,TITLE_P                             VARCHAR2(4000) 
  ,TITLE_MEANING_P                     VARCHAR2(4000) 
  ,VENDOR_ID_P                         VARCHAR2(4000) 
  ,WORK_TELEPHONE_P                    NUMBER         
  ,ATTRIBUTE_CATEGORY_P                VARCHAR2(4000) 
  ,ATTRIBUTE1_P                        VARCHAR2(4000) 
  ,ATTRIBUTE1_MEANING_P                VARCHAR2(4000) 
  ,ATTRIBUTE2_P                        VARCHAR2(4000) 
  ,ATTRIBUTE2_MEANING_P                VARCHAR2(4000) 
  ,ATTRIBUTE3_P                        VARCHAR2(4000) 
  ,ATTRIBUTE3_MEANING_P                VARCHAR2(4000) 
  ,ATTRIBUTE4_P                        VARCHAR2(4000) 
  ,ATTRIBUTE4_MEANING_P                VARCHAR2(4000) 
  ,ATTRIBUTE5_P                        VARCHAR2(4000) 
  ,ATTRIBUTE5_MEANING_P                VARCHAR2(4000) 
  ,ATTRIBUTE6_P                        VARCHAR2(4000) 
  ,ATTRIBUTE6_MEANING_P                VARCHAR2(4000) 
  ,ATTRIBUTE7_P                        VARCHAR2(4000) 
  ,ATTRIBUTE7_MEANING_P                VARCHAR2(4000) 
  ,ATTRIBUTE8_P                        VARCHAR2(4000) 
  ,ATTRIBUTE8_MEANING_P                VARCHAR2(4000) 
  ,ATTRIBUTE9_P                        VARCHAR2(4000) 
  ,ATTRIBUTE9_MEANING_P                VARCHAR2(4000) 
  ,ATTRIBUTE10_P                       VARCHAR2(4000) 
  ,ATTRIBUTE10_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE11_P                       VARCHAR2(4000) 
  ,ATTRIBUTE11_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE12_P                       VARCHAR2(4000) 
  ,ATTRIBUTE12_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE13_P                       VARCHAR2(4000) 
  ,ATTRIBUTE13_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE14_P                       VARCHAR2(4000) 
  ,ATTRIBUTE14_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE15_P                       VARCHAR2(4000) 
  ,ATTRIBUTE15_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE16_P                       VARCHAR2(4000) 
  ,ATTRIBUTE16_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE17_P                       VARCHAR2(4000) 
  ,ATTRIBUTE17_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE18_P                       VARCHAR2(4000) 
  ,ATTRIBUTE18_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE19_P                       VARCHAR2(4000) 
  ,ATTRIBUTE19_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE20_P                       VARCHAR2(4000) 
  ,ATTRIBUTE20_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE21_P                       VARCHAR2(4000) 
  ,ATTRIBUTE21_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE22_P                       VARCHAR2(4000) 
  ,ATTRIBUTE22_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE23_P                       VARCHAR2(4000) 
  ,ATTRIBUTE23_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE24_P                       VARCHAR2(4000) 
  ,ATTRIBUTE24_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE25_P                       VARCHAR2(4000) 
  ,ATTRIBUTE25_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE26_P                       VARCHAR2(4000) 
  ,ATTRIBUTE26_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE27_P                       VARCHAR2(4000) 
  ,ATTRIBUTE27_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE28_P                       VARCHAR2(4000) 
  ,ATTRIBUTE28_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE29_P                       VARCHAR2(4000) 
  ,ATTRIBUTE29_MEANING_P               VARCHAR2(4000) 
  ,ATTRIBUTE30_P                       VARCHAR2(4000) 
  ,ATTRIBUTE30_MEANING_P               VARCHAR2(4000) 
  ,PER_INFORMATION_CATEGORY_P          VARCHAR2(4000) 
  ,PER_INFORMATION1_P                  VARCHAR2(4000) 
  ,PER_INFORMATION1_MEANING_P          VARCHAR2(4000) 
  ,PER_INFORMATION2_P                  VARCHAR2(4000) 
  ,PER_INFORMATION2_MEANING_P          VARCHAR2(4000) 
  ,PER_INFORMATION3_P                  VARCHAR2(4000) 
  ,PER_INFORMATION3_MEANING_P          VARCHAR2(4000) 
  ,PER_INFORMATION4_P                  VARCHAR2(4000) 
  ,PER_INFORMATION4_MEANING_P          VARCHAR2(4000) 
  ,PER_INFORMATION5_P                  VARCHAR2(4000) 
  ,PER_INFORMATION5_MEANING_P          VARCHAR2(4000) 
  ,PER_INFORMATION6_P                  VARCHAR2(4000) 
  ,PER_INFORMATION6_MEANING_P          VARCHAR2(4000) 
  ,PER_INFORMATION7_P                  VARCHAR2(4000) 
  ,PER_INFORMATION7_MEANING_P          VARCHAR2(4000) 
  ,PER_INFORMATION8_P                  VARCHAR2(4000) 
  ,PER_INFORMATION8_MEANING_P          VARCHAR2(4000) 
  ,PER_INFORMATION9_P                  VARCHAR2(4000) 
  ,PER_INFORMATION9_MEANING_P          VARCHAR2(4000) 
  ,PER_INFORMATION10_P                 VARCHAR2(4000) 
  ,PER_INFORMATION10_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION11_P                 VARCHAR2(4000) 
  ,PER_INFORMATION11_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION12_P                 VARCHAR2(4000) 
  ,PER_INFORMATION12_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION13_P                 VARCHAR2(4000) 
  ,PER_INFORMATION13_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION14_P                 VARCHAR2(4000) 
  ,PER_INFORMATION14_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION15_P                 VARCHAR2(4000) 
  ,PER_INFORMATION15_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION16_P                 VARCHAR2(4000) 
  ,PER_INFORMATION16_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION17_P                 VARCHAR2(4000) 
  ,PER_INFORMATION17_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION18_P                 VARCHAR2(4000) 
  ,PER_INFORMATION18_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION19_P                 VARCHAR2(4000) 
  ,PER_INFORMATION19_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION20_P                 VARCHAR2(4000) 
  ,PER_INFORMATION20_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION21_P                 VARCHAR2(4000) 
  ,PER_INFORMATION21_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION22_P                 VARCHAR2(4000) 
  ,PER_INFORMATION22_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION23_P                 VARCHAR2(4000) 
  ,PER_INFORMATION23_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION24_P                 VARCHAR2(4000) 
  ,PER_INFORMATION24_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION25_P                 VARCHAR2(4000) 
  ,PER_INFORMATION25_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION26_P                 VARCHAR2(4000) 
  ,PER_INFORMATION26_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION27_P                 VARCHAR2(4000) 
  ,PER_INFORMATION27_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION28_P                 VARCHAR2(4000) 
  ,PER_INFORMATION28_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION29_P                 VARCHAR2(4000) 
  ,PER_INFORMATION29_MEANING_P         VARCHAR2(4000) 
  ,PER_INFORMATION30_P                 VARCHAR2(4000) 
  ,PER_INFORMATION30_MEANING_P         VARCHAR2(4000) 
  ,DATE_OF_DEATH_P                     DATE           
  ,BACKGROUND_CHECK_STATUS_P           VARCHAR2(4000) 
  ,BACKGROUND_DATE_CHECK_P             DATE           
  ,BLOOD_TYPE_P                        VARCHAR2(4000) 
  ,CORRESPONDENCE_LANGUAGE_P           VARCHAR2(4000) 
  ,FAST_PATH_EMPLOYEE_P                VARCHAR2(4000) 
  ,FTE_CAPACITY_P                      NUMBER         
  ,HOLD_APPLICANT_DATE_UNTIL_P         DATE           
  ,HONORS_P                            VARCHAR2(4000) 
  ,INTERNAL_LOCATION_P                 VARCHAR2(4000) 
  ,LAST_MEDICAL_TEST_BY_P              VARCHAR2(4000) 
  ,LAST_MEDICAL_TEST_DATE_P            DATE           
  ,MAILSTOP_P                          VARCHAR2(4000) 
  ,OFICE_NUMBER_P                     VARCHAR2(4000) 
  ,ON_MILITARY_SERVICE_P               VARCHAR2(4000) 
  ,PRE_NAME_ADJUNCT_P                  VARCHAR2(4000) 
  ,PROJECTED_START_DATE_P              DATE           
  ,REHIRE_AUTHORIZOR_P                 VARCHAR2(4000) 
  ,REHIRE_RECOMMENDATION_P             VARCHAR2(4000) 
  ,RESUME_EXISTS_P                     VARCHAR2(4000) 
  ,RESUME_LAST_UPDATED_P               DATE           
  ,SECOND_PASSPORT_EXISTS_P            VARCHAR2(4000) 
  ,STUDENT_STATUS_P                    VARCHAR2(4000) 
  ,STUDENT_STATUS_MEANING_P            VARCHAR2(4000) 
  ,WORK_SCHEDULE_P                     VARCHAR2(4000) 
  ,REHIRE_REASON_P                     VARCHAR2(4000) 
  ,SUFFIX_P                            VARCHAR2(4000) 
  ,BENEFIT_GROUP_ID_P                  NUMBER         
  ,RECEIPT_OF_DEATH_CERT_DATE_P        DATE           
  ,COORD_BEN_MED_PLN_NO_P              VARCHAR2(4000) 
  ,COORD_BEN_NO_CVG_FLAG_P             VARCHAR2(4000) 
  ,USES_TOBACCO_FLAG_P                 VARCHAR2(4000) 
  ,DPDNT_ADOPTION_DATE_P               DATE           
  ,DPDNT_VLNTRY_SVCE_FLAG_P            VARCHAR2(4000) 
  ,ORIGINAL_DATE_OF_HIRE_P             DATE           
  ,TOWN_OF_BIRTH_P                     VARCHAR2(4000) 
  ,REGION_OF_BIRTH_P                   VARCHAR2(4000) 
  ,COUNTRY_OF_BIRTH_P                  VARCHAR2(4000) 
  ,GLOBAL_PERSON_ID_P                  NUMBER         
  ,RLTD_PER_RSDS_W_DSGNTR_FLAG_P       VARCHAR2(4000) 
  ,contact_phone_numbers               XXAS_CONTACT_PHONE_NUMBERS_TBL);
/

CREATE TYPE XXAS_CONTACT_FULL_DETAIL_TBL AS TABLE OF XXAS_CONTACT_FULL_DETAIL;
/

COMMIT;
EXIT;
