/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register Create EmployeeCenter Flexible View Row
  --      
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'CreateEmpFlexibleViewRow'
    ,p_securing_function => 'XXAS_SRV_C_EMP_FLEX_ROW_PERM'
    ,p_plsql_procedure   => 'xxas_emp_view_ui_pkg.create_emp_view_row'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pViewName'         , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId2'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId3'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId4'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId5'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pEffectiveDate'    , xxas_com_sr_pkg.g_DATE)
                              ,xxas_com_sr_param_type('pInstancePk1Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pInstancePk2Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pInstancePk3Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pInstancePk4Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pInstancePk5Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField1Name'       , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField1Value'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField2Name'       , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField2Value'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField3Name'       , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField3Value'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField4Name'       , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField4Value'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField5Name'       , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField5Value'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField6Name'       , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField6Value'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField7Name'       , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField7Value'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField8Name'       , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField8Value'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField9Name'       , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField9Value'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField10Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField10Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField11Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField11Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField12Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField12Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField13Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField13Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField14Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField14Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField15Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField15Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField16Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField16Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField17Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField17Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField18Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField18Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField19Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField19Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField20Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField20Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField21Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField21Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField22Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField22Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField23Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField23Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField24Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField24Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField25Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField25Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField26Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField26Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField27Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField27Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField28Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField28Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField29Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField29Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField30Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField30Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField31Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField31Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField32Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField32Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField33Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField33Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField34Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField34Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField35Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField35Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField36Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField36Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField37Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField37Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField38Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField38Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField39Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField39Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField40Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField40Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField41Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField41Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField42Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField42Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField43Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField43Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField44Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField44Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField45Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField45Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField46Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField46Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField47Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField47Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField48Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField48Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField49Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField49Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField50Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField50Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField51Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField51Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField52Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField52Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField53Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField53Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField54Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField54Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField55Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField55Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField56Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField56Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField57Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField57Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField58Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField58Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField59Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField59Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField60Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField60Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField61Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField61Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField62Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField62Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField63Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField63Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField64Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField64Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField65Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField65Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField66Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField66Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField67Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField67Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField68Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField68Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField69Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField69Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField70Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField70Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField71Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField71Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField72Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField72Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField73Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField73Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField74Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField74Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField75Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField75Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField76Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField76Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField77Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField77Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField78Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField78Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField79Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField79Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField80Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField80Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField81Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField81Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField82Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField82Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField83Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField83Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField84Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField84Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField85Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField85Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField86Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField86Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField87Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField87Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField88Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField88Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField89Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField89Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField90Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField90Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField91Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField91Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField92Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField92Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField93Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField93Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField94Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField94Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField95Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField95Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField96Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField96Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField97Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField97Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField98Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField98Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField99Name'      , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField99Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField100Name'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pField100Value'    , xxas_com_sr_pkg.g_VARCHAR2)));

END;
/
COMMIT;
EXIT;
