/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2010 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  l_PROD CONSTANT varchar2(3) := 'EMP';

BEGIN

  -- 
  -- Register the services used by this product
  --
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPeopleByNameforiPhone'  , 'C391A0C061AB89817B1064220513AE9B');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonImageforiPhone'   , 'EDBEA90D01156A84D81ABC82A5218E4F');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonforiPhone'        , 'BA1F36BC17104618471CBE96E6CA89A4');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPeopleByName'           , '74C48B144E3CCB2F2EC08F80F9ED2A43');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPerson'                 , '686BE67FDC6FCD0177F8DB3A79492A66');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonImage'            , 'A661DC3DA529C089152BC27F867441C6');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonAssignmentsByName', 'E631134ADD7902519135152503CBFBB5');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryAssignmentDRs'          , 'B7CE495A74C6AC28DFD404C625EFF6AA');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryAssignmentWalkUp'       , '90881BDD6B98C7FC822D022C64EFD432');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPermissionsBySet'       , 'E153EDCB51D4E4C6782291A4276F928B');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryDataPermissionsBySet'   , '39A928E635C4481621B48E00BB61EC2C');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'UpdatePersonImage'           , '563D8967B221EC44A72AAAA69CFE34C3');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'DeletePersonImage'           , '85B083CA9188A0772BF1B11BF1586401');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'UpdatePersonAboutMe'         , '054FBFC186C61D8E6413F12ADE9713F3');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryActions'                , '91929B2A1D03E7CBA755786BE652E3F6');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryEmpViews'               , '8705971F492B8C6298C8C3C59A83B47C');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryMenu'                   , '7265B8CE886F4715C58C5F3F43868E0B');
    
   xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgChart'               , '759B002F93D01090A5A9AD06357DEA26');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgChartDRs'            , 'B51FCA80902D4C5214BDDF2B44E059A3');
  
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgChartOpenXML'        , '20BEB034112C88A858210786F0F83666');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryAvailableOrgCharts'     , 'DC422AAE7AA34122135BB9B9F7DBAF06');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryRegisteredOrgViews'     , '85409ABD303B82169D0125AA85991430');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewHTML'            , '48B754FD34083EBA28C13C9173524BEF');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewImgHTML'         , '8FC880FDF94408E4328CAB0616F85D19');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewList'            , '6EC5C9735A66C4C48518931FFB3BD32F');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewForm'            , '616EB5EA5719D8C87ACA9495E2224CDC');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryOrgViewFaces'           , 'DCF9FCB13EE564AF937CBB5E763743B5');
  
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryExportOptions'          , '1E1F7DB439B88F5DFC43B60A82281BD3');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryEmpFlexibleView'        , '58A6E8063CFF4E8EA066884FDB6AB4A3');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryEmpFlexibleViewForEdit' , '22DD8957106F6CFC27200110BA851A74');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'CreateEmpFlexibleViewRow'    , '3241AF532FD71BE076FBCED616AF0463');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'CancelEmpFlexibleViewRow'    , '77B1C58EBFB6AF5878C57B51D94E1898');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'SubmitEmpFlexibleViewRow'    , 'B1249ECF5EB8A470FB68FFACE97C9C6A');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'ReviewEmpFlexibleViewRow'    , '44288C11CB0ABC0A2C48FD38F8B65CE7');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'UpdateEmpFlexibleViewRow'    , '2B7BB9B4A447ECDDAF38EDC751A49217');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'DeleteEmpFlexibleViewRow'    , 'E94C044DB9A6D523BD14D8B69AC9E6DC');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryNotes'                  , '8A7F8D3F3BC87EDC85697A44ACA6CF51');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryNoteTypes'              , 'C3DDF5CF57EC923A41DEAD23BEF64613');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'CreateNote'                  , '452E8D61C95FDE86FF11E985BF50B9C7');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'UpdateNote'                  , '703B3425C16A65C12A8B24D284E69661');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'DeleteNote'                  , 'F385F6C12E31772FEF326AAD00F139CB');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryAssignments'            , '5C62DA5B0E8ADEDF699DD57A3328E59D');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryAssignmentsBySavedSearch','EF56223BF7C1FCCD5587D27AD17D22D9');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryAssignmentsExport'      , '675395168C3DD5AA1E271DF7FF2EAC60');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QuerySearchFacets'           , '254A2DB067E1E6512A520C16C2FF9C46');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'CreatePersonTag'             , '6604BCE91222932F1CD29CECAA9D3A59');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'DeletePersonTag'             , 'DB391540F502166D38608DF8F4FF2DFD');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonTags'             , 'F8C278077D0838CDD6A43828C1A4D42D'); 

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPopularTags'            , 'A8CD0A2F4C314D2FEF02FE75004F55B1');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryRecentTags'             , '16A34A20F8D285ECA413264CA8C02748');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryTagCloud'               , '8B5FE2120D5EE4BC44BDC12FC1935377');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryTaggedPeople'           , 'EB2CC1B5E79A8834DCF94CD71B4B1C0F');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryLookupValues'           , '4B91BCA15ABE37B8BE28CD1165B1F2AE');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryValueSetValues'         , '083F9001BF357E15957AEF65364219B0');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryValueSetValuesByName'   , 'EF927D02519CD3FE79454ADB8398C491');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPayslips'               , 'D528F41F04466634A71A515653C48857');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPayslipDetails'         , '076F118E869CB21D3966A93A280F291D');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'CreateAttachment'            , 'EF98BEA3408C20BB23230C3068803BE8');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'UpdateAttachment'            , 'E88C1856A6FF9423F6248E6BEA276741');
    
  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'DeleteAttachment'            , '92D2427C2048F8CB28471DCF10406B5F');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryPersonContacts'         , '3AA1F3A27971CB15228112D3F48CD553');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'QueryWorklist'               , 'F206EF3F1B913A1B92E676FC276BF06D');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'RespondToWfNotification'     , 'DE898E6655D767E7AC4591DDEB492922');

  xxas_com_sr_pkg.register_service_usage
    (l_PROD, 'RegisterViewUsage'           , 'C5EC2E27125118078A769CC3862C9B53');
    
END;
/
COMMIT;
EXIT;
