/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE TYPE BODY xxas_field_attributes_type IS

  CONSTRUCTOR FUNCTION xxas_field_attributes_type 
    (p_attr_name  IN VARCHAR2
    ,p_attr_value IN VARCHAR2) RETURN SELF AS RESULT
  IS
  
  BEGIN 
    self.attr_name := p_attr_name;
    self.attr_value := p_attr_value;
    
    RETURN;
  END;

END;
/

CREATE OR REPLACE TYPE BODY xxas_form_field IS
  
  CONSTRUCTOR FUNCTION xxas_form_field
    (p_field_type       IN  VARCHAR2
    ,p_field_name       IN  VARCHAR2
    ,p_display_sequence IN  NUMBER   DEFAULT NULL
    ,p_parent_container IN  VARCHAR2 DEFAULT NULL) RETURN SELF AS RESULT
  IS

  BEGIN
    attr_table := xxas_field_attributes_table();
    
    self.set_field_type(p_field_type);
    self.set_field_name(p_field_name);
    self.set_parent_container(p_parent_container);
    self.set_display_sequence(p_display_sequence);
    
    
    self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','ID'),p_field_name);
    
    RETURN;
    
  END xxas_form_field;
  
  CONSTRUCTOR FUNCTION xxas_form_field
    (p_row_xml          IN XMLType
    ,p_parent_container IN VARCHAR2 DEFAULT NULL
    ,p_display_sequence IN NUMBER   DEFAULT NULL) RETURN SELF AS RESULT
  IS
    CURSOR csr_field_properties IS
    SELECT ff.field_type
      /*,REPLACE(CASE upper(ff.field_type)
          WHEN 'FLEXFIELD' THEN
            ff.descriptive_flexfield_name
          ELSE
            ff.field_id
          END
          ,'_','-') field_id*/
      /*,CASE upper(ff.field_type)
          WHEN 'FLEXFIELD' THEN
            ff.descriptive_flexfield_name
          ELSE
            ff.field_id
          END field_id    */
      ,ff.field_id
      ,ff.description
      ,ff.label
      ,ff.value
      ,CASE ff.visible
        WHEN 'true' THEN 'Y'
        WHEN 'false' THEN 'N'
        ELSE ff.visible 
        END visible
      ,CASE ff.enabled
        WHEN 'true' THEN 'Y'
        WHEN 'false' THEN 'N'
        ELSE ff.enabled 
        END enabled
      ,ff.required
      ,ff.empty_value
      ,ff.hide_if
      ,ff.post_to_href
      ,CASE ff.refresh_on_change
        WHEN 'true' THEN 'Y'
        WHEN 'false' THEN 'N'
        ELSE ff.refresh_on_change
        END refresh_on_change
      ,ff.max_length
      ,ff.max_chars
      ,ff.service_name
      ,ff.google_place_type
      ,ff.place_holder
      ,CASE ff.rich_text
        WHEN 'true' THEN 'Y'
        WHEN 'false' THEN 'N'
        ELSE ff.rich_text 
        END rich_text
      ,ff.list_function
      ,ff.style
      ,ff.weight
      ,ff.color
      ,ff.value_generator
      ,ff.max_attachments
      ,ff.entity_name
      ,CASE ff.category_code
        WHEN 'true' THEN 'Y'
        WHEN 'false' THEN 'N'
        ELSE ff.category_code 
        END category_code
      ,ff.attachment_title
      ,ff.attachment_description
      ,ff.pk1_field_value
      ,ff.pk2_field_value
      ,ff.pk3_field_value
      ,ff.pk4_field_value
      ,ff.pk5_field_value
      ,ff.file_types
      ,ff.file_name
      ,ff.file_href
      ,ff.button_text
      ,ff.post_new_to_href
      ,ff.decimal_precision
      ,ff.date_format
      ,ff.list_provider_type
      ,ff.list_provider
      ,ff.lookup_type
      ,ff.value_set
      ,ff.rest_api
      ,ff.positive_boolean_value --show_as_boolean
      ,ff.show_as_boolean
      ,CASE ff.longlist
        WHEN 'true' THEN 'Y'
        WHEN 'false' THEN 'N'
        ELSE ff.longlist
        END longlist
      ,ff.no_data_message
      ,ff.multirow_xdb_uri
      ,CASE ff.create_allowed
        WHEN 'true' THEN 'Y'
        WHEN 'false' THEN 'N'
        ELSE ff.create_allowed 
        END create_allowed
      ,ff.create_label
      ,ff.min_rows
      ,ff.max_rows
      ,ff.MIN
      ,ff.MAX
      ,ff.icon
      ,ff.icon_color
      ,ff.multi_color
      ,ff.min_label
      ,ff.max_label
      ,CASE ff.include_empty_row
        WHEN 'true' THEN 'Y'
        WHEN 'false' THEN 'N'
        ELSE ff.include_empty_row 
        END include_empty_row
      ,ff.show_as_radio
      ,ff.multiple_selection
      ,ff.flexfield
      ,ff.columnName_prefix
      ,ff.question_ref_id
      ,ff.application_id
      ,ff.flex_code
      ,ff.flex_structure_code
      ,ff.descriptive_flexfield_name
      ,ff.descriptive_flex_context_code
                 FROM
                  XMLTable
           ('/*'
            PASSING (p_row_xml)
            COLUMNS  field_type               VARCHAR2(4000)  path 'name()'
                    ,field_id                 VARCHAR2(4000)  path '@id'
                    ,description              VARCHAR2(4000)  PATH  '@description'
                    ,label                    VARCHAR2(4000)  PATH  '@label'
                    ,value                    VARCHAR2(4000)  PATH  '@value'
                    ,visible                  VARCHAR2(4000)  PATH  '@visible'
                    ,enabled                  VARCHAR2(4000)  PATH  '@enabled'
                    ,required                 VARCHAR2(4000)  PATH  '@required'
                    ,empty_value              VARCHAR2(4000)  PATH  '@emptyValue'
                    ,hide_if                  VARCHAR2(4000)  PATH  '@hideIf'
                    ,post_to_href             VARCHAR2(4000)  PATH  '@postToHref'  
                    ,refresh_on_change        VARCHAR2(4000)  PATH  '@refreshOnChange'
                    ,max_length               VARCHAR2(4000)  PATH  '@maxLength'
                    ,max_chars                VARCHAR2(4000)  PATH  '@maxChars'
                    ,service_name             VARCHAR2(4000)  PATH  '@serviceName'
                    ,google_place_type        VARCHAR2(4000)  PATH  '@googlePlaceType'
                    ,place_holder             VARCHAR2(4000)  PATH  '@placeHolder'    
                    ,rich_text                VARCHAR2(4000)  PATH  '@richText'
                    ,list_function            VARCHAR2(4000)  PATH  '@listFunction'
                    ,style                    VARCHAR2(4000)  PATH  '@style'
                    ,weight                   VARCHAR2(4000)  PATH  '@weight'
                    ,color                    VARCHAR2(4000)  PATH  '@color'
                    ,value_generator          VARCHAR2(4000)  PATH  '@valueGenerator'
                    ,max_attachments          VARCHAR2(4000)  PATH  '@maxAttachments'
                    ,entity_name              VARCHAR2(4000)  PATH  '@entityName' 
                    ,category_code            VARCHAR2(4000)  PATH  '@categoryCode'
                    ,attachment_title         VARCHAR2(4000)  PATH  '@attachmentTitle'
                    ,attachment_description  VARCHAR2(4000)  PATH   '@attachmentDescription'
                    ,pk1_field_value          VARCHAR2(4000)  PATH  '@pk1FieldName'
                    ,pk2_field_value          VARCHAR2(4000)  PATH  '@pk2FieldName'
                    ,pk3_field_value          VARCHAR2(4000)  PATH  '@pk3FieldName'
                    ,pk4_field_value          VARCHAR2(4000)  PATH  '@pk4FieldName'
                    ,pk5_field_value          VARCHAR2(4000)  PATH  '@pk5FieldName'
                    ,file_types               VARCHAR2(4000)  PATH  '@fileTypes'
                    ,file_name                VARCHAR2(4000)  PATH  '@fileName'
                    ,file_href                VARCHAR2(4000)  PATH  '@fileHref'
                    ,button_text              VARCHAR2(4000)  PATH  '@buttonText'
                    ,post_new_to_href         VARCHAR2(4000)  PATH  '@postNewToHref' 
                    ,decimal_precision        VARCHAR2(4000)  PATH  '@decimalPrecision'
                    ,date_format              VARCHAR2(4000)  PATH  '@dateFormat' 
                    ,list_provider_type       VARCHAR2(4000)  PATH  '@listProviderType'
                    ,list_provider            VARCHAR2(4000)  path  '@listProvider'
                    ,lookup_type              VARCHAR2(4000)  PATH  '@lookupType'
                    ,value_set                VARCHAR2(4000)  PATH  '@valueSet'
                    ,rest_api                 VARCHAR2(4000)  PATH  '@restAPI'
                    ,positive_boolean_value   VARCHAR2(4000)  PATH  '@positiveBooleanValue'
                    ,show_as_boolean          VARCHAR2(4000)  PATH  '@showAsBoolean'
                    ,longlist                 VARCHAR2(4000)  PATH  '@longlist'
                    ,no_data_message          VARCHAR2(4000)  PATH  '@noDataMessage'
                    ,multirow_xdb_uri         VARCHAR2(4000)  PATH  '@xdbUri'
                    ,create_allowed           VARCHAR2(4000)  PATH  '@createAllowed'
                    ,create_label             VARCHAR2(4000)  PATH  '@createLabel'
                    ,min_rows                 VARCHAR2(4000)  PATH  '@minRows'
                    ,max_rows                 VARCHAR2(4000)  PATH  '@maxRows'
                    ,min                      VARCHAR2(4000)  PATH  '@min'
                    ,max                      VARCHAR2(4000)  PATH  '@max'
                    ,min_label                VARCHAR2(4000)  PATH  '@minLabel'
                    ,max_label                VARCHAR2(4000)  PATH  '@maxLabel'
                    ,multi_color              VARCHAR2(4000)  PATH  '@multiColor'
                    ,icon                     VARCHAR2(4000)  PATH  '@icon'
                    ,icon_color               VARCHAR2(4000)  PATH  '@iconColor'
                    ,include_empty_row        VARCHAR2(4000)  PATH  '@includeEmptyRow'
                    ,show_as_radio            VARCHAR2(4000)  PATH  '@showAsRadio'
                    ,multiple_selection       VARCHAR2(4000)  PATH  '@multipleSelection'
                    ,flexfield                VARCHAR2(4000)  PATH  '@flexfield'
                    ,columnName_prefix        VARCHAR2(4000)  PATH  '@columnNamePrefix'
                    ,question_ref_id          VARCHAR2(4000)  PATH  '@questionRefId'
                    ,application_id           VARCHAR2(4000)  PATH  '@applicationId'
                    ,flex_code                VARCHAR2(4000)  PATH  '@flexCode'
                    ,flex_structure_code      VARCHAR2(4000)  PATH  '@flexStructureCode'
                    ,descriptive_flexfield_name VARCHAR2(4000)  PATH  '@descriptiveFlexfieldName'
                    ,descriptive_flex_context_code VARCHAR2(4000)  PATH  '@descriptiveFlexContextCode')
                    ff;
                    
    csr_rec csr_field_properties%ROWTYPE;
    
  BEGIN
    OPEN csr_field_properties;
    FETCH csr_field_properties INTO csr_rec;
    CLOSE csr_field_properties;
    
    attr_table := xxas_field_attributes_table();
    
    self.set_field_type(csr_rec.field_type);
    self.set_field_name(csr_rec.field_id);
    self.set_icon(csr_rec.field_type);
    self.set_display_sequence(p_display_sequence);
    
    self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','ID'),csr_rec.field_id);
    self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','LABEL'),csr_rec.label);
    self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','DESCRIPTION'),csr_rec.description);
    self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','VISIBLE'),csr_rec.visible);
    self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','HIDEIF'),csr_rec.hide_if);

    IF csr_rec.field_type <> 'Container' THEN
      self.set_parent_container(p_parent_container);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','VALUE'),csr_rec.value);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','ENABLED'),csr_rec.enabled);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','REQUIRED'),csr_rec.required);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','EMPTY_VALUE'),csr_rec.empty_value);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','POST_TO_HREF'),csr_rec.post_to_href);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','REFRESH_ON_CHANGE'),csr_rec.refresh_on_change);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MAX_LENGTH'),csr_rec.max_length);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MAX_CHARS'),csr_rec.max_chars);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','SERVICE_NAME'),csr_rec.service_name);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','GOOGLE_PLACE_TYPE'),csr_rec.google_place_type);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','PLACE_HOLDER'),csr_rec.place_holder);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','RICH_TEXT'),csr_rec.rich_text);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','LIST_FUNCTION'),csr_rec.list_function);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','STYLE'),csr_rec.style);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','WEIGHT'),csr_rec.weight);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','COLOR'),csr_rec.color);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','VALUE_GENERATOR'),csr_rec.value_generator);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MAX_ATTACHMENTS'),csr_rec.max_attachments);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','ENTITY_NAME'),csr_rec.entity_name);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','CATEGORY_CODE'),csr_rec.category_code);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','ATTACHMENT_TITLE'),csr_rec.attachment_title);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','ATTACHMENT_DESCRIPTION'),csr_rec.attachment_description);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','PK1FIELDNAME'),csr_rec.pk1_field_value);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','PK2FIELDNAME'),csr_rec.pk2_field_value);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','PK3FIELDNAME'),csr_rec.pk3_field_value);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','PK4FIELDNAME'),csr_rec.pk4_field_value);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','PK5FIELDNAME'),csr_rec.pk5_field_value);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','FILE_TYPES'),csr_rec.file_types);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','FILE_NAME'),csr_rec.file_name);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','FILE_HREF'),csr_rec.file_href);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','BUTTON_TEXT'),csr_rec.button_text);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','POST_NEW_TO_HREF'),csr_rec.post_new_to_href);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','DECIMAL_PRECISION'),csr_rec.decimal_precision);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','DATE_FORMAT'),csr_rec.date_format);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','LIST_PROVIDER_TYPE'),csr_rec.list_provider_type);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','LIST_PROVIDER'),csr_rec.list_provider);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','LOOKUP_TYPE'),csr_rec.lookup_type);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','VALUE_SET'),csr_rec.value_set);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','REST_API'),csr_rec.rest_api);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','POSITIVE_BOOLEAN_VALUE'),csr_rec.positive_boolean_value);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','SHOW_AS_BOOLEAN'),csr_rec.show_as_boolean);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MULTIPLE_SELECTION'),csr_rec.multiple_selection);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','SHOW_AS_RADIO'),csr_rec.show_as_radio);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','LONG_LIST'),csr_rec.longlist);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','NO_DATA_MESSAGE'),csr_rec.no_data_message);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MULTIROW_XDB_URI'),csr_rec.multirow_xdb_uri);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','CREATE_ALLOWED'),csr_rec.create_allowed);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','CREATE_LABEL'),csr_rec.create_label);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MIN_ROWS'),csr_rec.min_rows);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MAX_ROWS'),csr_rec.max_rows);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MAX'),csr_rec.max);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MIN'),csr_rec.min);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MAX_LABEL'),csr_rec.max_label);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MIN_LABEL'),csr_rec.max_label);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','ICON'),csr_rec.icon);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','ICON_COLOR'),csr_rec.icon_color);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MULTI_COLOR'),csr_rec.multi_color);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','INCLUDE_EMPTY_ROW'),csr_rec.include_empty_row);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','FLEXFIELD'),csr_rec.flexfield);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','COLUMN_NAME_PREFIX'),csr_rec.columnName_prefix);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','QUESTION_REF_ID'),csr_rec.question_ref_id);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','APPLICATION_ID'),csr_rec.application_id);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','FLEX_CODE'),csr_rec.flex_code);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','FLEX_STRUCTURE_CODE'),csr_rec.flex_structure_code);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','DESCRIPTIVE_FLEXFIELD_NAME'),csr_rec.descriptive_flexfield_name);
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','DESCRIPTIVE_FLEX_CONTEXT'),csr_rec.descriptive_flex_context_code);      
    END IF;  

    RETURN;
  END;
  
  MEMBER PROCEDURE set_attribute
    (p_attribute_name   IN     VARCHAR2
    ,p_attribute_value  IN     VARCHAR2)
  IS
  
  BEGIN
    IF p_attribute_value IS NOT NULL THEN
      attr_table.EXTEND;
      attr_table(attr_table.COUNT) := xxas_field_attributes_type
                                        (p_attr_name=>p_attribute_name
                                        ,p_attr_value=>p_attribute_value);
    END IF;
  END;
  
  MEMBER PROCEDURE set_icon 
    (p_field_type IN VARCHAR2)
  IS
  
  BEGIN
    IF p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','HIDDEN') THEN
      self.icon := 'eye-closed';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','SUBMIT') THEN
      self.icon := 'cursor';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','HTML') THEN
      self.icon := 'html-tag';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','ITEM') THEN
      self.icon := 'item';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','LIST')  OR p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','POPLIST') THEN
      self.icon := 'bulletedlist';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','LINK') THEN
      self.icon := 'link';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','TEXT') OR p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','TEXTINPUT') OR p_field_type = 'TextInput' THEN
      self.icon := 'input-cursor';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','TEXTAREA') THEN
      self.icon := 'textarea';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','LOCATION') THEN
      self.icon := 'location';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','PASSWORD') THEN
      self.icon := 'key';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','EMAIL') THEN
      self.icon := 'email';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','ATTACHMENT') THEN
      self.icon := 'attachment';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','UPLOAD') THEN
      self.icon := 'file_upload';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','NUMBER') THEN
      self.icon := 'hash';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','DATE') THEN
      self.icon := 'calendar';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','DATETIME-LOCAL') THEN
      self.icon := 'watch';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','TIME') THEN
      self.icon := 'clock';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','CHECKBOX') THEN
      self.icon := 'check_box';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','RADIO') THEN
      self.icon := 'radio_button_checked';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','SELECT-SINGLE') OR p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','COMBOLIST')  THEN
      self.icon := 'dropdown';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','SELECT-MULTIPLE') THEN
      self.icon := 'select';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','CONTAINER') THEN
      self.icon := 'container';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','MULTIROW') THEN
      self.icon := 'multi-row';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','FLEXFIELD') THEN
      self.icon := 'flexfield';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','OLMQUESTION') THEN
      self.icon := 'questionthin';
    ELSIF  p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','RATING') THEN
      self.icon := 'starfilled';
    END IF;
    
    --self.icon := 'crown';
  END set_icon;
  
  MEMBER FUNCTION get_icon RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.icon;
  END get_icon;
  
  MEMBER PROCEDURE set_field_type
    (p_field_type IN VARCHAR2)
  IS
  BEGIN
    IF p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','SELECT-SINGLE') THEN
      self.field_type := xxas_util_pkg.decode_lookup('XXAS_FIELDS','POPLIST');
      
    ELSIF p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','SELECT-MULTIPLE') THEN
      self.field_type := xxas_util_pkg.decode_lookup('XXAS_FIELDS','POPLIST');
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','MULTIPLE_SELECTION'),'true');
    
    ELSIF p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','CHECKBOX') THEN
      self.field_type := xxas_util_pkg.decode_lookup('XXAS_FIELDS','POPLIST');
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','SHOW_AS_BOOLEAN'),'true');
      
    ELSIF p_field_type = xxas_util_pkg.decode_lookup('XXAS_FIELDS','RADIO') THEN
      self.field_type := xxas_util_pkg.decode_lookup('XXAS_FIELDS','POPLIST');
      self.set_attribute(xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','SHOW_AS_RADIO'),'true');
      
    ELSE
      self.field_type := p_field_type;
    END IF;
    
  END set_field_type;
  
  MEMBER FUNCTION get_field_type RETURN VARCHAR2
  IS
  
  BEGIN
    RETURN self.field_type;
  END get_field_type;
  
  MEMBER PROCEDURE set_parent_container
    (p_parent_container IN VARCHAR2)
  IS
  BEGIN
    self.parent_container := p_parent_container;
  END set_parent_container;
  
  MEMBER FUNCTION get_parent_container RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.parent_container;
  END get_parent_container;
  
  MEMBER FUNCTION get_field_name RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.field_name;
  END get_field_name;
  
  MEMBER PROCEDURE set_field_name
    (p_field_name IN VARCHAR2)
  IS
  BEGIN
    self.field_name := p_field_name;
  END set_field_name;
  
  MEMBER PROCEDURE set_display_sequence
    (p_display_sequence IN NUMBER)
  IS
  BEGIN
    self.display_sequence := p_display_sequence;
  END set_display_sequence;
  
  MEMBER FUNCTION get_display_sequence RETURN NUMBER
  IS
  BEGIN
    RETURN self.display_sequence;
  END get_display_sequence;
  
  MEMBER FUNCTION get_xml RETURN XMLType
  IS
    l_xml       XMLType;
    l_xml_str   VARCHAR2(32767);
    
  BEGIN
    l_xml_str := '<'||self.field_type;
    FOR i IN 1..attr_table.COUNT LOOP
      l_xml_str := l_xml_str ||' '||attr_table(i).attr_name||'="'||
              CASE attr_table(i).attr_name
                WHEN xxas_util_pkg.decode_lookup('XXAS_FIELD_ATTRIBUTES','VALUE') THEN dbms_xmlgen.convert(attr_table(i).attr_value, dbms_xmlgen.entity_encode)
                ELSE
                
                  CASE attr_table(i).attr_value 
                    WHEN 'Y'  THEN 'true'
                    WHEN 'N'  THEN 'false'
                    ELSE dbms_xmlgen.convert(attr_table(i).attr_value, dbms_xmlgen.entity_encode)
                  END
                END||'"'; 
    END LOOP;
    l_xml_str := l_xml_str||'/>';
    
        xxas_com_log_pkg.stmt
    (p_package_name => 'xxas_form_field_type'
    ,p_proc_name    => 'get_xml'
    ,p_log_string   => 'l_xml_str: '||l_xml_str);     
    l_xml := XMLType(l_xml_str);
    RETURN l_xml;
  END get_xml;
  
  MEMBER PROCEDURE set_attr_table
    (p_form_field_xml IN XMLType)
  IS
  
  BEGIN
    NULL;
  END set_attr_table;
  
END;
/

CREATE OR REPLACE TYPE BODY xxas_form_container IS

  CONSTRUCTOR FUNCTION xxas_form_container RETURN SELF AS RESULT IS
  
  BEGIN
    RETURN;
  END;

  CONSTRUCTOR FUNCTION xxas_form_container
    (p_xml              IN XMLType
    ,p_container_name   IN VARCHAR2
    ,p_display_sequence IN NUMBER DEFAULT NULL) RETURN SELF AS RESULT IS
  
    CURSOR csr_container_row_xml IS
    SELECT VALUE(c) row_xml
    FROM
    TABLE(XMLSequence(
              EXTRACT(p_xml,'Container/*'))) c;    

    l_field_display_sequence  NUMBER := 1;
  BEGIN
    self.set_container_name(p_container_name);
    attr_table := xxas_field_attributes_table();
    form_fields := xxas_form_field_table();
    
    FOR csr_rec IN csr_container_row_xml LOOP
      self.set_form_fields(csr_rec.row_xml, l_field_display_sequence);
      l_field_display_sequence := l_field_display_sequence + 1 ;
    END LOOP;
    
    RETURN;
  END;
  
  MEMBER FUNCTION get_container_name RETURN VARCHAR2
  IS
  
  BEGIN
    RETURN self.container_name;
  END;
  
  MEMBER PROCEDURE set_container_name
    (p_container_name IN VARCHAR2)
  IS
  
  BEGIN
    self.container_name := p_container_name;
  END;
  
  MEMBER FUNCTION get_xml RETURN XMLType
  IS
    l_xml XMLType;
  BEGIN
    l_xml := XMLType('<Container>'||self.get_container_name||'</Container>');
    RETURN l_xml;
  END;
  
  MEMBER PROCEDURE set_form_fields
    (p_xml              IN XMLType
    ,p_display_sequence IN NUMBER)
  IS
  
  BEGIN
    form_fields.EXTEND;
    form_fields(form_fields.COUNT) := xxas_form_field(p_xml,self.container_name,p_display_sequence);
  END;

END;
/

create or replace TYPE BODY xxas_form_type IS

  CONSTRUCTOR FUNCTION xxas_form_type
    (--p_xml      IN XMLType     ,
    p_xdb_uri  IN VARCHAR2) RETURN SELF AS RESULT
  IS
    l_xml   XMLType;

    CURSOR csr_form_properties IS
    SELECT EXTRACTVALUE(l_xml,'View/@title') title
          ,EXTRACTVALUE(l_xml,'View/@defaultFormHandler') default_form_handler
		  ,EXTRACTVALUE(l_xml,'View/@showSubmit') show_submit
          ,EXTRACTVALUE(l_xml,'View/@submitLabel') submit_label
		  ,EXTRACTVALUE(l_xml,'View/@submitButtonIcon') submit_icon
          ,EXTRACTVALUE(l_xml,'View/@submitButtonColor') submit_color
          ,EXTRACTVALUE(l_xml,'View/@formHelp') form_help
          ,EXTRACTVALUE(l_xml,'View/@postToHref') post_href
          ,EXTRACTVALUE(l_xml,'View/@autosave') auto_save
          ,EXTRACTVALUE(l_xml,'View/@autosaveMessage') auto_save_message
          ,EXTRACTVALUE(l_xml,'View/@autosaveTimeout') auto_save_timeout
          ,EXTRACTVALUE(l_xml,'View/@clientAutosave') client_auto_save
          ,EXTRACTVALUE(l_xml,'View/@clientAutosaveResetText') auto_save_text
          ,EXTRACTVALUE(l_xml,'View/@clientAutosaveResetButton') auto_save_button_label
          ,EXTRACTVALUE(l_xml,'View/@sendToken') send_token
	      ,EXTRACTVALUE(l_xml,'View/@basicAuthenticationUsername') basic_auth_un
          ,EXTRACTVALUE(l_xml,'View/@basicAuthenticationPassword') basic_auth_pw
          ,EXTRACTVALUE(l_xml,'View/@tokenField') token_field
    FROM DUAL;
    l_form_properties csr_form_properties%ROWTYPE;

  BEGIN

    l_xml := XDBURIType(p_xdb_uri).getXML();
    OPEN csr_form_properties;
    FETCH csr_form_properties INTO l_form_properties;
    CLOSE csr_form_properties;

    self.set_title(l_form_properties.title);
    self.set_default_form_handler(l_form_properties.default_form_handler);
    self.set_show_submit(l_form_properties.show_submit);
	self.set_submit_label(l_form_properties.submit_label);
	self.set_submit_icon(l_form_properties.submit_icon);
	self.set_submit_color(l_form_properties.submit_color);
	self.set_form_help(l_form_properties.form_help);
	self.set_post_href(l_form_properties.post_href);
	self.set_auto_save(l_form_properties.auto_save);
	self.set_auto_save_message(l_form_properties.auto_save_message);
	self.set_auto_save_timeout(l_form_properties.auto_save_timeout);
	self.set_client_auto_save(l_form_properties.client_auto_save);
	self.set_auto_save_text(l_form_properties.auto_save_text);
	self.set_auto_save_button_label(l_form_properties.auto_save_button_label);
	self.set_send_token(l_form_properties.send_token);
	self.set_basic_auth_username(l_form_properties.basic_auth_un);
	self.set_basic_auth_password(l_form_properties.basic_auth_pw);
	self.set_token_field(l_form_properties.token_field);
    self.set_xdb_uri(p_xdb_uri);
    self.set_form_id(xxas_forms_pkg.form_id(p_xdb_uri));
    self.set_form_xml(l_xml);
    self.containers  := xxas_form_container_table();
    self.form_fields := xxas_form_field_table();
    self.set_form_fields(l_xml);

    RETURN;
  END;

  MEMBER FUNCTION get_title RETURN VARCHAR2
  IS

  BEGIN
    RETURN self.title;
  END;

  MEMBER PROCEDURE set_title
    (p_title IN VARCHAR2)
  IS
  BEGIN
    self.title := p_title;
  END;

  MEMBER FUNCTION get_default_form_handler RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.default_form_handler;
  END;

  MEMBER PROCEDURE set_default_form_handler
    (p_form_handler IN VARCHAR2)
  IS
  BEGIN
    self.default_form_handler := p_form_handler;
  END;
  
  MEMBER FUNCTION get_show_submit RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.show_submit;
  END;

  MEMBER PROCEDURE set_show_submit
    (p_show_submit IN VARCHAR2)
  IS
  BEGIN
    self.show_submit := p_show_submit;
  END;

  
  MEMBER FUNCTION get_submit_label RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.submit_label;
  END;

  MEMBER PROCEDURE set_submit_label
    (p_submit_label IN VARCHAR2)
  IS
  BEGIN
    self.submit_label := p_submit_label;
  END;

  MEMBER FUNCTION get_submit_icon RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.submit_icon;
  END;

  MEMBER PROCEDURE set_submit_icon
    (p_submit_icon IN VARCHAR2)
  IS
  BEGIN
    self.submit_icon := p_submit_icon;
  END;
  
  MEMBER FUNCTION get_submit_color RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.submit_color;
  END;

  MEMBER PROCEDURE set_submit_color
    (p_submit_color IN VARCHAR2)
  IS
  BEGIN
    self.submit_color := p_submit_color;
  END;
  
  MEMBER FUNCTION get_form_help RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.form_help;
  END;

  MEMBER PROCEDURE set_form_help
    (p_form_help IN VARCHAR2)
  IS
  BEGIN
    self.form_help := p_form_help;
  END;

  MEMBER FUNCTION get_post_href RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.post_href;
  END;

  MEMBER PROCEDURE set_post_href
    (p_post_href IN VARCHAR2)
  IS
  BEGIN
    self.post_href := p_post_href;
  END;

  MEMBER FUNCTION get_auto_save RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.auto_save;
  END;

  MEMBER PROCEDURE set_auto_save
    (p_auto_save IN VARCHAR2)
  IS
  BEGIN
    self.auto_save := p_auto_save;
  END;

  MEMBER FUNCTION get_auto_save_message RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.auto_save_message;
  END;

  MEMBER PROCEDURE set_auto_save_message
    (p_auto_save_message IN VARCHAR2)
  IS
  BEGIN
    self.auto_save_message := p_auto_save_message;
  END;

  MEMBER FUNCTION get_auto_save_timeout RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.auto_save_timeout;
  END;

  MEMBER PROCEDURE set_auto_save_timeout
    (p_auto_save_timeout IN VARCHAR2)
  IS
  BEGIN
    self.auto_save_timeout := p_auto_save_timeout;
  END;

  MEMBER FUNCTION get_client_auto_save RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.client_auto_save;
  END;

  MEMBER PROCEDURE set_client_auto_save
    (p_client_auto_save IN VARCHAR2)
  IS
  BEGIN
    self.client_auto_save := p_client_auto_save;
  END;
  
  MEMBER FUNCTION get_auto_save_text RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.auto_save_text;
  END;

  MEMBER PROCEDURE set_auto_save_text
    (p_auto_save_text IN VARCHAR2)
  IS
  BEGIN
    self.auto_save_text := p_auto_save_text;
  END;
  
  MEMBER FUNCTION get_auto_save_button_label RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.auto_save_button_label;
  END;

  MEMBER PROCEDURE set_auto_save_button_label
    (p_auto_save_button_label IN VARCHAR2)
  IS
  BEGIN
    self.auto_save_button_label := p_auto_save_button_label;
  END;

  MEMBER FUNCTION get_send_token RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.send_token;
  END;

  MEMBER PROCEDURE set_send_token
    (p_send_token IN VARCHAR2)
  IS
  BEGIN
    self.send_token:= p_send_token;
  END;

  MEMBER FUNCTION get_basic_auth_username RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.basic_auth_un;
  END;

  MEMBER PROCEDURE set_basic_auth_username
    (p_basic_auth_un IN VARCHAR2)
  IS
  BEGIN
    self.basic_auth_un:= p_basic_auth_un;
  END;
  
  MEMBER FUNCTION get_basic_auth_password RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.basic_auth_pw;
  END;

  MEMBER PROCEDURE set_basic_auth_password
    (p_basic_auth_pw IN VARCHAR2)
  IS
  BEGIN
    self.basic_auth_pw:= p_basic_auth_pw;
  END;
  
  MEMBER FUNCTION get_token_field RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.token_field;
  END;

  MEMBER PROCEDURE set_token_field
    (p_token_field IN VARCHAR2)
  IS
  BEGIN
    self.token_field:= p_token_field;
  END;
  
  MEMBER FUNCTION get_xdb_uri RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.xdb_uri;
  END;

  MEMBER PROCEDURE set_xdb_uri
    (p_xdb_uri  IN VARCHAR2) IS

  BEGIN
    self.xdb_uri := p_xdb_uri;
  END;

  MEMBER FUNCTION get_form_id RETURN VARCHAR2
  IS
  BEGIN
    RETURN self.form_id;
  END;

  MEMBER PROCEDURE set_form_id
    (p_form_id  IN VARCHAR2)
  IS
  BEGIN
    self.form_id := p_form_id;
  END;


  MEMBER PROCEDURE set_containers
    (p_xml              IN XMLType
    ,p_container_name   IN VARCHAR2
    ,p_display_sequence IN NUMBER)
  IS

  BEGIN
    containers.EXTEND;
    containers(containers.COUNT) := xxas_form_container
                                      (p_xml, p_container_name, p_display_sequence);
  END;


  MEMBER PROCEDURE set_form_fields
    (p_xml  IN XMLType)
  IS

    CURSOR csr_form_edit_xml IS
    SELECT VALUE(t) row_xml
    FROM
    TABLE(XMLSequence(
            EXTRACT(xxas_forms_pkg.form_element_xml(self.form_id,'EditFields'),'/*')))t;

    l_display_sequence NUMBER := 1;

  BEGIN
    FOR csr_rec IN csr_form_edit_xml LOOP
      self.form_fields.extend;
      self.form_fields(self.form_fields.Count) := xxas_form_field(csr_rec.row_xml,NULL,l_display_sequence);
      IF self.form_fields(self.form_fields.Count).field_type = 'Container' THEN
        set_containers(csr_rec.row_xml,self.form_fields(self.form_fields.Count).field_name, l_display_sequence);
      END IF;
      l_display_sequence := l_display_sequence + 1;
    END LOOP;
  END;

  MEMBER PROCEDURE set_form_xml
    (p_xml  IN XMLType)
  IS

  BEGIN
    self.form_xml := p_xml;
  END;

  MEMBER FUNCTION get_form_xml RETURN XMLType
  IS
  BEGIN
    RETURN self.form_xml;
  END;

  MEMBER FUNCTION get_display_sequence
    (p_field_name       IN VARCHAR2
    ,p_parent_container IN VARCHAR2 DEFAULT NULL) RETURN NUMBER
  IS
    l_container         xxas_form_container;
    l_display_sequence  NUMBER := -1;
  BEGIN
    IF p_parent_container IS NOT NULL THEN

      FOR i IN 1..containers.COUNT LOOP
        IF containers(i).container_name = p_parent_container THEN
          l_container := self.containers(i);
          EXIT;
        END IF;
      END LOOP;

      FOR i IN 1..l_container.form_fields.COUNT LOOP
        IF l_container.form_fields(i).field_name = p_field_name THEN
          RETURN l_container.form_fields(i).display_sequence;
        END IF;
      END LOOP;

    ELSE
      FOR i IN 1..form_fields.COUNT LOOP
        IF form_fields(i).field_name = p_field_name THEN
          --RETURN form_fields(i).display_sequence;
          l_display_sequence := form_fields(i).display_sequence;
        END IF;
      END LOOP;
      IF l_display_sequence = -1 THEN
        FOR i IN 1..containers.COUNT LOOP
          FOR j IN 1..containers(i).form_fields.COUNT LOOP
            IF containers(i).form_fields(j).field_name = p_field_name THEN
              l_display_sequence := j;
              EXIT;
            END IF;
          END LOOP;
        END LOOP;
      END IF;

    END IF;

    RETURN l_display_sequence;
  END;

  MEMBER FUNCTION get_xml RETURN XMLType
  IS
    l_container             xxas_form_container;
    l_form_field_xml        XMLType;
    l_container_field_xml   XMLType;
    l_form_xml              XMLType := XMLType('<View title="'||title||'" defaultFormHandler="'||default_form_handler||
                            '" showSubmit="'||show_submit||'" submitLabel="'||submit_label||'" submitButtonIcon="'||submit_icon|| 
                            '" submitButtonColor="'||submit_color||'" formHelp="'||form_help||
                            '" postToHref="'||post_href||'" autosave="'||auto_save||'" autosaveMessage="'||auto_save_message||
                            '" autosaveTimeout="'||auto_save_timeout||'" clientAutoSave="'||client_auto_save||'" clientAutosaveResetText="'||auto_save_text||
                            '" clientAutosaveResetButton="'||auto_save_button_label||
                            '" sendToken="'||send_token||'" basicAuthUsernameField="'||basic_auth_un||
                            '" basicAuthPasswordField="'||basic_auth_pw||'" tokenField="'||token_field||
                            '"><EditFields/></View>');

  BEGIN
    --Loop through all the form fields in the form including containers and build the xml
    FOR i IN 1..form_fields.COUNT LOOP
      --Get form field xml, if it is a container run through all the for fields inside the container
      l_form_field_xml := form_fields(i).get_xml();

      IF form_fields(i).field_type = 'Container' THEN
        l_container := xxas_form_container();
        FOR j IN 1..containers.COUNT LOOP
          IF containers(j).container_name = form_fields(i).field_name THEN
            l_container := containers(j);
            EXIT;
          END IF;
        END LOOP;
        IF l_container.container_name IS NOT NULL THEN
          FOR k IN 1..l_container.form_fields.COUNT LOOP
            l_container_field_xml := l_container.form_fields(k).get_xml();
            select appendChildXml(l_form_field_xml,'Container',l_container_field_xml) INTO l_form_field_xml FROM DUAL;
          END LOOP;
        END IF;
      END IF;

      SELECT appendChildXml(l_form_xml,'View/EditFields',l_form_field_xml) INTO l_form_xml FROM DUAL;
    END LOOP;

    RETURN l_form_xml;
  END;
END;
/

COMMIT;
EXIT;