/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/nh-newdirectreports.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/nh-newdirectreports.xml',
'<View objectType="XXAS_NEW_DIRECT_REPORT" deleteAllowed="true" deleteLabel="Delete" title="{message.XXAS_NH_NEW_DR}" defaultFormHandler="">

  <CreateFields>
    <Date id="NEW_DR_EFFECTIVE_DATE" label="{message.XXAS_NH_NEW_DR_DATE}" required="true"/>
    <Combolist id="NEW_DIRECT_REPORT" label="{message.XXAS_NH_NEW_DIR_REP}" required="true" enabled="true" visible="true" emptyValue="{message.XXAS_NH_ENTER_NAME}" listProvider="REST:peoplesearch/dir-reportee?q={searchText}" longlist="true" />
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/nh-newdirectreports.xml');
END;
/
COMMIT;
EXIT;
