/* $Id: xxas_per_contacts_view_no_dep.sql 1255 2015-07-06 05:14:40Z ybudamala $ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW XXAS_PER_CONTACTS_V AS
SELECT rel.person_id
,      rel.contact_relationship_id
,      rel.object_version_number
,      rel.contact_person_id
,      rel.contact_type
,      hr_general.decode_lookup
         ('CONTACT'
         ,rel.contact_type)                      contact_type_meaning
,      DECODE(pcr.contact_relationship_id
                ,NULL
                ,'N'
                ,'Y')                            emrg_contact_flag
,      hr_general.decode_lookup
         ('YES_NO'
         ,DECODE(pcr.contact_relationship_id
                ,NULL
                ,'N'
                ,'Y'))                           emrg_contact_flag_meaning
,      pcr.contact_relationship_id               emrg_contact_relationship_id
,      pcr.object_version_number                 emrg_object_version_number
,      pcr.date_start                            emrg_date_start
,      pcr.date_end                              emrg_date_end
,      DECODE(pcr.primary_contact_flag
             ,'Y'
             ,'Y'
             ,rel.primary_contact_flag)          primary_contact_flag
,      hr_general.decode_lookup
         ('YES_NO'
         ,DECODE(pcr.primary_contact_flag
                ,'Y'
                ,'Y'
                ,rel.primary_contact_flag))      primary_contact_flag_meaning
,      rel.third_party_pay_flag
,      rel.bondholder_flag
,      rel.date_start
,      rel.start_life_reason_id
,      rel.date_end
,      rel.end_life_reason_id
,      rel.personal_flag
,      rel.sequence_number
,      rel.dependent_flag
,      rel.beneficiary_flag
,      rel.rltd_per_rsds_w_dsgntr_flag
,      rel.cont_attribute_category
,      rel.cont_attribute1
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE1'
         ,rel.cont_attribute1)                   cont_attribute1_meaning
,      rel.cont_attribute2
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE2'
         ,rel.cont_attribute2)                   cont_attribute2_meaning
,      rel.cont_attribute3
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE3'
         ,rel.cont_attribute3)                   cont_attribute3_meaning
,      rel.cont_attribute4
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE4'
         ,rel.cont_attribute4)                   cont_attribute4_meaning
,      rel.cont_attribute5
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE5'
         ,rel.cont_attribute5)                   cont_attribute5_meaning
,      rel.cont_attribute6
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE6'
         ,rel.cont_attribute6)                   cont_attribute6_meaning
,      rel.cont_attribute7
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE7'
         ,rel.cont_attribute7)                   cont_attribute7_meaning
,      rel.cont_attribute8
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE8'
         ,rel.cont_attribute8)                   cont_attribute8_meaning
,      rel.cont_attribute9
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE9'
         ,rel.cont_attribute9)                   cont_attribute9_meaning
,      rel.cont_attribute10
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE10'
         ,rel.cont_attribute10)                  cont_attribute10_meaning
,      rel.cont_attribute11
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE11'
         ,rel.cont_attribute11)                  cont_attribute11_meaning
,      rel.cont_attribute12
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE12'
         ,rel.cont_attribute12)                  cont_attribute12_meaning
,      rel.cont_attribute13
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE13'
         ,rel.cont_attribute13)                  cont_attribute13_meaning
,      rel.cont_attribute14
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE14'
         ,rel.cont_attribute14)                  cont_attribute14_meaning
,      rel.cont_attribute15
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE15'
         ,rel.cont_attribute15)                  cont_attribute15_meaning
,      rel.cont_attribute16
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE16'
         ,rel.cont_attribute16)                  cont_attribute16_meaning
,      rel.cont_attribute17
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE17'
         ,rel.cont_attribute17)                  cont_attribute17_meaning
,      rel.cont_attribute18
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE18'
         ,rel.cont_attribute18)                  cont_attribute18_meaning
,      rel.cont_attribute19
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE19'
         ,rel.cont_attribute19)                  cont_attribute19_meaning
,      rel.cont_attribute20
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,rel.cont_attribute_category
         ,'P_CONT_ATTRIBUTE20'
         ,rel.cont_attribute20)                  cont_attribute20_meaning
,      rel.cont_information_category
,      rel.cont_information1
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION1'
         ,rel.cont_information1)                 cont_information1_meaning
,      rel.cont_information2
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION2'
         ,rel.cont_information2)                 cont_information2_meaning
,      rel.cont_information3
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION3'
         ,rel.cont_information3)                 cont_information3_meaning
,      rel.cont_information4
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION4'
         ,rel.cont_information4)                 cont_information4_meaning
,      rel.cont_information5
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION5'
         ,rel.cont_information5)                 cont_information5_meaning
,      rel.cont_information6
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION6'
         ,rel.cont_information6)                 cont_information6_meaning
,      rel.cont_information7
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION7'
         ,rel.cont_information7)                 cont_information7_meaning
,      rel.cont_information8
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION8'
         ,rel.cont_information8)                 cont_information8_meaning
,      rel.cont_information9
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION9'
         ,rel.cont_information9)                 cont_information9_meaning
,      rel.cont_information10
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION10'
         ,rel.cont_information10)                cont_information10_meaning
,      rel.cont_information11
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION11'
         ,rel.cont_information11)                cont_information11_meaning
,      rel.cont_information12
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION12'
         ,rel.cont_information12)                cont_information12_meaning
,      rel.cont_information13
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION13'
         ,rel.cont_information13)                cont_information13_meaning
,      rel.cont_information14
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION14'
         ,rel.cont_information14)                cont_information14_meaning
,      rel.cont_information15
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION15'
         ,rel.cont_information15)                cont_information15_meaning
,      rel.cont_information16
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION16'
         ,rel.cont_information16)                cont_information16_meaning
,      rel.cont_information17
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION17'
         ,rel.cont_information17)                cont_information17_meaning
,      rel.cont_information18
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION18'
         ,rel.cont_information18)                cont_information18_meaning
,      rel.cont_information19
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION19'
         ,rel.cont_information19)                cont_information19_meaning
,      rel.cont_information20
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,rel.cont_information_category
         ,'P_CONT_INFORMATION20'
         ,rel.cont_information20)                cont_information20_meaning
,      papf.object_version_number                per_object_version_number
,      papf.person_type_id
,      papf.last_name
,      papf.applicant_number
,      papf.date_employee_data_verified
,      papf.date_of_birth
,      papf.email_address
,      papf.employee_number
,      papf.npw_number
,      papf.expense_check_send_to_address
,      papf.first_name
,      papf.known_as
,      marital_status
,      hr_general.decode_lookup
         ('MAR_STATUS'
         ,papf.marital_status)                   marital_status_meaning
,      papf.middle_names
,      papf.nationality
,      papf.national_identifier
,      papf.previous_last_name
,      papf.registered_disabled_flag
,      hr_general.decode_lookup
        ('REGISTERED_DISABLED'
        ,papf.registered_disabled_flag)         registered_disabled_meaning
,      papf.sex
,      hr_general.decode_lookup
         ('SEX'
         ,papf.sex)                             sex_meaning
,      papf.title
,      hr_general.decode_lookup
         ('TITLE'
         ,papf.title)                           title_meaning
,      papf.vendor_id
,      papf.work_telephone
,      papf.attribute_category
,      papf.attribute1
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE1'
         ,papf.attribute1)                       attribute1_meaning
,      papf.attribute2
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE2'
         ,papf.attribute2)                       attribute2_meaning
,      papf.attribute3
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE3'
         ,papf.attribute3)                       attribute3_meaning
,      papf.attribute4
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE4'
         ,papf.attribute4)                       attribute4_meaning
,      papf.attribute5
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE5'
         ,papf.attribute5)                       attribute5_meaning
,      papf.attribute6
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE6'
         ,papf.attribute6)                       attribute6_meaning
,      papf.attribute7
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE7'
         ,papf.attribute7)                       attribute7_meaning
,      papf.attribute8
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE8'
         ,papf.attribute8)                       attribute8_meaning
,      papf.attribute9
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE9'
         ,papf.attribute9)                       attribute9_meaning
,      papf.attribute10
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE10'
         ,papf.attribute10)                      attribute10_meaning
,      papf.attribute11
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE11'
         ,papf.attribute11)                      attribute11_meaning
,      papf.attribute12
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE12'
         ,papf.attribute12)                      attribute12_meaning
,      papf.attribute13
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE13'
         ,papf.attribute13)                      attribute13_meaning
,      papf.attribute14
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE14'
         ,papf.attribute14)                      attribute14_meaning
,      papf.attribute15
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE15'
         ,papf.attribute15)                      attribute15_meaning
,      papf.attribute16
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE16'
         ,papf.attribute16)                      attribute16_meaning
,      papf.attribute17
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE17'
         ,papf.attribute17)                      attribute17_meaning
,      papf.attribute18
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE18'
         ,papf.attribute18)                      attribute18_meaning
,      papf.attribute19
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE19'
         ,papf.attribute19)                      attribute19_meaning
,      papf.attribute20
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE20'
         ,papf.attribute20)                      attribute20_meaning
,      papf.attribute21
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE21'
         ,papf.attribute21)                      attribute21_meaning
,      papf.attribute22
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE22'
         ,papf.attribute22)                      attribute22_meaning
,      papf.attribute23
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE23'
         ,papf.attribute23)                      attribute23_meaning
,      papf.attribute24
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE24'
         ,papf.attribute24)                      attribute24_meaning
,      papf.attribute25
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE25'
         ,papf.attribute25)                      attribute25_meaning
,      papf.attribute26
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE26'
         ,papf.attribute26)                      attribute26_meaning
,      papf.attribute27
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE27'
         ,papf.attribute27)                      attribute27_meaning
,      papf.attribute28
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE28'
         ,papf.attribute28)                      attribute28_meaning
,      papf.attribute29
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE29'
         ,papf.attribute29)                      attribute29_meaning
,      papf.attribute30
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,papf.attribute_category
         ,'ATTRIBUTE30'
         ,papf.attribute30)                      attribute30_meaning
,      papf.per_information_category
,      papf.per_information1
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION1'
         ,papf.per_information1)                 per_information1_meaning
,      papf.per_information2
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION2'
         ,papf.per_information2)                 per_information2_meaning
,      papf.per_information3
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION3'
         ,papf.per_information3)                 per_information3_meaning
,      papf.per_information4
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION4'
         ,papf.per_information4)                 per_information4_meaning
,      papf.per_information5
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION5'
         ,papf.per_information5)                 per_information5_meaning
,      papf.per_information6
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION6'
         ,papf.per_information6)                 per_information6_meaning
,      papf.per_information7
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION7'
         ,papf.per_information7)                 per_information7_meaning
,      papf.per_information8
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION8'
         ,papf.per_information8)                 per_information8_meaning
,      papf.per_information9
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION9'
         ,papf.per_information9)                 per_information9_meaning
,      papf.per_information10
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION10'
         ,papf.per_information10)                per_information10_meaning
,      papf.per_information11
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION11'
         ,papf.per_information11)                per_information11_meaning
,      papf.per_information12
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION12'
         ,papf.per_information12)                per_information12_meaning
,      papf.per_information13
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION13'
         ,papf.per_information13)                per_information13_meaning
,      papf.per_information14
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION14'
         ,papf.per_information14)                per_information14_meaning
,      papf.per_information15
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION15'
         ,papf.per_information15)                per_information15_meaning
,      papf.per_information16
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION16'
         ,papf.per_information16)                per_information16_meaning
,      papf.per_information17
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION17'
         ,papf.per_information17)                per_information17_meaning
,      papf.per_information18
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION18'
         ,papf.per_information18)                per_information18_meaning
,      papf.per_information19
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION19'
         ,papf.per_information19)                per_information19_meaning
,      papf.per_information20
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION20'
         ,papf.per_information20)                per_information20_meaning
,      papf.per_information21
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION21'
         ,papf.per_information21)                per_information21_meaning
,      papf.per_information22
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION22'
         ,papf.per_information22)                per_information22_meaning
,      papf.per_information23
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION23'
         ,papf.per_information23)                per_information23_meaning
,      papf.per_information24
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION24'
         ,papf.per_information24)                per_information24_meaning
,      papf.per_information25
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION25'
         ,papf.per_information25)                per_information25_meaning
,      papf.per_information26
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION26'
         ,papf.per_information26)                per_information26_meaning
,      papf.per_information27
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION27'
         ,papf.per_information27)                per_information27_meaning
,      papf.per_information28
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION28'
         ,papf.per_information28)                per_information28_meaning
,      papf.per_information29
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION29'
         ,papf.per_information29)                per_information29_meaning
,      papf.per_information30
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,papf.per_information_category
         ,'PER_INFORMATION30'
         ,papf.per_information30)                per_information30_meaning
,      papf.date_of_death
,      papf.background_check_status
,      papf.background_date_check
,      papf.blood_type
,      papf.correspondence_language
,      papf.fast_path_employee
,      papf.fte_capacity
,      papf.hold_applicant_date_until
,      papf.honors
,      papf.internal_location
,      papf.last_medical_test_by
,      papf.last_medical_test_date
,      papf.mailstop
,      papf.office_number
,      papf.on_military_service
,      papf.pre_name_adjunct
,      papf.projected_start_date
,      papf.rehire_authorizor
,      papf.rehire_recommendation
,      papf.resume_exists
,      papf.resume_last_updated
,      papf.second_passport_exists
,      papf.student_status
,      hr_general.decode_lookup
        ('STUDENT_STATUS'
        ,papf.student_status)                    student_status_meaning
,      papf.work_schedule
,      papf.rehire_reason
,      papf.suffix
,      papf.benefit_group_id
,      papf.receipt_of_death_cert_date
,      papf.coord_ben_med_pln_no
,      papf.coord_ben_no_cvg_flag
,      papf.uses_tobacco_flag
,      papf.dpdnt_adoption_date
,      papf.dpdnt_vlntry_svce_flag
,      papf.original_date_of_hire
,      papf.town_of_birth
,      papf.region_of_birth
,      papf.country_of_birth
,      papf.global_person_id
,      papf.business_group_id
,      papf.full_name
,      xxas_util_pkg.get_formatted_name
         (papf.full_name
         ,papf.global_name
         ,papf.local_name
         ,papf.first_name
         ,papf.last_name
         ,papf.known_as)                         formatted_name
,      papf.comment_id
,      pend.transaction_id
,      pend.transaction_step_id
,      pend.transaction_type
,      pend.hr_api_status_code
,      xxas_selfservice_workflow_pkg.transcode_status
         (pend.hr_api_status_code)               workflow_status_code
,      xxas_selfservice_workflow_pkg.decode_status
         (xxas_selfservice_workflow_pkg.transcode_status
           (pend.hr_api_status_code))            workflow_status_meaning
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_OBJECT_VERSION_NUMBER')
       END                                       cont_object_version_number_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONTACT_TYPE')
       END                                       contact_type_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN hr_general.decode_lookup
                   ('CONTACT'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONTACT_TYPE'))
       END                                       contact_type_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN NVL(xxas_hr_api_transaction_pkg.varchar2_value
                      (pend.person_id
                      ,pend.api_name
                      ,pend.transaction_step_id
                      ,'P_EMRG_CONT_FLAG'),'N')
       END                                       emrg_contact_flag_p
,      hr_general.decode_lookup
         ('YES_NO'
         ,CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN NVL(xxas_hr_api_transaction_pkg.varchar2_value
                      (pend.person_id
                      ,pend.api_name
                      ,pend.transaction_step_id
                      ,'P_EMRG_CONT_FLAG'),'N')
          END)                                   emrg_contact_flag_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PRIMARY_CONTACT_FLAG')
       END                                       primary_contact_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN hr_general.decode_lookup
                   ('YES_NO'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PRIMARY_CONTACT_FLAG'))
       END                                       primary_contact_flag_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_THIRD_PARTY_PAY_FLAG')
       END                                       third_party_pay_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_BONDHOLDER_FLAG')
       END                                       bondholder_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_DATE_START')
       END                                       date_start_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_START_LIFE_REASON_ID')
       END                                       start_life_reason_id_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_DATE_END')
       END                                       date_end_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_END_LIFE_REASON_ID')
       END                                       end_life_reason_id_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PERSONAL_FLAG')
       END                                       personal_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_SEQUENCE_NUMBER')
       END                                       sequence_number_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_DEPENDENT_FLAG')
       END                                       dependent_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_BENEFICIARY_FLAG')
       END                                       beneficiary_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE_CATEGORY')
       END                                       cont_attribute_category_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE1')
       END                                       cont_attribute1_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE1'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE1'))
       END                                       cont_attribute1_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE2')
       END                                       cont_attribute2_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE2'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE2'))
       END                                       cont_attribute2_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE3')
       END                                       cont_attribute3_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE3'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE3'))
       END                                       cont_attribute3_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE4')
       END                                       cont_attribute4_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE4'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE4'))
       END                                       cont_attribute4_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE5')
       END                                       cont_attribute5_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE5'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE5'))
       END                                       cont_attribute5_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE6')
       END                                       cont_attribute6_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE6'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE6'))
       END                                       cont_attribute6_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE7')
       END                                       cont_attribute7_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE7'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE7'))
       END                                       cont_attribute7_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE8')
       END                                       cont_attribute8_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE8'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE8'))
       END                                       cont_attribute8_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE9')
       END                                       cont_attribute9_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE9'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE9'))
       END                                       cont_attribute9_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE10')
       END                                       cont_attribute10_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE10'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE10'))
       END                                       cont_attribute10_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE11')
       END                                       cont_attribute11_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE11'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE11'))
       END                                       cont_attribute11_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE12')
       END                                       cont_attribute12_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE12'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE12'))
       END                                       cont_attribute12_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE13')
       END                                       cont_attribute13_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE13'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE13'))
       END                                       cont_attribute13_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE14')
       END                                       cont_attribute14_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE14'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE14'))
       END                                       cont_attribute14_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE15')
       END                                       cont_attribute15_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE15'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE15'))
       END                                       cont_attribute15_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE16')
       END                                       cont_attribute16_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE16'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE16'))
       END                                       cont_attribute16_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE17')
       END                                       cont_attribute17_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE17'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE17'))
       END                                       cont_attribute17_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE18')
       END                                       cont_attribute18_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE18'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE18'))
       END                                       cont_attribute18_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE19')
       END                                       cont_attribute19_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE19'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE19'))
       END                                       cont_attribute19_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_ATTRIBUTE20')
       END                                       cont_attribute20_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_CONTACTS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE_CATEGORY')
                   ,'P_CONT_ATTRIBUTE20'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_ATTRIBUTE20'))
       END                                       cont_attribute20_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION_CATEGORY')
       END                                       cont_information_category_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION1')
       END                                       cont_information1_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION1'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION1'))
       END                                       cont_information1_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION2')
       END                                       cont_information2_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION2'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION2'))
       END                                       cont_information2_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION3')
       END                                       cont_information3_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION3'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION3'))
       END                                       cont_information3_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION4')
       END                                       cont_information4_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION4'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION4'))
       END                                       cont_information4_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION5')
       END                                       cont_information5_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION5'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION5'))
       END                                       cont_information5_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION6')
       END                                       cont_information6_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION6'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION6'))
       END                                       cont_information6_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION7')
       END                                       cont_information7_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION7'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION7'))
       END                                       cont_information7_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION8')
       END                                       cont_information8_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION8'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION8'))
       END                                       cont_information8_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION9')
       END                                       cont_information9_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION9'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION9'))
       END                                       cont_information9_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION10')
       END                                       cont_information10_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION10'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION10'))
       END                                       cont_information10_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION11')
       END                                       cont_information11_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION11'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION11'))
       END                                       cont_information11_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION12')
       END                                       cont_information12_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION12'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION12'))
       END                                       cont_information12_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION13')
       END                                       cont_information13_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION13'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION13'))
       END                                       cont_information13_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION14')
       END                                       cont_information14_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION14'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION14'))
       END                                       cont_information14_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION15')
       END                                       cont_information15_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION15'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION15'))
       END                                       cont_information15_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION16')
       END                                       cont_information16_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION16'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION16'))
       END                                       cont_information16_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION17')
       END                                       cont_information17_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION17'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION17'))
       END                                       cont_information17_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION18')
       END                                       cont_information18_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION18'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION18'))
       END                                       cont_information18_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION19')
       END                                       cont_information19_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION19'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION19'))
       END                                       cont_information19_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CONT_INFORMATION20')
       END                                       cont_information20_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Contact Relship Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION_CATEGORY')
                   ,'P_CONT_INFORMATION20'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_CONT_INFORMATION20'))
       END                                       cont_information20_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_OBJECT_VERSION_NUMBER')
       END                                       per_object_version_number_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PERSON_TYPE_ID')
       END                                       person_type_id_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_LAST_NAME')
       END                                       last_name_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_APPLICANT_NUMBER')
       END                                       applicant_number_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_DATE_EMPLOYEE_DATA_VERIFIED')
       END                                       date_employee_data_verified_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_DATE_OF_BIRTH')
       END                                       date_of_birth_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_EMAIL_ADDRESS')
       END                                       email_address_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_EMPLOYEE_NUMBER')
       END                                       employee_number_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_NPW_NUMBER')
       END                                       npw_number_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_EXPENSE_CHECK_SEND_TO_ADDRES')
       END                                       expense_check_send_to_addres_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_FIRST_NAME')
       END                                       first_name_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_KNOWN_AS')
       END                                       known_as_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_MARITAL_STATUS')
       END                                       marital_status_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN hr_general.decode_lookup
                  ('MAR_STATUS'
                  ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_MARITAL_STATUS'))
       END                                       marital_status_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_MIDDLE_NAMES')
       END                                       middle_names_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_NATIONALITY')
       END                                       nationality_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_NATIONAL_IDENTIFIER')
       END                                       national_identifier_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PREVIOUS_LAST_NAME')
       END                                       previous_last_name_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_REGISTERED_DISABLED_FLAG')
       END                                       registered_disabled_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN hr_general.decode_lookup
                   ('REGISTERED_DISABLED'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_REGISTERED_DISABLED_FLAG'))
       END                                       registered_disabled_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_SEX')
       END                                       sex_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN hr_general.decode_lookup
                   ('SEX'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_SEX'))
       END                                       sex_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_TITLE')
       END                                       title_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN hr_general.decode_lookup
                   ('TITLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_TITLE'))
       END                                       title_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_VENDOR_ID')
       END                                       vendor_id_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_WORK_TELEPHONE')
       END                                       work_telephone_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE_CATEGORY')
       END                                       attribute_category_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE1')
       END                                       attribute1_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE1'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE1'))
       END                                       attribute1_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE2')
       END                                       attribute2_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE2'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE2'))
       END                                       attribute2_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE3')
       END                                       attribute3_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE3'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE3'))
       END                                       attribute3_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE4')
       END                                       attribute4_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE4'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE4'))
       END                                       attribute4_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE5')
       END                                       attribute5_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE5'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE5'))
       END                                       attribute5_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE6')
       END                                       attribute6_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE6'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE6'))
       END                                       attribute6_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE7')
       END                                       attribute7_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE7'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE7'))
       END                                       attribute7_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE8')
       END                                       attribute8_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE8'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE8'))
       END                                       attribute8_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE9')
       END                                       attribute9_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE9'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE9'))
       END                                       attribute9_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE10')
       END                                       attribute10_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE10'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE10'))
       END                                       attribute10_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE11')
       END                                       attribute11_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE11'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE11'))
       END                                       attribute11_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE12')
       END                                       attribute12_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE12'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE12'))
       END                                       attribute12_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE13')
       END                                       attribute13_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE13'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE13'))
       END                                       attribute13_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE14')
       END                                       attribute14_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE14'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE14'))
       END                                       attribute14_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE15')
       END                                       attribute15_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE15'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE15'))
       END                                       attribute15_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE16')
       END                                       attribute16_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE16'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE16'))
       END                                       attribute16_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE17')
       END                                       attribute17_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE17'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE17'))
       END                                       attribute17_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE18')
       END                                       attribute18_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE18'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE18'))
       END                                       attribute18_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE19')
       END                                       attribute19_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE19'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE19'))
       END                                       attribute19_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE20')
       END                                       attribute20_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE20'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE20'))
       END                                       attribute20_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE21')
       END                                       attribute21_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE21'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE21'))
       END                                       attribute21_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE22')
       END                                       attribute22_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE22'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE22'))
       END                                       attribute22_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE23')
       END                                       attribute23_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE23'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE23'))
       END                                       attribute23_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE24')
       END                                       attribute24_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE24'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE24'))
       END                                       attribute24_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE25')
       END                                       attribute25_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE25'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE25'))
       END                                       attribute25_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE26')
       END                                       attribute26_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE26'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE26'))
       END                                       attribute26_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE27')
       END                                       attribute27_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE27'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE27'))
       END                                       attribute27_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE28')
       END                                       attribute28_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE28'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE28'))
       END                                       attribute28_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE29')
       END                                       attribute29_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE29'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE29'))
       END                                       attribute29_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ATTRIBUTE30')
       END                                       attribute30_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'PER_PEOPLE'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE_CATEGORY')
                   ,'ATTRIBUTE30'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_ATTRIBUTE30'))
       END                                       attribute30_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION_CATEGORY')
       END                                       per_information_category_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION1')
       END                                       per_information1_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION1'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION1'))
       END                                       per_information1_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION2')
       END                                       per_information2_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION2'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION2'))
       END                                       per_information2_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION3')
       END                                       per_information3_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION3'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION3'))
       END                                       per_information3_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION4')
       END                                       per_information4_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION4'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION4'))
       END                                       per_information4_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION5')
       END                                       per_information5_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION5'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION5'))
       END                                       per_information5_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION6')
       END                                       per_information6_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION6'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION6'))
       END                                       per_information6_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION7')
       END                                       per_information7_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION7'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION7'))
       END                                       per_information7_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION8')
       END                                       per_information8_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION8'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION8'))
       END                                       per_information8_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION9')
       END                                       per_information9_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION9'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION9'))
       END                                       per_information9_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION10')
       END                                       per_information10_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION10'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION10'))
       END                                       per_information10_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION11')
       END                                       per_information11_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION11'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION11'))
       END                                       per_information11_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION12')
       END                                       per_information12_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION12'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION12'))
       END                                       per_information12_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION13')
       END                                       per_information13_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION13'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION13'))
       END                                       per_information13_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION14')
       END                                       per_information14_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION14'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION14'))
       END                                       per_information14_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION15')
       END                                       per_information15_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION15'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION15'))
       END                                       per_information15_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION16')
       END                                       per_information16_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION16'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION16'))
       END                                       per_information16_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION17')
       END                                       per_information17_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION17'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION17'))
       END                                       per_information17_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION18')
       END                                       per_information18_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION18'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION18'))
       END                                       per_information18_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION19')
       END                                       per_information19_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION19'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION19'))
       END                                       per_information19_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION20')
       END                                       per_information20_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION20'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION20'))
       END                                       per_information20_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION21')
       END                                       per_information21_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION21'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION21'))
       END                                       per_information21_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION22')
       END                                       per_information22_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION22'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION22'))
       END                                       per_information22_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION23')
       END                                       per_information23_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION23'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION23'))
       END                                       per_information23_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION24')
       END                                       per_information24_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION24'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION24'))
       END                                       per_information24_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION25')
       END                                       per_information25_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION25'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION25'))
       END                                       per_information25_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION26')
       END                                       per_information26_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION26'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION26'))
       END                                       per_information26_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION27')
       END                                       per_information27_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION27'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION27'))
       END                                       per_information27_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION28')
       END                                       per_information28_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION28'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION28'))
       END                                       per_information28_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION29')
       END                                       per_information29_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION29'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION29'))
       END                                       per_information29_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PER_INFORMATION30')
       END                                       per_information30_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_com_vset_pkg.decode_descr_vset_value
                   ('800'
                   ,'Person Developer DF'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION_CATEGORY')
                     ,'PER_INFORMATION30'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_PER_INFORMATION30'))
       END                                       per_information30_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_DATE_OF_DEATH')
       END                                       date_of_death_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_BACKGROUND_CHECK_STATUS')
       END                                       background_check_status_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_BACKGROUND_DATE_CHECK')
       END                                       background_date_check_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_BLOOD_TYPE')
       END                                       blood_type_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_CORRESPONDENCE_LANGUAGE')
       END                                       correspondence_language_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_FAST_PATH_EMPLOYEE')
       END                                       fast_path_employee_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_FTE_CAPACITY')
       END                                       fte_capacity_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_HOLD_APPLICANT_DATE_UNTIL')
       END                                       hold_applicant_date_until_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_HONORS')
       END                                       honors_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_INTERNAL_LOCATION')
       END                                       internal_location_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_LAST_MEDICAL_TEST_BY')
       END                                       last_medical_test_by_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_LAST_MEDICAL_TEST_DATE')
       END                                       last_medical_test_date_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_MAILSTOP')
       END                                       mailstop_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_OFFICE_NUMBER')
       END                                       office_number_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ON_MILITARY_SERVICE')
       END                                       on_military_service_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PRE_NAME_ADJUNCT')
       END                                       pre_name_adjunct_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_PROJECTED_START_DATE')
       END                                       projected_start_date_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_REHIRE_AUTHORIZOR')
       END                                       rehire_authorizor_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_REHIRE_RECOMMENDATION')
       END                                       rehire_recommendation_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_RESUME_EXISTS')
       END                                       resume_exists_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_RESUME_LAST_UPDATED')
       END                                       resume_last_updated_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_SECOND_PASSPORT_EXISTS')
       END                                       second_passport_exists_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_STUDENT_STATUS ')
       END                                       student_status_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN hr_general.decode_lookup
                   ('STUDENT_STATUS'
                   ,xxas_hr_api_transaction_pkg.varchar2_value
                     (pend.person_id
                     ,pend.api_name
                     ,pend.transaction_step_id
                     ,'P_STUDENT_STATUS '))
       END                                       student_status_meaning_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_WORK_SCHEDULE')
       END                                       work_schedule_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_REHIRE_REASON')
       END                                       rehire_reason_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_SUFFIX')
       END                                       suffix_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_BENEFIT_GROUP_ID')
       END                                       benefit_group_id_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_RECEIPT_OF_DEATH_CERT_DATE')
       END                                       receipt_of_death_cert_date_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_COORD_BEN_MED_PLN_NO')
       END                                       coord_ben_med_pln_no_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_COORD_BEN_NO_CVG_FLAG')
       END                                       coord_ben_no_cvg_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_USES_TOBACCO_FLAG')
       END                                       uses_tobacco_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_DPDNT_ADOPTION_DATE')
       END                                       dpdnt_adoption_date_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_DPDNT_VLNTRY_SVCE_FLAG')
       END                                       dpdnt_vlntry_svce_flag_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.date_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_ORIGINAL_DATE_OF_HIRE')
       END                                       original_date_of_hire_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_TOWN_OF_BIRTH')
       END                                       town_of_birth_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_REGION_OF_BIRTH')
       END                                       region_of_birth_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_COUNTRY_OF_BIRTH')
       END                                       country_of_birth_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.number_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_GLOBAL_PERSON_ID')
       END                                       global_person_id_p
,      CASE WHEN pend.transaction_type  = 'UPDATE'
            THEN xxas_hr_api_transaction_pkg.varchar2_value
                   (pend.person_id
                   ,pend.api_name
                   ,pend.transaction_step_id
                   ,'P_RLTD_PER_RSDS_W_DSGNTR_FLAG')
       END                                       rltd_per_rsds_w_dsgntr_flag_p
FROM   (SELECT pcr.person_id
        ,      pcr.contact_relationship_id
        ,      pcr.object_version_number
        ,      pcr.contact_type
        ,      pcr.primary_contact_flag
        ,      pcr.contact_person_id
        ,      pcr.third_party_pay_flag
        ,      pcr.bondholder_flag
        ,      pcr.date_start
        ,      pcr.start_life_reason_id
        ,      pcr.date_end
        ,      pcr.end_life_reason_id
        ,      pcr.personal_flag
        ,      pcr.sequence_number
        ,      pcr.dependent_flag
        ,      pcr.beneficiary_flag
        ,      pcr.rltd_per_rsds_w_dsgntr_flag
        ,      pcr.cont_attribute_category
        ,      pcr.cont_attribute1
        ,      pcr.cont_attribute2
        ,      pcr.cont_attribute3
        ,      pcr.cont_attribute4
        ,      pcr.cont_attribute5
        ,      pcr.cont_attribute6
        ,      pcr.cont_attribute7
        ,      pcr.cont_attribute8
        ,      pcr.cont_attribute9
        ,      pcr.cont_attribute10
        ,      pcr.cont_attribute11
        ,      pcr.cont_attribute12
        ,      pcr.cont_attribute13
        ,      pcr.cont_attribute14
        ,      pcr.cont_attribute15
        ,      pcr.cont_attribute16
        ,      pcr.cont_attribute17
        ,      pcr.cont_attribute18
        ,      pcr.cont_attribute19
        ,      pcr.cont_attribute20
        ,      pcr.cont_information_category
        ,      pcr.cont_information1
        ,      pcr.cont_information2
        ,      pcr.cont_information3
        ,      pcr.cont_information4
        ,      pcr.cont_information5
        ,      pcr.cont_information6
        ,      pcr.cont_information7
        ,      pcr.cont_information8
        ,      pcr.cont_information9
        ,      pcr.cont_information10
        ,      pcr.cont_information11
        ,      pcr.cont_information12
        ,      pcr.cont_information13
        ,      pcr.cont_information14
        ,      pcr.cont_information15
        ,      pcr.cont_information16
        ,      pcr.cont_information17
        ,      pcr.cont_information18
        ,      pcr.cont_information19
        ,      pcr.cont_information20
        ,      CASE WHEN pcr.contact_relationship_id = MIN(pcr.contact_relationship_id) OVER (PARTITION BY pcr.person_id, pcr.contact_person_id)
                    THEN 'Y'
                    ELSE 'N'
               END select_flag
        FROM   per_contact_relationships pcr
        WHERE  pcr.personal_flag = 'Y'
        AND    pcr.contact_type <> 'EMRG'
        AND    TRUNC(SYSDATE)   >= DECODE(pcr.date_start, NULL, TRUNC(SYSDATE), TRUNC(pcr.date_start))
        AND    TRUNC(SYSDATE)    < DECODE(pcr.date_end, NULL, TRUNC(SYSDATE) + 1, TRUNC(pcr.date_end))
        UNION ALL
        SELECT pcr.person_id
        ,      pcr.contact_relationship_id
        ,      pcr.object_version_number
        ,      pcr.contact_type
        ,      pcr.primary_contact_flag
        ,      pcr.contact_person_id
        ,      pcr.third_party_pay_flag
        ,      pcr.bondholder_flag
        ,      pcr.date_start
        ,      pcr.start_life_reason_id
        ,      pcr.date_end
        ,      pcr.end_life_reason_id
        ,      pcr.personal_flag
        ,      pcr.sequence_number
        ,      pcr.dependent_flag
        ,      pcr.beneficiary_flag
        ,      pcr.rltd_per_rsds_w_dsgntr_flag
        ,      pcr.cont_attribute_category
        ,      pcr.cont_attribute1
        ,      pcr.cont_attribute2
        ,      pcr.cont_attribute3
        ,      pcr.cont_attribute4
        ,      pcr.cont_attribute5
        ,      pcr.cont_attribute6
        ,      pcr.cont_attribute7
        ,      pcr.cont_attribute8
        ,      pcr.cont_attribute9
        ,      pcr.cont_attribute10
        ,      pcr.cont_attribute11
        ,      pcr.cont_attribute12
        ,      pcr.cont_attribute13
        ,      pcr.cont_attribute14
        ,      pcr.cont_attribute15
        ,      pcr.cont_attribute16
        ,      pcr.cont_attribute17
        ,      pcr.cont_attribute18
        ,      pcr.cont_attribute19
        ,      pcr.cont_attribute20
        ,      pcr.cont_information_category
        ,      pcr.cont_information1
        ,      pcr.cont_information2
        ,      pcr.cont_information3
        ,      pcr.cont_information4
        ,      pcr.cont_information5
        ,      pcr.cont_information6
        ,      pcr.cont_information7
        ,      pcr.cont_information8
        ,      pcr.cont_information9
        ,      pcr.cont_information10
        ,      pcr.cont_information11
        ,      pcr.cont_information12
        ,      pcr.cont_information13
        ,      pcr.cont_information14
        ,      pcr.cont_information15
        ,      pcr.cont_information16
        ,      pcr.cont_information17
        ,      pcr.cont_information18
        ,      pcr.cont_information19
        ,      pcr.cont_information20
        ,      CASE WHEN pcr.contact_relationship_id = MIN(pcr.contact_relationship_id) OVER (PARTITION BY pcr.person_id, pcr.contact_person_id)
                    THEN 'Y'
                    ELSE 'N'
               END select_flag
        FROM   per_contact_relationships pcr
        WHERE  1=1
        --AND pcr.personal_flag = 'Y'
        AND    pcr.contact_type = 'EMRG'
        AND  not exists
              ( select 1
                from per_contact_relationships con
                where con.contact_type <> 'EMRG'
                and con.contact_person_id =pcr.contact_person_id
                and con.person_id = pcr.person_id
                and trunc(sysdate) >= decode(con.date_start,null,trunc(sysdate),trunc(con.date_start))
                and trunc(sysdate) <  decode(con.date_end,null,trunc(sysdate)+1,trunc(con.date_end))                
                and con.personal_flag = 'Y'
               )
        AND    TRUNC(SYSDATE)   >= DECODE(pcr.date_start, NULL, TRUNC(SYSDATE), TRUNC(pcr.date_start))
        AND    TRUNC(SYSDATE)    < DECODE(pcr.date_end, NULL, TRUNC(SYSDATE) + 1, TRUNC(pcr.date_end))) rel
,      per_contact_relationships pcr
,      per_all_people_f papf
,      (SELECT person_id
        ,      contact_relationship_id
        ,      api_name
        ,      transaction_id
        ,      transaction_step_id
        ,      transaction_type
        ,      hr_api_status_code
        ,      api_addtnl_info
        FROM (SELECT pcrp.person_id
              ,      pcrp.contact_relationship_id
              ,      'HR_PROCESS_CONTACT_SS.PROCESS_API' api_name
              ,      hat.transaction_id
              ,      CASE WHEN hats.api_name != 'HR_PROCESS_CONTACT_SS.PROCESS_API'
                          THEN NULL
                          ELSE hats.transaction_step_id
                     END transaction_step_id
              ,      CASE WHEN hats.api_name != 'HR_PROCESS_CONTACT_SS.PROCESS_API'
                          THEN 'UPDATE'
                          WHEN op.varchar2_value = 'EMRG_OVRW_DEL' AND eor.varchar2_value = 'N'
                          THEN 'UPDATE'
                          WHEN op.varchar2_value IN ('EMRG_OVRW_DEL', 'DPDNT_OVRW_DEL')
                          THEN 'DELETE'
                          ELSE 'UPDATE'  
                     END                           transaction_type
              ,      hat.status                    hr_api_status_code
              ,      hat.api_addtnl_info
              ,      row_number() OVER (PARTITION BY hat.transaction_id 
                                        ORDER BY CASE WHEN  hats.api_name = 'HR_PROCESS_CONTACT_SS.PROCESS_API' 
                                                      THEN 1
                                                      ELSE 2
                                                 END) row_number                              
              FROM   per_contact_relationships pcrp
              ,      hr_api_transactions       hat
              ,      hr_api_transaction_steps  hats
              ,      hr_api_transaction_values hatv
              ,      hr_api_transaction_values op
              ,      hr_api_transaction_values eor
              WHERE  pcrp.contact_type       <> 'EMRG'
              AND    pcrp.person_id           = hat.selected_person_id
              AND    hat.status          NOT IN ('D', 'N', 'W', 'ACTIVE', 'AC')
              AND    hat.transaction_id       = hats.transaction_id
              AND    hats.api_name           IN ('HR_PROCESS_CONTACT_SS.PROCESS_API'
                                                ,'HR_PROCESS_PHONE_NUMBERS_SS.PROCESS_API'
                                                ,'HR_PROCESS_ADDRESS_SS.PROCESS_API')
              AND    hats.transaction_step_id = hatv.transaction_step_id
              AND    hatv.name                = CASE WHEN hats.api_name = 'HR_PROCESS_CONTACT_SS.PROCESS_API'
                                                     THEN 'P_CONTACT_PERSON_ID'
                                                     ELSE 'P_PERSON_ID'
                                                END
              AND    hatv.number_value        = pcrp.contact_person_id
              AND    hats.transaction_step_id = op.transaction_step_id(+)
              AND    op.name(+)               = 'P_CONTACT_OPERATION'
              AND    hats.transaction_step_id = eor.transaction_step_id(+)
              AND    eor.name(+)              = 'P_END_OTHER_REL')
        WHERE  row_number = 1) pend
WHERE  rel.select_flag             = 'Y'
AND    rel.contact_person_id       = pcr.contact_person_id(+)
AND    rel.person_id               = pcr.person_id(+)
AND    TRUNC(SYSDATE)             >= DECODE(pcr.date_start(+), NULL, TRUNC(SYSDATE), TRUNC(pcr.date_start(+)))
AND    TRUNC(SYSDATE)              < DECODE(pcr.date_end(+), NULL, TRUNC(SYSDATE) + 1, TRUNC(pcr.date_end(+)))
AND    pcr.personal_flag(+)        = 'N'
AND    pcr.contact_type(+)         = 'EMRG'
AND    rel.contact_person_id       = papf.person_id
AND    TRUNC(SYSDATE)        BETWEEN papf.effective_start_date AND papf.effective_end_date
AND    rel.contact_relationship_id = pend.contact_relationship_id(+)
AND    rel.person_id               = pend.person_id(+)
UNION
SELECT hat.selected_person_id                              person_id
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      NULL
,      hat.transaction_id
,      hats.transaction_step_id
,      'INSERT'
,      hat.status                                          hr_api_status_code
,      xxas_selfservice_workflow_pkg.transcode_status
         (hat.status)                                      workflow_status_code
,      xxas_selfservice_workflow_pkg.decode_status
         (xxas_selfservice_workflow_pkg.transcode_status
           (hat.status))                                   workflow_status_meaning
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_OBJECT_VERSION_NUMBER')                  cont_object_version_number_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONTACT_TYPE')                                contact_type_p
,      hr_general.decode_lookup
         ('CONTACT'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONTACT_TYPE'))                            contact_type_meaning_p
,      NVL(xxas_hr_api_transaction_pkg.varchar2_value
            (hat.selected_person_id
            ,hats.api_name
            ,hats.transaction_step_id
            ,'P_EMRG_CONT_FLAG'),'N')                     emrg_contact_flag_p
,      hr_general.decode_lookup
         ('YES_NO'
         ,NVL(xxas_hr_api_transaction_pkg.varchar2_value
               (hat.selected_person_id
               ,hats.api_name
               ,hats.transaction_step_id
               ,'P_EMRG_CONT_FLAG'),'N'))                 emrg_contact_flag_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PRIMARY_CONTACT_FLAG')                        primary_contact_flag_p
,      hr_general.decode_lookup
         ('YES_NO'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PRIMARY_CONTACT_FLAG'))                     primary_contact_flag_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_THIRD_PARTY_PAY_FLAG')                        third_party_pay_flag_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_BONDHOLDER_FLAG')                             bondholder_flag_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_DATE_START')                                  date_start_p
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_START_LIFE_REASON_ID')                        start_life_reason_id_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_DATE_END')                                    date_end_p
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_END_LIFE_REASON_ID')                          end_life_reason_id_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PERSONAL_FLAG')                               personal_flag_p
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_SEQUENCE_NUMBER')                             sequence_number_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_DEPENDENT_FLAG')                              dependent_flag_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_BENEFICIARY_FLAG')                            beneficiary_flag_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE_CATEGORY')                     cont_attribute_category_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE1')                             cont_attribute1_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE1'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE1'))                          cont_attribute1_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE2')                             cont_attribute2_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE2'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE2'))                          cont_attribute2_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE3')                             cont_attribute3_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE3'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE3'))                          cont_attribute3_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE4')                             cont_attribute4_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE4'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE4'))                          cont_attribute4_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE5')                             cont_attribute5_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE5'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE5'))                          cont_attribute5_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE6')                             cont_attribute6_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE6'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE6'))                          cont_attribute6_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE7')                             cont_attribute7_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE7'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE7'))                          cont_attribute7_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE8')                             cont_attribute8_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE8'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE8'))                          cont_attribute8_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE9')                             cont_attribute9_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE9'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE9'))                          cont_attribute9_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE10')                            cont_attribute10_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE10'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE10'))                         cont_attribute10_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE11')                            cont_attribute11_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE11'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE11'))                         cont_attribute11_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE12')                            cont_attribute12_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE12'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE12'))                         cont_attribute12_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE13')                            cont_attribute13_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE13'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE13'))                         cont_attribute13_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE14')                            cont_attribute14_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE14'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE14'))                         cont_attribute14_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE15')                            cont_attribute15_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE15'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE15'))                         cont_attribute15_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE16')                            cont_attribute16_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE16'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE16'))                         cont_attribute16_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE17')                            cont_attribute17_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE17'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE17'))                         cont_attribute17_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE18')                            cont_attribute18_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE18'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE18'))                         cont_attribute18_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE19')                            cont_attribute19_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE19'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE19'))                         cont_attribute19_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_ATTRIBUTE20')                            cont_attribute20_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_CONTACTS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE_CATEGORY')
         ,'P_CONT_ATTRIBUTE20'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_ATTRIBUTE20'))                         cont_attribute20_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION_CATEGORY')                   cont_information_category_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION1')                           cont_information1_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION1'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION1'))                        cont_information1_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION2')                           cont_information2_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION2'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION2'))                        cont_information2_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION3')                           cont_information3_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION3'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION3'))                        cont_information3_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION4')                           cont_information4_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION4'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION4'))                        cont_information4_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION5')                           cont_information5_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION5'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION5'))                        cont_information5_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION6')                           cont_information6_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION6'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION6'))                        cont_information6_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION7')                           cont_information7_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION7'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION7'))                        cont_information7_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION8')                           cont_information8_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION8'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION8'))                        cont_information8_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION9')                           cont_information9_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION9'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION9'))                        cont_information9_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION10')                          cont_information10_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION10'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION10'))                       cont_information10_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION11')                          cont_information11_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION11'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION11'))                       cont_information11_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION12')                          cont_information12_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION12'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION12'))                       cont_information12_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION13')                          cont_information13_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION13'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION13'))                       cont_information13_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION14')                          cont_information14_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION14'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION14'))                       cont_information14_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION15')                          cont_information15_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION15'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION15'))                       cont_information15_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION16')                          cont_information16_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION16'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION16'))                       cont_information16_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION17')                          cont_information17_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION17'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION17'))                       cont_information17_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION18')                          cont_information18_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION18'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION18'))                       cont_information18_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION19')                          cont_information19_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION19'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION19'))                       cont_information19_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CONT_INFORMATION20')                          cont_information20_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Contact Relship Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION_CATEGORY')
         ,'P_CONT_INFORMATION20'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_CONT_INFORMATION20'))                       cont_information20_meaning_p
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_OBJECT_VERSION_NUMBER')                   per_object_version_number_p
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PERSON_TYPE_ID')                              person_type_id_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_LAST_NAME')                                   last_name_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_APPLICANT_NUMBER')                            applicant_number_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_DATE_EMPLOYEE_DATA_VERIFIED')                 date_employee_data_verified_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_DATE_OF_BIRTH')                               date_of_birth_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_EMAIL_ADDRESS')                               email_address_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_EMPLOYEE_NUMBER')                             employee_number_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_NPW_NUMBER')                                  npw_number_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_EXPENSE_CHECK_SEND_TO_ADDRES')                expense_check_send_to_addres_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_FIRST_NAME')                                  first_name_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_KNOWN_AS')                                    known_as_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_MARITAL_STATUS')                              marital_status_p
,      hr_general.decode_lookup
         ('MAR_STATUS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_MARITAL_STATUS'))                           marital_status_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_MIDDLE_NAMES')                                middle_names_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_NATIONALITY')                                 nationality_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_NATIONAL_IDENTIFIER')                         national_identifier_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PREVIOUS_LAST_NAME')                          previous_last_name_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_REGISTERED_DISABLED_FLAG')                    registered_disabled_flag_p
,      hr_general.decode_lookup
         ('REGISTERED_DISABLED'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_REGISTERED_DISABLED_FLAG'))                 registered_disabled_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_SEX')                                         sex_p
,      hr_general.decode_lookup
         ('SEX'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_SEX'))                                      sex_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_TITLE')                                       title_p
,      hr_general.decode_lookup
         ('TITLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_TITLE'))                                   title_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_VENDOR_ID')                                   vendor_id_p
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_WORK_TELEPHONE')                              work_telephone_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE_CATEGORY')                          attribute_category_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE1')                                  attribute1_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE1'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE1'))                               attribute1_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE2')                                  attribute2_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE2'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE2'))                               attribute2_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE3')                                  attribute3_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE3'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE3'))                               attribute3_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE4')                                  attribute4_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE4'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE4'))                               attribute4_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE5')                                  attribute5_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE5'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE5'))                               attribute5_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE6')                                  attribute6_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE6'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE6'))                               attribute6_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE7')                                  attribute7_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE7'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE7'))                               attribute7_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE8')                                  attribute8_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE8'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE8'))                               attribute8_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE9')                                  attribute9_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE9'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE9'))                               attribute9_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE10')                                 attribute10_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE10'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE10'))                              attribute10_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE11')                                 attribute11_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE11'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE11'))                              attribute11_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE12')                                 attribute12_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE12'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE12'))                              attribute12_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE13')                                 attribute13_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE13'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE13'))                              attribute13_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE14')                                 attribute14_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE14'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE14'))                              attribute14_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE15')                                 attribute15_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE15'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE15'))                              attribute15_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE16')                                 attribute16_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE16'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE16'))                              attribute16_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE17')                                 attribute17_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE17'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE17'))                              attribute17_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE18')                                 attribute18_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE18'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE18'))                              attribute18_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE19')                                 attribute19_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE19'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE19'))                              attribute19_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE20')                                 attribute20_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE20'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE20'))                              attribute20_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE21')                                 attribute21_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE21'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE21'))                              attribute21_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE22')                                 attribute22_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE22'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE22'))                              attribute22_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE23')                                 attribute23_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE23'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE23'))                              attribute23_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE24')                                 attribute24_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE24'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE24'))                              attribute24_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE25')                                 attribute25_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE25'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE25'))                              attribute25_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE26')                                 attribute26_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE26'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE26'))                              attribute26_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE27')                                 attribute27_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE27'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE27'))                              attribute27_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE28')                                 attribute28_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE28'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE28'))                              attribute28_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE29')                                 attribute29_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE29'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE29'))                              attribute29_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ATTRIBUTE30')                                 attribute30_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'PER_PEOPLE'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE_CATEGORY')
         ,'ATTRIBUTE30'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_ATTRIBUTE30'))                              attribute30_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION_CATEGORY')                    per_information_category_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION1')                            per_information1_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION1'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION1'))                         per_information1_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION2')                            per_information2_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION2'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION2'))                         per_information2_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION3')                            per_information3_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION3'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION3'))                         per_information3_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION4')                            per_information4_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION4'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION4'))                         per_information4_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION5')                            per_information5_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION5'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION5'))                         per_information5_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION6')                            per_information6_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION6'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION6'))                         per_information6_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION7')                            per_information7_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION7'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION7'))                         per_information7_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION8')                            per_information8_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION8'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION8'))                         per_information8_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION9')                            per_information9_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION9'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION9'))                         per_information9_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION10')                           per_information10_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION10'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION10'))                        per_information10_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION11')                           per_information11_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION11'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION11'))                        per_information11_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION12')                           per_information12_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION12'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION12'))                        per_information12_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION13')                           per_information13_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION13'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION13'))                        per_information13_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION14')                           per_information14_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION14'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION14'))                        per_information14_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION15')                           per_information15_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION15'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION15'))                        per_information15_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION16')                           per_information16_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION16'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION16'))                        per_information16_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION17')                           per_information17_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION17'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION17'))                        per_information17_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION18')                           per_information18_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION18'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION18'))                        per_information18_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION19')                           per_information19_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION19'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION19'))                        per_information19_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION20')                           per_information20_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION20'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION20'))                        per_information20_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION21')                           per_information21_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION21'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION21'))                        per_information21_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION22')                           per_information22_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION22'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION22'))                        per_information22_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION23')                           per_information23_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION23'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION23'))                        per_information23_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION24')                           per_information24_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION24'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION24'))                        per_information24_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION25')                           per_information25_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION25'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION25'))                        per_information25_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION26')                           per_information26_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION26'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION26'))                        per_information26_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION27')                           per_information27_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION27'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION27'))                        per_information27_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION28')                           per_information28_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION28'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION28'))                        per_information28_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION29')                           per_information29_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION29'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION29'))                        per_information29_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PER_INFORMATION30')                           per_information30_p
,      xxas_com_vset_pkg.decode_descr_vset_value
         ('800'
         ,'Person Developer DF'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION_CATEGORY')
           ,'PER_INFORMATION30'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_PER_INFORMATION30'))                        per_information30_meaning_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_DATE_OF_DEATH')                               date_of_death_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_BACKGROUND_CHECK_STATUS')                     background_check_status_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_BACKGROUND_DATE_CHECK')                       background_date_check_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_BLOOD_TYPE')                                  blood_type_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_CORRESPONDENCE_LANGUAGE')                     correspondence_language_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_FAST_PATH_EMPLOYEE')                          fast_path_employee_p
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_FTE_CAPACITY')                                fte_capacity_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_HOLD_APPLICANT_DATE_UNTIL')                   hold_applicant_date_until_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_HONORS')                                      honors_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_INTERNAL_LOCATION')                           internal_location_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_LAST_MEDICAL_TEST_BY')                        last_medical_test_by_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_LAST_MEDICAL_TEST_DATE')                      last_medical_test_date_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_MAILSTOP')                                    mailstop_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_OFFICE_NUMBER')                               office_number_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ON_MILITARY_SERVICE')                         on_military_service_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PRE_NAME_ADJUNCT')                            pre_name_adjunct_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_PROJECTED_START_DATE')                        projected_start_date_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_REHIRE_AUTHORIZOR')                           rehire_authorizor_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_REHIRE_RECOMMENDATION')                       rehire_recommendation_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_RESUME_EXISTS')                               resume_exists_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_RESUME_LAST_UPDATED')                         resume_last_updated_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_SECOND_PASSPORT_EXISTS')                      second_passport_exists_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_STUDENT_STATUS ')                             student_status_p
,      hr_general.decode_lookup
         ('STUDENT_STATUS'
         ,xxas_hr_api_transaction_pkg.varchar2_value
           (hat.selected_person_id
           ,hats.api_name
           ,hats.transaction_step_id
           ,'P_STUDENT_STATUS '))                         student_status_meaning_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_WORK_SCHEDULE')                               work_schedule_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_REHIRE_REASON')                               rehire_reason_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_SUFFIX')                                      suffix_p
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_BENEFIT_GROUP_ID')                            benefit_group_id_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_RECEIPT_OF_DEATH_CERT_DATE')                  receipt_of_death_cert_date_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_COORD_BEN_MED_PLN_NO')                        coord_ben_med_pln_no_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_COORD_BEN_NO_CVG_FLAG')                       coord_ben_no_cvg_flag_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_USES_TOBACCO_FLAG')                           uses_tobacco_flag_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_DPDNT_ADOPTION_DATE')                         dpdnt_adoption_date_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_DPDNT_VLNTRY_SVCE_FLAG')                      dpdnt_vlntry_svce_flag_p
,      xxas_hr_api_transaction_pkg.date_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_ORIGINAL_DATE_OF_HIRE')                       original_date_of_hire_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_TOWN_OF_BIRTH')                               town_of_birth_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_REGION_OF_BIRTH')                             region_of_birth_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_COUNTRY_OF_BIRTH')                            country_of_birth_p
,      xxas_hr_api_transaction_pkg.number_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_GLOBAL_PERSON_ID')                            global_person_id_p
,      xxas_hr_api_transaction_pkg.varchar2_value
         (hat.selected_person_id
         ,hats.api_name
         ,hats.transaction_step_id
         ,'P_RLTD_PER_RSDS_W_DSGNTR_FLAG')                 rltd_per_rsds_w_dsgntr_flag_p
FROM   hr_api_transactions         hat
,      hr_api_transaction_steps    hats
WHERE  hat.transaction_id        = hats.transaction_id
AND    hat.status           NOT IN ('D', 'N', 'W', 'ACTIVE', 'AC')
AND    hats.api_name             = 'HR_PROCESS_CONTACT_SS.PROCESS_CREATE_CONTACT_API';


BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_PER_CONTACTS_V'
   ,p_description            => 'Applaud Person Contacts');
END;
/
  
COMMIT;
EXIT;
